
DROP TABLE IF EXISTS `#__action_log_config`;
CREATE TABLE `#__action_log_config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `id_holder` varchar(255) DEFAULT NULL,
  `title_holder` varchar(255) DEFAULT NULL,
  `table_name` varchar(255) DEFAULT NULL,
  `text_prefix` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

INSERT INTO `#__action_log_config` (`id`, `type_title`, `type_alias`, `id_holder`, `title_holder`, `table_name`, `text_prefix`) VALUES
(1, 'article', 'com_content.article', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(2, 'article', 'com_content.form', 'id', 'title', '#__content', 'PLG_ACTIONLOG_JOOMLA'),
(3, 'banner', 'com_banners.banner', 'id', 'name', '#__banners', 'PLG_ACTIONLOG_JOOMLA'),
(4, 'user_note', 'com_users.note', 'id', 'subject', '#__user_notes', 'PLG_ACTIONLOG_JOOMLA'),
(5, 'media', 'com_media.file', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(6, 'category', 'com_categories.category', 'id', 'title', '#__categories', 'PLG_ACTIONLOG_JOOMLA'),
(7, 'menu', 'com_menus.menu', 'id', 'title', '#__menu_types', 'PLG_ACTIONLOG_JOOMLA'),
(8, 'menu_item', 'com_menus.item', 'id', 'title', '#__menu', 'PLG_ACTIONLOG_JOOMLA'),
(9, 'newsfeed', 'com_newsfeeds.newsfeed', 'id', 'name', '#__newsfeeds', 'PLG_ACTIONLOG_JOOMLA'),
(10, 'link', 'com_redirect.link', 'id', 'old_url', '#__redirect_links', 'PLG_ACTIONLOG_JOOMLA'),
(11, 'tag', 'com_tags.tag', 'id', 'title', '#__tags', 'PLG_ACTIONLOG_JOOMLA'),
(12, 'style', 'com_templates.style', 'id', 'title', '#__template_styles', 'PLG_ACTIONLOG_JOOMLA'),
(13, 'plugin', 'com_plugins.plugin', 'extension_id', 'name', '#__extensions', 'PLG_ACTIONLOG_JOOMLA'),
(14, 'component_config', 'com_config.component', 'extension_id', 'name', '', 'PLG_ACTIONLOG_JOOMLA'),
(15, 'contact', 'com_contact.contact', 'id', 'name', '#__contact_details', 'PLG_ACTIONLOG_JOOMLA'),
(16, 'module', 'com_modules.module', 'id', 'title', '#__modules', 'PLG_ACTIONLOG_JOOMLA'),
(17, 'access_level', 'com_users.level', 'id', 'title', '#__viewlevels', 'PLG_ACTIONLOG_JOOMLA'),
(18, 'banner_client', 'com_banners.client', 'id', 'name', '#__banner_clients', 'PLG_ACTIONLOG_JOOMLA'),
(19, 'application_config', 'com_config.application', '', 'name', '', 'PLG_ACTIONLOG_JOOMLA');

DROP TABLE IF EXISTS `#__action_logs`;
CREATE TABLE `#__action_logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `message_language_key` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  `log_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `user_id` int(11) NOT NULL DEFAULT 0,
  `item_id` int(11) NOT NULL DEFAULT 0,
  `ip_address` varchar(40) NOT NULL DEFAULT '0.0.0.0',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_user_id_logdate` (`user_id`,`log_date`),
  KEY `idx_user_id_extension` (`user_id`,`extension`),
  KEY `idx_extension_item_id` (`extension`,`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__action_logs` (`id`, `message_language_key`, `message`, `log_date`, `extension`, `user_id`, `item_id`, `ip_address`) VALUES
(1, 'PLG_ACTIONLOG_JOOMLA_USER_LOG', '{"action":"actionlogs","type":"PLG_ACTIONLOG_JOOMLA_TYPE_USER","id":"42","title":"admin","itemlink":"index.php?option=com_users&task=user.edit&id=42","userid":"42","username":"admin","accountlink":"index.php?option=com_users&task=user.edit&id=42"}', '2021-07-09 07:36:19', 'com_actionlogs', 42, 42, 'COM_ACTIONLOGS_DISABLED');

DROP TABLE IF EXISTS `#__action_logs_extensions`;
CREATE TABLE `#__action_logs_extensions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `extension` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

INSERT INTO `#__action_logs_extensions` (`id`, `extension`) VALUES
(1, 'com_banners'),
(2, 'com_cache'),
(3, 'com_categories'),
(4, 'com_config'),
(5, 'com_contact'),
(6, 'com_content'),
(7, 'com_installer'),
(8, 'com_media'),
(9, 'com_menus'),
(10, 'com_messages'),
(11, 'com_modules'),
(12, 'com_newsfeeds'),
(13, 'com_plugins'),
(14, 'com_redirect'),
(15, 'com_tags'),
(16, 'com_templates'),
(17, 'com_users'),
(18, 'com_checkin');

DROP TABLE IF EXISTS `#__action_logs_users`;
CREATE TABLE `#__action_logs_users` (
  `user_id` int(11) unsigned NOT NULL,
  `notify` tinyint(1) unsigned NOT NULL,
  `extensions` text NOT NULL,
  PRIMARY KEY (`user_id`),
  KEY `idx_notify` (`notify`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_action`;
CREATE TABLE `#__acym_action` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `condition_id` int(11) NOT NULL,
  `actions` longtext DEFAULT NULL,
  `filters` longtext DEFAULT NULL,
  `order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_alpha_acym_action1` (`condition_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_action` (`id`, `condition_id`, `actions`, `filters`, `order`) VALUES
(1, 1, '[{"acy_add_queue":{"mail_id":"13","time":"[time]"}}]', '{"0":{"1":{"acy_field":{"field":"email","operator":"=","value":"admin@gmail.com"}}},"type_filter":"classic"}', 1),
(2, 2, '[{"acy_add_queue":{"mail_id":"14","time":"[time]"}}]', '{"0":{"1":{"acy_field":{"field":"email","operator":"=","value":"admin@gmail.com"}}},"type_filter":"classic"}', 1);

DROP TABLE IF EXISTS `#__acym_automation`;
CREATE TABLE `#__acym_automation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` longtext DEFAULT NULL,
  `active` tinyint(3) NOT NULL,
  `report` text DEFAULT NULL,
  `tree` longtext DEFAULT NULL,
  `admin` tinyint(3) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_automation` (`id`, `name`, `description`, `active`, `report`, `tree`, `admin`) VALUES
(1, 'ACYM_ADMIN_USER_CREATE', 'ACYM_ADMIN_USER_CREATE_DESC', 0, NULL, NULL, 1),
(2, 'ACYM_ADMIN_USER_MODIFICATION', 'ACYM_ADMIN_USER_MODIFICATION_DESC', 0, NULL, NULL, 1);

DROP TABLE IF EXISTS `#__acym_campaign`;
CREATE TABLE `#__acym_campaign` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sending_date` datetime DEFAULT NULL,
  `draft` tinyint(1) DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 1,
  `mail_id` int(11) DEFAULT NULL,
  `sent` tinyint(1) NOT NULL DEFAULT 0,
  `sending_type` varchar(16) DEFAULT NULL,
  `sending_params` text DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `last_generated` int(11) DEFAULT NULL,
  `next_trigger` int(11) DEFAULT NULL,
  `visible` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `fk_alpha_acym_campaign_has_mail1` (`mail_id`),
  KEY `index_j92030_acym_campaign_has_mail1` (`mail_id`),
  KEY `index_j47872_acym_campaign_has_mail1` (`mail_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_condition`;
CREATE TABLE `#__acym_condition` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `step_id` int(11) NOT NULL,
  `conditions` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_alpha_acym_condition1` (`step_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_condition` (`id`, `step_id`, `conditions`) VALUES
(1, 1, '{"type_condition":"user"}'),
(2, 2, '{"type_condition":"user"}');

DROP TABLE IF EXISTS `#__acym_configuration`;
CREATE TABLE `#__acym_configuration` (
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_configuration` (`name`, `value`) VALUES
('active_cron', '0'),
('add_names', '1'),
('allowed_files', 'zip,doc,docx,pdf,xls,txt,gzip,rar,jpg,jpeg,gif,xlsx,pps,csv,bmp,ico,odg,odp,ods,odt,png,ppt,swf,xcf,mp3,wma'),
('allow_modif', 'data'),
('allow_visitor', '1'),
('anonymizeold', '0'),
('anonymous_tracking', '0'),
('bounceVersion', '1'),
('bounce_email', 'admin@gmail.com'),
('built_by_update', '1'),
('captcha', 'none'),
('charset', 'UTF-8'),
('confirmation_message', '1'),
('confirm_redirect', ''),
('cron_frequency', '900'),
('cron_fromip', ''),
('cron_fullreport', '1'),
('cron_last', '0'),
('cron_next', '1251990901'),
('cron_report', ''),
('cron_savepath', 'media/com_acym/logs/report{year}_{month}.log'),
('cron_savereport', '2'),
('cron_sendreport', '2'),
('cron_sendto', 'admin@gmail.com'),
('cron_updateme_frequency', '900'),
('css_backend', ''),
('css_frontend', ''),
('daily_hour', '12'),
('daily_minute', '00'),
('delete_stats', '31104000'),
('display_built_by', '0'),
('editor', 'codemirror'),
('embed_files', '1'),
('embed_images', '0'),
('encoding_format', '8bit'),
('Enterprise', '2'),
('Essential', '1'),
('expirationdate', '0'),
('export_excelsecurity', '1'),
('forward', '0'),
('from_as_replyto', '1'),
('from_email', 'admin@gmail.com'),
('from_name', 'JA Alpha'),
('gdpr_delete', '0'),
('gdpr_export', '0'),
('generate_name', '1'),
('hostname', ''),
('installcomplete', '1'),
('install_date', '1602228965'),
('introjs', '[]'),
('language_field_id', '3'),
('lastlicensecheck', '1622454838'),
('last_import', ''),
('last_news', ''),
('last_news_check', '1622454831'),
('latestversion', '7.5.7'),
('level', 'Starter'),
('license_key', ''),
('mailer_method', 'mail'),
('max_execution_time', '0'),
('migration', '1'),
('multilingual', '0'),
('multiple_part', '1'),
('notifications', '{}'),
('notification_accept', ''),
('notification_created', ''),
('notification_refuse', ''),
('notification_unsuball', ''),
('numberThumbnail', '2'),
('priority_followup', '2'),
('priority_newsletter', '3'),
('queue_nbmail', '40'),
('queue_nbmail_auto', '70'),
('queue_pause', '120'),
('queue_try', '3'),
('queue_type', 'auto'),
('regacy', '1'),
('regacy_delete', '1'),
('regacy_forceconf', '0'),
('remindme', '[]'),
('replyto_email', 'admin@gmail.com'),
('replyto_name', 'JA Alpha'),
('require_confirmation', '1'),
('security_key', 'elli3EZbuvNn5086Ojluy4lPFQyJKh'),
('sendmail_path', '/usr/sbin/sendmail'),
('smtp_auth', '0'),
('smtp_host', 'localhost'),
('smtp_password', ''),
('smtp_port', '25'),
('smtp_secured', ''),
('smtp_username', ''),
('social_icons', '{"facebook":"http:\\/\\/localhost\\/ja_dev\\/ja_dev\\/ja_alpha\\/media\\/com_acym\\/images\\/logo\\/facebook.png","twitter":"http:\\/\\/localhost\\/ja_dev\\/ja_dev\\/ja_alpha\\/media\\/com_acym\\/images\\/logo\\/twitter.png","instagram":"http:\\/\\/localhost\\/ja_dev\\/ja_dev\\/ja_alpha\\/media\\/com_acym\\/images\\/logo\\/instagram.png","linkedin":"http:\\/\\/localhost\\/ja_dev\\/ja_dev\\/ja_alpha\\/media\\/com_acym\\/images\\/logo\\/linkedin.png","pinterest":"http:\\/\\/localhost\\/ja_dev\\/ja_dev\\/ja_alpha\\/media\\/com_acym\\/images\\/logo\\/pinterest.png","vimeo":"http:\\/\\/localhost\\/ja_dev\\/ja_dev\\/ja_alpha\\/media\\/com_acym\\/images\\/logo\\/vimeo.png","wordpress":"http:\\/\\/localhost\\/ja_dev\\/ja_dev\\/ja_alpha\\/media\\/com_acym\\/images\\/logo\\/wordpress.png","youtube":"http:\\/\\/localhost\\/ja_dev\\/ja_dev\\/ja_alpha\\/media\\/com_acym\\/images\\/logo\\/youtube.png"}'),
('Starter', '0'),
('subscription_message', '1'),
('templates_installed', '0'),
('trackingsystem', 'acymailing'),
('trackingsystemexternalwebsite', '1'),
('unsubscribe_page', '1'),
('unsub_message', '1'),
('unsub_reasons', 'a:2:{i:0;s:21:"UNSUB_SURVEY_FREQUENT";i:1;s:21:"UNSUB_SURVEY_RELEVANT";}'),
('unsub_redirect', ''),
('uploadfolder', 'media/com_acym/upload/'),
('use_https', '1'),
('use_sef', '0'),
('version', '7.5.7'),
('walkthrough_params', '{"step":"stepGmail","mail_id":"9","list_id":2}'),
('walk_through', '0'),
('website', 'http://dev.joomlart.com/jadev2_data/sites/auto/qs.alpha.1622454762/'),
('welcome_message', '1'),
('word_wrapping', '150');

DROP TABLE IF EXISTS `#__acym_field`;
CREATE TABLE `#__acym_field` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` longtext DEFAULT NULL,
  `active` tinyint(3) NOT NULL,
  `default_value` longtext DEFAULT NULL,
  `required` tinyint(3) DEFAULT NULL,
  `ordering` int(11) NOT NULL,
  `option` longtext DEFAULT NULL,
  `core` tinyint(3) DEFAULT NULL,
  `backend_edition` tinyint(3) DEFAULT NULL,
  `backend_listing` tinyint(3) DEFAULT NULL,
  `frontend_edition` tinyint(3) DEFAULT NULL,
  `frontend_listing` tinyint(3) DEFAULT NULL,
  `access` varchar(255) DEFAULT NULL,
  `namekey` varchar(255) NOT NULL,
  `translation` longtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_field` (`id`, `name`, `type`, `value`, `active`, `default_value`, `required`, `ordering`, `option`, `core`, `backend_edition`, `backend_listing`, `frontend_edition`, `frontend_listing`, `access`, `namekey`, `translation`) VALUES
(1, 'ACYM_NAME', 'text', NULL, 1, NULL, 0, 1, '{"editable_user_creation":"1","editable_user_modification":"1","error_message":"","error_message_invalid":"","size":"","rows":"","columns":"","format":"","custom_text":"","css_class":"","authorized_content":{"0":"all","regex":""}}', 1, 1, 1, 1, 1, 'all', 'acym_name', NULL),
(2, 'ACYM_EMAIL', 'text', NULL, 1, NULL, 1, 2, '{"editable_user_creation":"1","editable_user_modification":"1","error_message":"","error_message_invalid":"","size":"","rows":"","columns":"","format":"","custom_text":"","css_class":"","authorized_content":{"0":"all","regex":""}}', 1, 1, 1, 1, 1, 'all', 'acym_email', NULL),
(3, 'ACYM_LANGUAGE', 'language', NULL, 1, NULL, 1, 3, '{"editable_user_creation":"1","editable_user_modification":"1"}', 1, 1, 0, 1, 0, 'all', 'acym_language', NULL);

DROP TABLE IF EXISTS `#__acym_followup`;
CREATE TABLE `#__acym_followup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `display_name` varchar(255) NOT NULL,
  `creation_date` datetime NOT NULL,
  `trigger` varchar(50) DEFAULT NULL,
  `condition` longtext DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 1,
  `send_once` tinyint(1) NOT NULL DEFAULT 1,
  `list_id` int(11) DEFAULT NULL,
  `last_trigger` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_jf9e78_acym_followup_has_list` (`list_id`),
  KEY `index_j92030_acym_followup_has_list` (`list_id`),
  KEY `index_j47872_acym_followup_has_list` (`list_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_followup_has_mail`;
CREATE TABLE `#__acym_followup_has_mail` (
  `mail_id` int(11) NOT NULL,
  `followup_id` int(11) NOT NULL,
  `delay` int(11) NOT NULL,
  `delay_unit` int(11) NOT NULL,
  PRIMARY KEY (`mail_id`,`followup_id`),
  KEY `fk_jf9e78_acym_mail_has_followup1` (`followup_id`),
  KEY `fk_jf9e78_acym_mail_has_followup2` (`mail_id`),
  KEY `index_j92030_acym_mail_has_followup1` (`followup_id`),
  KEY `index_j92030_acym_mail_has_followup2` (`mail_id`),
  KEY `index_j47872_acym_mail_has_followup1` (`followup_id`),
  KEY `index_j47872_acym_mail_has_followup2` (`mail_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_form`;
CREATE TABLE `#__acym_form` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `creation_date` datetime NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 1,
  `type` varchar(20) NOT NULL,
  `lists_options` longtext DEFAULT NULL,
  `fields_options` longtext DEFAULT NULL,
  `style_options` longtext DEFAULT NULL,
  `button_options` longtext DEFAULT NULL,
  `image_options` longtext DEFAULT NULL,
  `termspolicy_options` longtext DEFAULT NULL,
  `delay` smallint(10) DEFAULT NULL,
  `pages` text DEFAULT NULL,
  `cookie` varchar(30) DEFAULT NULL,
  `redirection_options` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_history`;
CREATE TABLE `#__acym_history` (
  `user_id` int(11) NOT NULL,
  `date` int(11) NOT NULL,
  `ip` varchar(16) DEFAULT NULL,
  `action` varchar(50) NOT NULL,
  `data` text DEFAULT NULL,
  `source` text DEFAULT NULL,
  `mail_id` mediumint(9) DEFAULT NULL,
  PRIMARY KEY (`user_id`,`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_history` (`user_id`, `date`, `ip`, `action`, `data`, `source`, `mail_id`) VALUES
(1, 1602228967, '', 'created', 'EXECUTED_BY::42 ( Super User )', 'HTTP_REFERER::http://localhost/ja_dev/ja_dev/ja_alpha/administrator/index.php?option=com_installer\nHTTP_USER_AGENT::Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15\nHTTP_HOST::localhost\nSERVER_ADDR::::1\nREMOTE_ADDR::::1\nREQUEST_URI::/ja_dev/ja_dev/ja_alpha/administrator/index.php?option=com_installer&view=install\nQUERY_STRING::option=com_installer&view=install', 0),
(1, 1602229064, '', 'subscribed', 'Lists n° 2\nEXECUTED_BY::42 ( Super User )', 'HTTP_REFERER::http://localhost/ja_dev/ja_dev/ja_alpha/administrator/index.php?option=com_acym&ctrl=dashboard\nHTTP_USER_AGENT::Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15\nHTTP_HOST::localhost\nSERVER_ADDR::::1\nREMOTE_ADDR::::1\nREQUEST_URI::/ja_dev/ja_dev/ja_alpha/administrator/index.php?option=com_acym&ctrl=dashboard\nQUERY_STRING::option=com_acym&ctrl=dashboard', 0),
(2, 1603179456, '127.0.0.1', 'created', '', 'HTTP_REFERER::http://localhost:7879/ja_dev/ja_dev/ja_alpha/index.php/pages/joomla-content/featured-articles\nHTTP_USER_AGENT::Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15\nHTTP_HOST::localhost\nSERVER_ADDR::127.0.0.1\nREMOTE_ADDR::127.0.0.1\nREQUEST_URI::/ja_dev/ja_dev/ja_alpha/index.php/component/acym/frontusers?tmpl=component\nQUERY_STRING::tmpl=component', 0),
(2, 1603179457, '127.0.0.1', 'subscribed', 'Lists n° 1, 2', 'HTTP_REFERER::http://localhost:7879/ja_dev/ja_dev/ja_alpha/index.php/pages/joomla-content/featured-articles\nHTTP_USER_AGENT::Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15\nHTTP_HOST::localhost\nSERVER_ADDR::127.0.0.1\nREMOTE_ADDR::127.0.0.1\nREQUEST_URI::/ja_dev/ja_dev/ja_alpha/index.php/component/acym/frontusers?tmpl=component\nQUERY_STRING::tmpl=component', 0),
(3, 1620271394, '222.254.24.76', 'created', '', 'HTTP_REFERER::http://dev.joomlart.com/jadev2_data/sites/auto/qs.alpha.1620270886/\nHTTP_USER_AGENT::Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:88.0) Gecko/20100101 Firefox/88.0\nHTTP_HOST::dev.joomlart.com\nSERVER_ADDR::101.99.3.254\nREMOTE_ADDR::222.254.24.76\nREQUEST_URI::/jadev2_data/sites/auto/qs.alpha.1620270886/index.php/component/acym/frontusers?tmpl=component\nQUERY_STRING::tmpl=component', 0),
(3, 1620271395, '222.254.24.76', 'subscribed', 'Lists n° 1, 2', 'HTTP_REFERER::http://dev.joomlart.com/jadev2_data/sites/auto/qs.alpha.1620270886/\nHTTP_USER_AGENT::Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:88.0) Gecko/20100101 Firefox/88.0\nHTTP_HOST::dev.joomlart.com\nSERVER_ADDR::101.99.3.254\nREMOTE_ADDR::222.254.24.76\nREQUEST_URI::/jadev2_data/sites/auto/qs.alpha.1620270886/index.php/component/acym/frontusers?tmpl=component\nQUERY_STRING::tmpl=component', 0);

DROP TABLE IF EXISTS `#__acym_list`;
CREATE TABLE `#__acym_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 1,
  `visible` tinyint(1) NOT NULL DEFAULT 1,
  `clean` tinyint(1) DEFAULT NULL,
  `color` varchar(30) DEFAULT NULL,
  `creation_date` datetime DEFAULT NULL,
  `welcome_id` int(11) DEFAULT NULL,
  `unsubscribe_id` int(11) DEFAULT NULL,
  `cms_user_id` int(11) NOT NULL,
  `access` varchar(50) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `tracking` tinyint(1) NOT NULL DEFAULT 1,
  `type` varchar(20) NOT NULL DEFAULT 'standard',
  `translation` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_alpha_acym_list_has_mail1` (`welcome_id`),
  KEY `fk_alpha_acym_list_has_mail2` (`unsubscribe_id`),
  KEY `index_j92030_acym_list_has_mail1` (`welcome_id`),
  KEY `index_j92030_acym_list_has_mail2` (`unsubscribe_id`),
  KEY `index_j47872_acym_list_has_mail1` (`welcome_id`),
  KEY `index_j47872_acym_list_has_mail2` (`unsubscribe_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_list` (`id`, `name`, `active`, `visible`, `clean`, `color`, `creation_date`, `welcome_id`, `unsubscribe_id`, `cms_user_id`, `access`, `description`, `tracking`, `type`, `translation`) VALUES
(1, 'Newsletters', 1, 1, NULL, '#3366ff', '2020-10-09 07:36:05', NULL, NULL, 42, '', '', 1, 'standard', NULL),
(2, 'Testing list', 1, 0, NULL, '#94d4a6', '2020-10-09 07:37:42', NULL, NULL, 42, '', '', 1, 'standard', NULL);

DROP TABLE IF EXISTS `#__acym_mail`;
CREATE TABLE `#__acym_mail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `creation_date` datetime NOT NULL,
  `thumbnail` longtext DEFAULT NULL,
  `drag_editor` tinyint(1) DEFAULT NULL,
  `library` tinyint(1) DEFAULT NULL,
  `type` varchar(30) NOT NULL,
  `body` longtext NOT NULL,
  `subject` varchar(255) DEFAULT NULL,
  `from_name` varchar(100) DEFAULT NULL,
  `from_email` varchar(100) DEFAULT NULL,
  `reply_to_name` varchar(100) DEFAULT NULL,
  `reply_to_email` varchar(100) DEFAULT NULL,
  `bcc` varchar(255) DEFAULT NULL,
  `settings` text DEFAULT NULL,
  `stylesheet` text DEFAULT NULL,
  `attachments` text DEFAULT NULL,
  `creator_id` int(11) NOT NULL,
  `mail_settings` text DEFAULT NULL,
  `headers` text DEFAULT NULL,
  `autosave` longtext DEFAULT NULL,
  `preheader` text DEFAULT NULL,
  `links_language` varchar(20) NOT NULL DEFAULT '',
  `access` varchar(50) NOT NULL DEFAULT '',
  `tracking` tinyint(1) NOT NULL DEFAULT 1,
  `language` varchar(20) NOT NULL DEFAULT '',
  `parent_id` int(11) DEFAULT NULL,
  `translation` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_alpha_acym_mail1` (`parent_id`),
  KEY `index_j92030_acym_mail1` (`parent_id`),
  KEY `index_j47872_acym_mail1` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_mail` (`id`, `name`, `creation_date`, `thumbnail`, `drag_editor`, `library`, `type`, `body`, `subject`, `from_name`, `from_email`, `reply_to_name`, `reply_to_email`, `bcc`, `settings`, `stylesheet`, `attachments`, `creator_id`, `mail_settings`, `headers`, `autosave`, `preheader`, `links_language`, `access`, `tracking`, `language`, `parent_id`, `translation`) VALUES
(1, 'acy_report', '2020-10-09 07:36:05', NULL, 1, 1, 'notification', '<p>{report}</p><p>{detailreport}</p>', 'AcyMailing Cron Report {mainreport}', NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(2, 'acy_confirm', '2020-10-09 07:36:05', NULL, 1, 1, 'notification', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false"><h1 style="font-size: 24px;">{trans:ACYM_HELLO} <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subtag:name|ucfirst}" data-mce-selected="1">Marc<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span>,</h1>\r\n                    <p>{trans:ACYM_CONFIRM_MESSAGE}</p>\r\n                    <p>{trans:ACYM_CONFIRM_MESSAGE_ACTIVATE}</p>\r\n                    <p style="text-align: center;"><strong>{confirm}{trans:ACYM_CONFIRM_SUBSCRIPTION}{/confirm}</strong></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{subtag:name|ucfirst}, {trans:ACYM_PLEASE_CONFIRM_SUBSCRIPTION}', NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(3, 'acy_notification_create', '2020-10-09 07:36:05', NULL, 1, 1, 'notification', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false"><h1 style="font-size: 24px;">Hello <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subtag:name|ucfirst}" data-mce-selected="1">Marc<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span>,</h1>\r\n                    <p>A new user has been created in AcyMailing:</p>\r\n                    <p>Name: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:name}" data-mce-selected="1">Julia<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Email: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:email}" data-mce-selected="1">julia@example.com<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Source: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:source}" data-mce-selected="1">registration_form<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Subscription: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:subscription}" data-mce-selected="1">Newsletters - 2020-11-02 14:38:24<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', 'New subscriber on your website: {user:email}', NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(4, 'acy_notification_unsub', '2020-10-09 07:36:05', NULL, 1, 1, 'notification', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false"><h1 style="font-size: 24px;">Hello <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subtag:name|ucfirst}" data-mce-selected="1">Marc<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span>,</h1>\r\n                    <p>The following user unsubscribed from your list(s):</p>\r\n                    <p>Name: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:name}" data-mce-selected="1">Julia<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Email: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:email}" data-mce-selected="1">julia@example.com<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Lists: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{lists}" data-mce-selected="1">Newsletters, Tips<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', 'A user unsubscribed: {user:email}', NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(5, 'acy_notification_unsuball', '2020-10-09 07:36:05', NULL, 1, 1, 'notification', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false"><h1 style="font-size: 24px;">Hello <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subtag:name|ucfirst}" data-mce-selected="1">Marc<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span>,</h1>\r\n                    <p>The following user unsubscribed from all your lists:</p>\r\n                    <p>Name: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:name}" data-mce-selected="1">Julia<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Email: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:email}" data-mce-selected="1">julia@example.com<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', 'A user unsubscribed from all your lists: {user:email}', NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(6, 'acy_notification_subform', '2020-10-09 07:36:05', NULL, 1, 1, 'notification', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false"><h1 style="font-size: 24px;">Hello <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subtag:name|ucfirst}" data-mce-selected="1">Marc<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span>,</h1>\r\n                    <p>A user submitted the subscription form:</p>\r\n                    <p>Name: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:name}" data-mce-selected="1">Julia<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Email: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:email}" data-mce-selected="1">julia@example.com<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Subscription: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:subscription}" data-mce-selected="1">Newsletters - 2020-11-02 14:38:24<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', 'New contact from your website: {user:email}', NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(7, 'acy_notification_profile', '2020-10-09 07:36:05', NULL, 1, 1, 'notification', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false"><h1 style="font-size: 24px;">Hello <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subtag:name|ucfirst}" data-mce-selected="1">Marc<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span>,</h1>\r\n                    <p>A user changed their profile:</p>\r\n                    <p>Name: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:name}" data-mce-selected="1">Julia<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Email: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:email}" data-mce-selected="1">julia@example.com<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Subscription: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:subscription}" data-mce-selected="1">Newsletters - 2020-11-02 14:38:24<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', 'A user subscribed or modified their subscription: {user:email}', NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(8, 'acy_notification_confirm', '2020-10-09 07:36:05', NULL, 1, 1, 'notification', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false"><h1 style="font-size: 24px;">Hello <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subtag:name|ucfirst}" data-mce-selected="1">Marc<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span>,</h1>\r\n                    <p>The following user confirmed their subscription:</p>\r\n                    <p>Name: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:name}" data-mce-selected="1">Julia<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Email: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:email}" data-mce-selected="1">julia@example.com<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>IP: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:confirmation_ip}" data-mce-selected="1">127.0.0.1<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Subscription: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{user:subscription}" data-mce-selected="1">Newsletters - 2020-11-02 14:38:24<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', 'A user confirmed their subscription: {user:email}', NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(9, 'AcyMailing first email', '2020-10-09 09:36:07', 'thumbnail_first_email.png', 1, 0, 'template', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(245, 245, 245); padding: 30px 0px 120px;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" border="0" cellpadding="0" cellspacing="0" style="z-index: 100; background-color: rgb(238, 238, 238);" bgcolor="#eeeeee"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns" style="height: auto;"><table class="acym__wysid__column" style="min-height: 0px; display: table; height: auto;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group; height: auto;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_63" contenteditable="false"><p style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: rgb(165, 165, 165); word-break: break-word; text-align: center;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #000000; word-break: break-word; text-align: center;"><span style="font-size: 12px;" data-mce-style="font-size: 12px;">We need your feedback!</span></p><p style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: rgb(165, 165, 165); word-break: break-word; text-align: center;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #000000; word-break: break-word; text-align: center;"><span style="font-size: 12px;" data-mce-style="font-size: 12px;">Having trouble seeing this email?&nbsp;<span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{readonline}View it online{/readonline}"><a style="text-decoration: none;" href="http://localhost/ja_dev/ja_dev/ja_alpha/index.php/component/acym/archive/9-your-first-email?userid=1-M4VaTXOvXW89WV&amp;tmpl=component" target="_blank" rel="noopener" data-mce-href="" data-mce-style="text-decoration: none;"><span class="acym_online">View it online</span></a><em class="acym_remove_dynamic acymicon-close">ââ</em></span>&nbsp;</span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_67" contenteditable="false"><p style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #a5a5a5; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #a5a5a5; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: 85px; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 306px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/upload/logo_acymailing_step_email.png" alt="logo_acymailing_step_email.png" height="85" width="306" data-mce-style="max-width: 100%; height: 85px; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto;"></p></div></td></tr><tr class="acym__wysid__column__element acym__wysid__column__element__separator cursor-pointer ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><hr style="border-bottom: 3px solid rgb(214, 214, 214); width: 24%; border-top: none; border-left: none; border-right: none;" class="acym__wysid__row__separator"></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_64" contenteditable="false"><h1 style="font-family: Helvetica; font-size: 34px; font-weight: normal; font-style: normal; color: rgb(0, 164, 255); text-align: center;" data-mce-style="font-family: Helvetica; font-size: 34px; font-weight: normal; font-style: normal; color: #00a4ff; text-align: center;">Dear&nbsp;<span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subscriber:name|part:first|ucfirst}">Admin<em class="acym_remove_dynamic acymicon-close">ââ</em></span>&nbsp;</h1></div></td></tr><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_65" contenteditable="false"><p style="word-break: break-word; font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: rgb(165, 165, 165); text-align: center;" data-mce-style="word-break: break-word; font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #a5a5a5; text-align: center;"><span data-mce-style="color: #a5a5a5; font-family: Helvetica;" style="color: #a5a5a5; font-family: Helvetica;">Amazing, you are going to send your first email!</span></p><p style="word-break: break-word; font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: rgb(165, 165, 165); text-align: center;" data-mce-style="word-break: break-word; font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #a5a5a5; text-align: center;">&nbsp;<br></p><p style="word-break: break-word; font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: rgb(165, 165, 165); text-align: center;" data-mce-style="word-break: break-word; font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #a5a5a5; text-align: center;"><span data-mce-style="color: #a5a5a5; font-family: Helvetica;" style="color: #a5a5a5; font-family: Helvetica;">Feel free to drag &amp; drop some content and&nbsp;</span><span data-mce-style="color: #a5a5a5; font-family: Helvetica;" style="color: #a5a5a5; font-family: Helvetica;">try the AcyMailing editor.</span></p><p style="word-break: break-word; font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: rgb(165, 165, 165); text-align: center;" data-mce-style="word-break: break-word; font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #a5a5a5; text-align: center;"><span data-mce-style="color: #a5a5a5; font-family: Helvetica;" style="color: #a5a5a5; font-family: Helvetica;">Once it is done, click on the "Apply" button.</span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_68" contenteditable="false"><p style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #a5a5a5; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #a5a5a5; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 580px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/upload/image_mailing_step_email.jpg" alt="image_mailing_step_email.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="401" width="580"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#303e47" style="background-color: rgb(48, 62, 71); z-index: 100;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_66" contenteditable="false"><p style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: rgb(165, 165, 165); text-align: center; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #a5a5a5; text-align: center;"><span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{unsubscribe}Unsubscribe{/unsubscribe}"><a style="text-decoration: none;" href="http://localhost/ja_dev/ja_dev/ja_alpha/index.php/component/acym/frontusers/unsubscribe?id=1&amp;key=M4VaTXOvXW89WV&amp;tmpl=component" target="_blank" rel="noopener" data-mce-href="" data-mce-style="text-decoration: none;"><span class="acym_unsubscribe">Unsubscribe</span></a><em class="acym_remove_dynamic acymicon-close">ââ</em></span></p></div></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', 'Your first email', NULL, NULL, NULL, NULL, NULL, '{}', '', NULL, 42, NULL, '', NULL, NULL, '', '', 1, '', NULL, NULL);
INSERT INTO `#__acym_mail` (`id`, `name`, `creation_date`, `thumbnail`, `drag_editor`, `library`, `type`, `body`, `subject`, `from_name`, `from_email`, `reply_to_name`, `reply_to_email`, `bcc`, `settings`, `stylesheet`, `attachments`, `creator_id`, `mail_settings`, `headers`, `autosave`, `preheader`, `links_language`, `access`, `tracking`, `language`, `parent_id`, `translation`) VALUES
(10, 'christmas', '2020-10-09 07:36:05', 'christmas.png', 1, 1, 'template', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(76, 57, 80); padding: 30px 0px 120px;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" border="0" cellpadding="0" cellspacing="0" style="z-index: 100; background-color: rgb(76, 57, 80); padding-top: 0px; padding-bottom: 0px;" bgcolor="rgb(76, 57, 80)"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns" style="height: auto;"><table class="acym__wysid__column" style="min-height: 0px; display: table; height: auto;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group; height: auto;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_19"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(139, 116, 122); word-break: break-word; text-align: center;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word; text-align: center;"><span style="color: #8b747a; font-family: Helvetica; text-align: center; background-color: #4c3950;" data-mce-style="color: #8b747a; font-family: Helvetica; text-align: center; background-color: #4c3950;">www.example.com |&nbsp;<span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{readonline}View the newsletter online{/readonline}"><a style="text-decoration: none;" href="" target="_blank" rel="noopener" data-mce-href="" data-mce-style="text-decoration: none;"><span class="acym_online">View the newsletter online</span></a><em class="acym_remove_dynamic acymicon-close">&zwj;â</em></span>&nbsp;</span><br></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_23"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;"><img class="acym__wysid__media__inserted" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/christmas/shadow1.png" alt="shadow1" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 580px;" data-mce-src=".../images/shadow1.png" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="19" width="580"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_24"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;"><img class="acym__wysid__media__inserted" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/christmas/banner.png" alt="banner" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 580px;" data-mce-src="../images/banner-1.png" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="174" width="580"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space" style="display: block; padding: 0px; margin: 0px; height: 18px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px 20px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_20"><h1 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word; text-align: center;" style="font-family: Helvetica; font-size: 36px; font-weight: normal; font-style: normal; color: rgb(164, 75, 87); word-break: break-word; text-align: center;">Merry Christmas</h1><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(139, 116, 122); word-break: break-word; text-align: center;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word; text-align: center;">Accenderat super his incitatum propositum ad nocendum aliqua mulier vilis, quae ad palatium ut poposcerat intromissa insidias ei latenter obtendi prodiderat a militibus obscurissimis.</p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_25"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;"><img class="acym__wysid__media__inserted" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/christmas/separator.png" alt="separator" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 245px;" data-mce-src="../images/separator.png" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="119" width="245"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px 20px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_21"><h2 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word; text-align: center;" style="font-family: Helvetica; font-size: 30px; font-weight: normal; font-style: normal; color: rgb(208, 117, 107); word-break: break-word; text-align: center;">&amp; Happy New Year</h2><p style="word-break: break-word; text-align: center; font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(139, 116, 122);" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word; text-align: center;"><span data-mce-style="color: #8b747a; font-family: Helvetica; font-size: 12px; font-style: normal; font-weight: normal;" style="color: #8b747a; font-family: Helvetica; font-size: 12px; font-style: normal; font-weight: normal;"><span style="font-size: 12px;" data-mce-style="font-size: 12px;"><strong>Accenderat super his incitatum propositum ad nocendum aliqua mulier vilis, quae ad palatium ut poposcerat intromissa insidias ei latenter obtendi prodiderat a militibus obscurissimis.</strong></span></span><span style="text-align: left; background-color: inherit; font-size: 12px;" data-mce-style="text-align: left; background-color: inherit; font-size: 12px;"><span data-mce-style="color: #8b747a; font-family: Helvetica;" style="color: #8b747a; font-family: Helvetica;"><strong>&nbsp;obscurissimis</strong></span></span><span style="color: #8b747a; font-family: Helvetica; font-size: 12px; font-style: normal; font-weight: normal; background-color: inherit;" data-mce-style="color: #8b747a; font-family: Helvetica; font-size: 12px; font-style: normal; font-weight: normal; background-color: inherit;">. d nocendum aliqua mulier vilis, quae ad palatium ut poposcerat intromissa ias ei latenter obtendi prodiderat a militibus obscr his incitatum propositum ad nocendum aliqua mulier vilis, quae ad palatium ut poposcerat intromissa insidias ei latenter.</span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space" style="display: block; padding: 0px; margin: 0px; height: 18px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding-top: 0px; padding-bottom: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div style="text-align: center;box-sizing: inherit;"><!--[if mso]><v:roundrect style="width: 132; height:56" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="https://www.example.com" style="v-text-anchor:middle;" arcsize="5%" strokecolor="rgb(223, 138, 94)" fillcolor="rgb(223, 138, 94)"><w:anchorlock></w:anchorlock><center style="color :rgb(255, 255, 255); word-break:break-all; font-family:Arial; font-size:14px;">See my gift</center></v:roundrect><![endif]--><!--[if !mso]> --><a class="acym__wysid__column__element__button acym__wysid__column__element__button--focus" style="background-color: rgb(223, 138, 94); color: white; padding: 20px 30px; max-width: 100%; overflow: hidden; border: 1px solid rgb(223, 138, 94); text-overflow: ellipsis; text-align: center; text-decoration: none; word-break: break-all; display: inline-block; box-shadow: none; font-family: Arial; font-size: 14px; cursor: pointer; line-height: 1; border-radius: 5px;" href="https://www.example.com">See my gift</a><!-- <![endif]--></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 18px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_26"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;"><img class="acym__wysid__media__inserted" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/christmas/footer.png" alt="footer" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 580px;" data-mce-src="../images/footer.png" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="97" width="580"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_27"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; word-break: break-word;"><img class="acym__wysid__media__inserted" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/christmas/shadow2.png" alt="shadow2" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 580px;" data-mce-src="../images/shadow2.png" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="19" width="580"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#4c3950" style="background-color: rgb(76, 57, 80); z-index: 100; padding-top: 0px; padding-bottom: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_22"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(139, 116, 122); text-align: center; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #8b747a; text-align: center;">www.mywebsite.com | Contact |&nbsp;<span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{unsubscribe}Unsubscribe{/unsubscribe}"><a style="text-decoration: none;" href="" target="_blank" rel="noopener" data-mce-href="" data-mce-style="text-decoration: none;"><span class="acym_unsubscribe">Unsubscribe</span></a><em class="acym_remove_dynamic acymicon-close">&zwj;â</em></span>&nbsp;</p></div></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>\n', '', NULL, NULL, NULL, NULL, NULL, '{"p":{"font-family":"Helvetica","font-size":"12px","color":"#8b747a"},"#acym__wysid__background-colorpicker":{"background-color":"#4c3950"},"h1":{"font-family":"Helvetica","font-size":"36px","color":"#a44b57"},"h2":{"font-family":"Helvetica","font-size":"30px","color":"#d0756b"},"h3":{"font-family":"Helvetica","font-size":"14px","font-weight":"bold","color":"#d0756b"}}', 'h1, h2 {\n  text-align: center;\n}\n#acym__wysid__template a {\n  cursor: pointer;\n  color: #df8a5e;\n  text-decoration: none;\n  border: none;\n}\n#acym__wysid__template a.acymailing_readmore_link {\n  cursor: pointer;\n  font-weight: bold;\n  color: #df8a5e;\n}\n#acym__wysid__template span a .acym_online, #acym__wysid__template span a .acym_unsubscribe {\n  color: #b9acb0;\n  cursor: pointer;\n}', NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL);
INSERT INTO `#__acym_mail` (`id`, `name`, `creation_date`, `thumbnail`, `drag_editor`, `library`, `type`, `body`, `subject`, `from_name`, `from_email`, `reply_to_name`, `reply_to_email`, `bcc`, `settings`, `stylesheet`, `attachments`, `creator_id`, `mail_settings`, `headers`, `autosave`, `preheader`, `links_language`, `access`, `tracking`, `language`, `parent_id`, `translation`) VALUES
(11, 'snow', '2020-10-09 07:36:05', 'snow.png', 1, 1, 'template', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(235, 235, 235); padding: 30px 0px 120px;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" style="z-index: 100; padding: 0px; background-color: rgb(235, 235, 235);" bgcolor="#ebebeb" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns" style="height: auto;"><table class="acym__wysid__column" style="min-height: 0px; display: table; height: auto;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group; height: auto;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_190"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(123, 119, 105); word-break: break-word; text-align: center;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #000000; word-break: break-word; text-align: center;"><span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{readonline}If you can\'t see this e-mail properly, view it online{/readonline}"><a style="text-decoration: none;" href="" target="_blank" rel="noopener" data-mce-href="" data-mce-style="text-decoration: none;"><span class="acym_online">If you can\'t see this e-mail properly, view it online</span></a><em class="acym_remove_dynamic acymicon-close">&zwj;â</em></span>&nbsp;</p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#343538" style="background-color: rgb(52, 53, 56); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-6 large-6 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_198"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(123, 119, 105); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #000000; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; float: left; width: 95px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/snow/top.jpg" alt="top.jpg" height="27" width="95" data-mce-src="../images/top.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;"></p></div></td></tr></tbody></table></th><th class="small-12 medium-6 large-6 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_191"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(123, 119, 105); word-break: break-word; text-align: right;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #000000; word-break: break-word; text-align: right;"><span id="_mce_caret" data-mce-bogus="1"><span style="color: rgb(255, 255, 255);" data-mce-style="color: #ffffff;">ï»¿</span></span><span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{date:%B %Y}">November 2019<em class="acym_remove_dynamic acymicon-close">&zwj;â</em></span> &nbsp;</p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#1262f0" style="background-color: rgb(18, 98, 240); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="right: inherit; bottom: inherit; height: auto; width: 100px; z-index: 1000; position: relative; top: inherit; left: inherit;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_199"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(123, 119, 105); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #000000; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 580px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/snow/banner.jpg" alt="banner.jpg" data-mce-src="../images/banner.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="176" width="580"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding-left: 20px; padding-right: 20px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="right: inherit; bottom: inherit; height: auto; width: 100px; z-index: 1000; position: relative; top: inherit; left: inherit;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_192"><h1 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769;" style="font-family: Helvetica; font-size: 20px; font-weight: bold; font-style: normal; color: rgb(18, 103, 255);">My winter newsletter</h1><h3 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769;" style="font-family: Helvetica; font-size: 20px; font-weight: normal; font-style: normal; color: rgb(52, 53, 56);">News and events this month</h3></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#1262f0" style="background-color: rgb(18, 98, 240); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#343538" style="background-color: rgb(52, 53, 56); z-index: 100; padding: 0px 20px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space" style="display: block; padding: 0px; margin: 0px; height: 30px;"></span></td></tr><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_193"><h4 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769; word-break: break-word;" style="font-family: Helvetica; font-size: 14px; font-weight: normal; font-style: normal; color: rgb(241, 241, 241); word-break: break-word;"><span style="color: #f1f1f1; font-family: Helvetica;" data-mce-style="color: #f1f1f1; font-family: Helvetica;">Hello&nbsp;<span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subscriber:name|part:first|ucfirst|info:receiver}">Admin<em class="acym_remove_dynamic acymicon-close">&zwj;â</em></span>,</span></h4><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769; word-break: break-word;"><span style="color: #f1f1f1; font-family: Helvetica;" data-mce-style="color: #f1f1f1; font-family: Helvetica;">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at consectetur nisi. Fusce mattis, leo sit amet dictum facilisis, dui sem laoreet neque, et semper eros purus aliquam erat. Cras vitae augue neque, ac condimentum justo. Curabitur et felis vel nibh faucibus cursus eget nec tellus. Sed urna enim, viverra ac blandit ac, porttitor ac diam. Praesent ut eros erat, nec lobortis felis.</span><br></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#343538" style="background-color: rgb(52, 53, 56); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_200"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; float: right; width: 580px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/snow/middle.jpg" alt="middle.jpg" data-mce-src="../images/middle.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="28" width="580"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding-left: 20px; padding-right: 20px; position: relative; top: 0px; left: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 20px;"></span></td></tr><tr class="acym__wysid__column__element ui-draggable" style="right: inherit; bottom: inherit; height: auto; width: 100px; z-index: 100; position: relative; top: inherit; left: inherit;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_194"><h2 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769;" style="font-family: Helvetica; font-size: 14px; font-weight: bold; font-style: normal; color: rgb(18, 103, 255);">My first article</h2><p data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769;" style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(123, 119, 105); word-break: break-word;"><span style="color: #7b7769; font-family: Helvetica;" data-mce-style="color: #7b7769; font-family: Helvetica;">Fusce mattis, leo sit amet dictum facilisis, dui sem laoreet neque, et semper eros purus aliquam erat. Cras vitae augue neque, ac condimentum justo. Curabitur et felis vel nibh faucibus cursus eget nec tellus. Sed urna enim, viverra ac blandit ac, porttitor ac diam. Praesent ut eros erat, nec lobortis felis. Curabitur et nunc ut leo semper convallis ac ut purus. Nulla sodales condimentum augue.</span><br></p></div></td></tr><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div style="text-align: left; box-sizing: inherit;"><!--[if mso]><v:roundrect style = "width: 84; height:24" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="www.example.com" style="v-text-anchor:middle;" arcsize="5%" strokecolor="rgb(255, 255, 255)" fillcolor="rgb(44, 44, 44)"><w:anchorlock></w:anchorlock><center style="color :rgb(255, 255, 255); word-break:break-all; font-family:Arial; font-size:12px;">Read more</center></v:roundrect><![endif]--><!--[if !mso]> --><a class="acym__wysid__column__element__button acym__wysid__column__element__button--focus" style="background-color: rgb(44, 44, 44); color: white; padding: 5px 10px; max-width: 100%; overflow: hidden; border: 1px solid white; text-overflow: ellipsis; text-align: center; text-decoration: none; word-break: break-all; display: inline-block; box-shadow: none; font-family: Arial; font-size: 12px; cursor: pointer; line-height: 1; border-radius: 5px; font-weight: 700;" href="www.example.com">Read more</a><!-- <![endif]--></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding-left: 20px; padding-right: 20px; position: relative; top: 0px; left: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 20px;"></span></td></tr><tr class="acym__wysid__column__element ui-draggable" style="right: inherit; bottom: inherit; height: auto; width: 100px; z-index: 100; position: relative; top: inherit; left: inherit;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_195"><h2 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769;" style="font-family: Helvetica; font-size: 14px; font-weight: bold; font-style: normal; color: rgb(18, 103, 255);">My first article</h2><p data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769;" style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(123, 119, 105); word-break: break-word;"><span style="color: #7b7769; font-family: Helvetica;" data-mce-style="color: #7b7769; font-family: Helvetica;">Fusce mattis, leo sit amet dictum facilisis, dui sem laoreet neque, et semper eros purus aliquam erat. Cras vitae augue neque, ac condimentum justo. Curabitur et felis vel nibh faucibus cursus eget nec tellus. Sed urna enim, viverra ac blandit ac, porttitor ac diam. Praesent ut eros erat, nec lobortis felis. Curabitur et nunc ut leo semper convallis ac ut purus. Nulla sodales condimentum augue.</span><br></p></div></td></tr><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div style="text-align: left; box-sizing: inherit;"><!--[if mso]><v:roundrect style = "width: 84; height:24" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="www.example.com" style="v-text-anchor:middle;" arcsize="5%" strokecolor="rgb(255, 255, 255)" fillcolor="rgb(44, 44, 44)"><w:anchorlock></w:anchorlock><center style="color :rgb(255, 255, 255); word-break:break-all; font-family:Arial; font-size:12px;">Read more</center></v:roundrect><![endif]--><!--[if !mso]> --><a class="acym__wysid__column__element__button acym__wysid__column__element__button--focus" style="background-color: rgb(44, 44, 44); color: white; padding: 5px 10px; max-width: 100%; overflow: hidden; border: 1px solid white; text-overflow: ellipsis; text-align: center; text-decoration: none; word-break: break-all; display: inline-block; box-shadow: none; font-family: Arial; font-size: 12px; cursor: pointer; line-height: 1; border-radius: 5px; font-weight: 700;" href="www.example.com">Read more</a><!-- <![endif]--></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px 20px 10px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div style="text-align: center;"><p class="acym__wysid__column__element__follow acym__wysid__column__element__follow--focus" style="text-align: right; cursor: pointer; padding: 0px; margin: 0px; font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(123, 119, 105); word-break: break-word;"><a class="acym__wysid__column__element__follow__facebook" href=""><img style="display: inline-block; max-width: 100%; height: auto;  box-sizing: border-box; width: 40px; padding: 3px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/logo/facebook.png" width="34" alt="facebook" align="right" hspace="3" height="34"></a><a class="acym__wysid__column__element__follow__twitter" href=""><img style="display: inline-block; max-width: 100%; height: auto;  box-sizing: border-box; width: 40px; padding: 3px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/logo/twitter.png" width="34" alt="twitter" align="right" hspace="3" height="34"></a><a class="acym__wysid__column__element__follow__pinterest" href=""><img style="display: inline-block; max-width: 100%; height: auto; box-sizing: border-box; width: 40px; padding: 3px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/logo/pinterest.png" width="34" alt="" align="right" hspace="3" height="34"></a></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#1262f0" style="background-color: rgb(18, 98, 240); z-index: 100; padding: 0px; position: relative; top: 0px; left: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#343538" style="background-color: rgb(52, 53, 56); z-index: 100; padding: 0px 20px 0px 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-6 large-6 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_201"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; float: left; width: 270px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/snow/bottom.jpg" alt="bottom.jpg" data-mce-src="../images/bottom.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="27" width="270"></p></div></td></tr></tbody></table></th><th class="small-12 medium-6 large-6 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_196"><h4 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #7b7769; text-align: right;" style="font-family: Helvetica; font-size: 14px; font-weight: normal; font-style: normal; color: rgb(241, 241, 241); text-align: right;"><span style="font-size: 12px;" data-mce-style="font-size: 12px;">www.example.php | Contact</span></h4></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" style="z-index: 100; padding: 0px; background-color: rgb(235, 235, 235); position: relative; top: 0px; left: 0px;" bgcolor="#ebebeb" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns" style="height: auto;"><table class="acym__wysid__column" style="min-height: 0px; display: table; height: auto;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group; height: auto;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" contenteditable="false" id="mce_197"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(123, 119, 105); word-break: break-word; text-align: center;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #000000; word-break: break-word; text-align: center;">&nbsp;<span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{unsubscribe}You don\'t want to receive our news anymore? Unsubscribe{/unsubscribe}"><a style="text-decoration: none;" href="" target="_blank" rel="noopener" data-mce-href="" data-mce-style="text-decoration: none;"><span class="acym_unsubscribe">You don\'t want to receive our news anymore? Unsubscribe</span></a><em class="acym_remove_dynamic acymicon-close">&zwj;â</em></span>&nbsp;</p></div></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>\n', '', NULL, NULL, NULL, NULL, NULL, '{"p":{"font-family":"Helvetica","font-size":"12px","color":"#7b7769"},"#acym__wysid__background-colorpicker":{"background-color":"#ebebeb"},"h1":{"font-family":"Helvetica","font-size":"20px","font-weight":"bold","color":"#1267ff"},"h2":{"font-family":"Helvetica","font-size":"14px","color":"#1267ff","font-weight":"bold"},"h3":{"font-family":"Helvetica","font-size":"20px","color":"#343538"},"h4":{"font-family":"Helvetica","font-size":"14px","color":"#f1f1f1"}}', 'h1, h2 {\n  text-transform: uppercase;\n}\nh2 {\n  border-bottom: 1px solid #b1b1b1;\n}\n#acym__wysid__template a {\n  cursor: pointer;\n  color: #df8a5e;\n  text-decoration: none;\n  border: none;\n}\n#acym__wysid__template a.acymailing_readmore_link {\n  cursor: pointer;\n  font-weight: bold;\n  color: #ffffff;\n  background-color: #2c2c2c;\n}\n#acym__wysid__template span a .acym_online, #acym__wysid__template span a .acym_unsubscribe {\n  color: #858585;\n  cursor: pointer;\n}', NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL);
INSERT INTO `#__acym_mail` (`id`, `name`, `creation_date`, `thumbnail`, `drag_editor`, `library`, `type`, `body`, `subject`, `from_name`, `from_email`, `reply_to_name`, `reply_to_email`, `bcc`, `settings`, `stylesheet`, `attachments`, `creator_id`, `mail_settings`, `headers`, `autosave`, `preheader`, `links_language`, `access`, `tracking`, `language`, `parent_id`, `translation`) VALUES
(12, 'white', '2020-10-09 07:36:05', 'white.png', 1, 1, 'template', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(250, 250, 250); padding: 30px 0px 120px;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" border="0" cellpadding="0" cellspacing="0" style="z-index: 100; background-color: rgb(250, 250, 250); padding: 0px 20px;" bgcolor="#fafafa"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns" style="height: auto;"><table class="acym__wysid__column" style="min-height: 0px; display: table; height: auto;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group; height: auto;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_582" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word; text-align: center;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #000000; word-break: break-word; text-align: center;"><span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{readonline}If you can\'t see this e-mail properly, view it online{/readonline}"><a style="text-decoration: none;" href="" target="_blank" rel="noopener" data-mce-href="" data-mce-style="text-decoration: none;"><span class="acym_online">If you can\'t see this e-mail properly, view it online</span></a><em class="acym_remove_dynamic acymicon-close">&zwj;â</em></span>&nbsp;</p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" border="0" cellpadding="0" cellspacing="0" style="z-index: 100; background-color: rgb(250, 250, 250); padding: 0px 20px;" bgcolor="#fafafa"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns" style="height: auto;"><table class="acym__wysid__column" style="min-height: 0px; display: table; height: auto;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group; height: auto;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_592" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 540px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/white/shadowtop.jpg" alt="shadowtop.jpg" data-mce-src="../images/shadowtop.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="10" width="540"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-4 large-4 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_593" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 30px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/white/mail.jpg" alt="mail.jpg" data-mce-src="../images/mail.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="12" width="30"></p></div></td></tr></tbody></table></th><th class="small-12 medium-8 large-8 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_583" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;"><span style="color: #999999; font-family: Helvetica; text-align: center;" data-mce-style="color: #999999; font-family: Helvetica; text-align: center;"><span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{date:%B %Y}">November 2019<em class="acym_remove_dynamic acymicon-close">&zwj;â</em></span> &nbsp;| www.yourwebsite.com</span><br></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px 20px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 15px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding-left: 20px; padding-right: 20px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-8 large-8 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_584" contenteditable="false"><h2 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" style="font-family: Helvetica; font-size: 14px; font-weight: bold; font-style: normal; color: rgb(94, 180, 209); word-break: break-word;">FRESH AND TECHNOLOGIC NEWS!</h2><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;">&nbsp;<br></p><h3 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;" style="font-family: Helvetica; font-size: 12px; font-weight: bold; font-style: normal; color: rgb(86, 86, 86);">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris massa quam, eleifend at ornare.</h3><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;"><span style="color: #999999; font-family: Helvetica;" data-mce-style="color: #999999; font-family: Helvetica;">Liget, volutpat esvft sem. Praesent auctor posuere orci, sit amet molutpat esvft sem. Praesent auctor poslee. Integer nec scelerisque quam. Lore uctor posum ipsum dolor sit amesent auc posum ipsum dolor sit amesent auctor.</span></p></div></td></tr><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_585" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;"><a data-mce-href="https://www.example.com" href="https://www.example.com">&gt; Read more</a></p></div></td></tr></tbody></table></th><th class="small-12 medium-4 large-4 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_594" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 175px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/white/pic1.jpg" alt="pic1.jpg" data-mce-src="../images/pic1.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="130" width="175"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_595" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 530px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/white/separator.jpg" alt="separator.jpg" data-mce-src="../images/separator.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="40" width="530"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; position: relative; top: 0px; left: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-4 large-4 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_596" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 181px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/white/pic2.jpg" alt="pic2.jpg" data-mce-src="../images/pic2.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="132" width="181"></p></div></td></tr></tbody></table></th><th class="small-12 medium-8 large-8 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_586" contenteditable="false"><h2 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" style="font-family: Helvetica; font-weight: bold; color: rgb(94, 180, 209); font-size: 14px; word-break: break-word; font-style: normal;">BEST APPLICATIONS ON YOUR LAPTOP</h2><h3 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: bold; font-style: normal; color: #565656;" style="font-family: Helvetica; font-weight: bold; color: rgb(86, 86, 86); font-size: 12px; font-style: normal;"><span data-mce-style="font-family: Helvetica;" style="font-family: Helvetica;">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris massa quam, eleifend at ornare.</span></h3><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;"><span data-mce-style="font-family: Helvetica;" style="font-family: Helvetica;"><span style="color: #999999; font-family: Helvetica;" data-mce-style="color: #999999; font-family: Helvetica;">Liget, volutpat esvft sem. Praesent auctor posuere orci, sit amet molee. Integer nec&nbsp;<a data-mce-href="https://www.example.com" href="https://www.example.com">scelerisque quam</a>. Lore uctor posum ipsum dolor sit amesent auctor.</span></span></p></div></td></tr><tr class="acym__wysid__column__element ui-draggable" style="right: inherit; bottom: inherit; height: auto; width: 100px; z-index: 100; position: relative; top: inherit; left: inherit;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_587" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;"><a data-mce-href="https://www.example.com" href="https://www.example.com">&gt; Read more</a></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px; position: relative; top: 0px; left: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_597" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 530px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/white/separator.jpg" alt="separator.jpg" data-mce-src="../images/separator.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="40" width="530"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding-left: 20px; padding-right: 20px; position: relative; top: 0px; left: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-8 large-8 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_588" contenteditable="false"><h2 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;" style="font-family: Helvetica; font-weight: bold; color: rgb(94, 180, 209); font-size: 14px; font-style: normal;">BEST APPLICATIONS ON YOUR SMARTPHONE</h2><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;">&nbsp;<br></p><h3 data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;" style="font-family: Helvetica; font-size: 12px; font-weight: bold; font-style: normal; color: rgb(86, 86, 86);">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris massa quam, eleifend at ornare.</h3><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;"><span style="color: #999999; font-family: Helvetica;" data-mce-style="color: #999999; font-family: Helvetica;">Liget, volutpat esvft sem. Praesent auctor posuere orci, sit amet molutpat esvft sem. Praesent auctor poslee. Integer nec <a data-mce-href="https://www.example.com" href="https://www.example.com">scelerisque quam</a>. Lore uctor posum ipsum dolor sit amesent auc posum ipsum dolor sit amesent auctor.</span></p></div></td></tr><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_589" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999;"><a data-mce-href="https://www.example.com" href="https://www.example.com">&gt; Read more</a></p></div></td></tr></tbody></table></th><th class="small-12 medium-4 large-4 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_598" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 175px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/white/pic3.jpg" alt="pic3.jpg" data-mce-src="../images/pic3.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="119" width="175"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding: 0px 20px; position: relative; top: 0px; left: 0px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 15px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" style="background-color: rgb(255, 255, 255); z-index: 100; padding-left: 20px; padding-right: 20px;" cellpadding="0"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-4 large-4 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div style="text-align: center;"><p class="acym__wysid__column__element__follow acym__wysid__column__element__follow--focus" style="text-align: center; cursor: pointer; padding: 0px; margin: 0px; font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word;"><a class="acym__wysid__column__element__follow__facebook" href=""><img style="display: inline-block; max-width: 100%; height: auto; box-sizing: border-box; width: 30px; padding: 3px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/logo/facebook.png" width="24" alt="facebook" height="24"></a><a class="acym__wysid__column__element__follow__twitter" href=""><img style="display: inline-block; max-width: 100%; height: auto; box-sizing: border-box; width: 30px; padding: 3px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/logo/twitter.png" width="24" alt="twitter" height="24"></a><a class="acym__wysid__column__element__follow__linkedin" href=""><img style="display: inline-block; max-width: 100%; height: auto; box-sizing: border-box; width: 30px; padding: 3px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/logo/linkedin.png" width="24" alt="" height="24"></a></p></div></td></tr></tbody></table></th><th class="small-12 medium-8 large-8 columns acym__wysid__row__element__th" valign="top"><table class="acym__wysid__column" border="0" cellpadding="0" cellspacing="0" style="min-height: 0px; display: table;"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_590" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word; text-align: right;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word; text-align: right;">Contact us</p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" border="0" cellpadding="0" cellspacing="0" style="z-index: 100; background-color: rgb(250, 250, 250); padding: 0px 20px; position: relative; top: 0px; left: 0px;" bgcolor="#fafafa"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns" style="height: auto;"><table class="acym__wysid__column" style="min-height: 0px; display: table; height: auto;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group; height: auto;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--image mce-content-body" style="position: relative;" spellcheck="false" id="mce_599" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;" data-mce-style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: #999999; word-break: break-word;"><img class="acym__wysid__media__inserted" style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0px 5px; display: block; margin-left: auto; margin-right: auto; width: 540px;" src="http://localhost/ja_dev/ja_dev/ja_alpha/media/com_acym/images/img_template/white/shadowbottom.jpg" alt="shadowbottom.jpg" data-mce-src="../images/shadowbottom.jpg" data-mce-style="max-width: 100%; height: auto; box-sizing: border-box; padding: 0 5px; display: block; margin-left: auto; margin-right: auto;" height="11" width="540"></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" border="0" cellpadding="0" cellspacing="0" style="z-index: 100; background-color: rgb(250, 250, 250); padding: 0px 20px; position: relative; top: 0px; left: 0px;" bgcolor="#fafafa"><tbody bgcolor="" style="background-color: inherit;"><tr><th class="small-12 medium-12 large-12 columns" style="height: auto;"><table class="acym__wysid__column" style="min-height: 0px; display: table; height: auto;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group; height: auto;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline-width: 0px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false" id="mce_591" contenteditable="false"><p style="font-family: Helvetica; font-size: 12px; font-weight: normal; font-style: normal; color: rgb(153, 153, 153); word-break: break-word; text-align: center;" data-mce-style="font-family: Helvetica; font-size: 16px; font-weight: normal; font-style: normal; color: #000000; word-break: break-word; text-align: center;">&nbsp;<span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{unsubscribe}If you don\'t want to receive our news anymore, unsubscribe{/unsubscribe}"><a style="text-decoration: none;" href="" target="_blank" rel="noopener" data-mce-href="" data-mce-style="text-decoration: none;"><span class="acym_unsubscribe">If you don\'t want to receive our news anymore, unsubscribe</span></a><em class="acym_remove_dynamic acymicon-close">&zwj;â</em></span>&nbsp;</p></div></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>\n', '', NULL, NULL, NULL, NULL, NULL, '{"p":{"font-family":"Helvetica","font-size":"12px","color":"#999999"},"#acym__wysid__background-colorpicker":{"background-color":"#fafafa"},"h1":{"font-family":"Helvetica","font-size":"18px","font-weight":"bold","color":"#5eb4d1"},"h2":{"font-family":"Helvetica","font-size":"14px","font-weight":"bold","color":"#5eb4d1"},"h3":{"font-family":"Helvetica","font-size":"12px","font-weight":"bold","color":"#565656"}}', 'h2 {\n  text-transform: uppercase;\n}\n#acym__wysid__template a {\n  cursor: pointer;\n  color: #5eb4d1;\n  text-decoration: none;\n  border: none;\n}\n#acym__wysid__template span a .acym_online, #acym__wysid__template span a .acym_unsubscribe {\n  color: #cecece;\n}\n#acym__wysid__template a.acymailing_readmore_link {\n  cursor: pointer;\n  font-weight: bold;\n  font-size: 12px;\n  color: #5eb4d1;\n  text-decoration: underline;\n}', NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(13, 'User creation', '2020-10-09 07:36:05', NULL, 1, 1, 'automation', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false"><h1 style="font-size: 24px;">Hello <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subscriber:name|ucfirst}" data-mce-selected="1">Marc<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span>,</h1>\r\n                    <p>A new user has been created in AcyMailing:</p>\r\n                    <p>Name: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subscriber:name|info:current}" data-mce-selected="1">Roger<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Email: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subscriber:email|info:current}" data-mce-selected="1">roger@example.com<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', 'User creation', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', ',,', 1, '', NULL, NULL),
(14, 'User modification', '2020-10-09 07:36:05', NULL, 1, 1, 'automation', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false"><h1 style="font-size: 24px;">Hello <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subscriber:name|ucfirst}" data-mce-selected="1">Marc<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span>,</h1>\r\n                    <p>A user has been modified in AcyMailing:</p>\r\n                    <p>Name: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subscriber:name|info:current}" data-mce-selected="1">Roger<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p>\r\n                    <p>Email: <span class="acym_dynamic mceNonEditable" contenteditable="false" data-dynamic="{subscriber:email|info:current}" data-mce-selected="1">roger@example.com<em class="acym_remove_dynamic acymicon-close">&zwj;</em></span></p></div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', 'User modification', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', ',,', 1, '', NULL, NULL),
(15, 'joomla-resetPwd', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_PASSWORD_RESET_BODY|param2|param3|param4}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_PASSWORD_RESET_SUBJECT|param1}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL);
INSERT INTO `#__acym_mail` (`id`, `name`, `creation_date`, `thumbnail`, `drag_editor`, `library`, `type`, `body`, `subject`, `from_name`, `from_email`, `reply_to_name`, `reply_to_email`, `bcc`, `settings`, `stylesheet`, `attachments`, `creator_id`, `mail_settings`, `headers`, `autosave`, `preheader`, `links_language`, `access`, `tracking`, `language`, `parent_id`, `translation`) VALUES
(16, 'joomla-usernameReminder', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_USERNAME_REMINDER_BODY|param2|param3|param4}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_USERNAME_REMINDER_SUBJECT|param1}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(17, 'joomla-directRegNoPwd', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_REGISTERED_BODY_NOPW|param3|param4|param5}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_ACCOUNT_DETAILS|param1|param2}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(18, 'joomla-directReg', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_REGISTERED_BODY|param3|param4|param5|param6|param7}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_ACCOUNT_DETAILS|param1|param2}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(19, 'joomla-ownActivReg', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY|param3|param4|param5|param6|param7|param8}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_ACCOUNT_DETAILS|param1|param2}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(20, 'joomla-ownActivRegNoPwd', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY_NOPW|param3|param4|param5|param6|param7}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_ACCOUNT_DETAILS|param1|param2}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(21, 'joomla-adminActivReg', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY|param3|param4|param5|param6|param7|param8}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_ACCOUNT_DETAILS|param1|param2}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(22, 'joomla-adminActivRegNoPwd', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY_NOPW|param3|param4|param5|param6|param7}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_ACCOUNT_DETAILS|param1|param2}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(23, 'joomla-confirmActiv', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_BODY|param3|param4|param5}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_SUBJECT|param1|param2}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(24, 'joomla-regByAdmin', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:PLG_USER_JOOMLA_NEW_USER_EMAIL_BODY|param1|param2|param3|param4|param5}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:PLG_USER_JOOMLA_NEW_USER_EMAIL_SUBJECT}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(25, 'joomla-regNotifAdmin', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_REGISTERED_NOTIFICATION_TO_ADMIN_BODY|param3|param4|param5}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_ACCOUNT_DETAILS|param1|param2}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(26, 'joomla-regNotifAdminActiv', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_BODY|param3|param4|param5|param6|param7}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{trans:COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_SUBJECT|param1|param2}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL),
(27, 'joomla-frontsendarticle', '2020-12-25 09:59:35', NULL, 1, NULL, 'override', '<div id="acym__wysid__template" class="cell"><table class="body"><tbody><tr><td align="center" class="center acym__wysid__template__content" valign="top" style="background-color: rgb(239, 239, 239); padding: 40px 0 120px 0;"><center><table align="center" border="0" cellpadding="0" cellspacing="0"><tbody><tr><td class="acym__wysid__row ui-droppable ui-sortable" style="min-height: 0px; display: table-cell;"><table class="row acym__wysid__row__element" bgcolor="#dadada" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218,218,218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0,163,254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(255, 255, 255);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><div class="acym__wysid__tinymce--text mce-content-body" style="position: relative;" spellcheck="false">{trans:COM_MAILTO_EMAIL_MSG|param1|param2|param3|param4}</div></td></tr></tbody></table></th></tr></tbody></table><table class="row acym__wysid__row__element" bgcolor="#dadada" style="position: relative; z-index: 100; top: 0; left: 0;" border="0" cellpadding="0" cellspacing="0"><tbody style="background-color: rgb(218, 218, 218);" bgcolor="#ffffff"><tr><th class="small-12 medium-12 large-12 columns acym__wysid__row__element__th"><table class="acym__wysid__column" style="min-height: 0px; display: table;" border="0" cellpadding="0" cellspacing="0"><tbody class="ui-sortable" style="min-height: 0px; display: table-row-group;"><tr class="acym__wysid__column__element ui-draggable" style="position: relative; top: inherit; left: inherit; right: inherit; bottom: inherit; height: auto;"><td class="large-12 acym__wysid__column__element__td" style="outline: rgb(0, 163, 254) dashed 0px; outline-offset: -1px;"><span class="acy-editor__space acy-editor__space--focus" style="display: block; padding: 0px; margin: 0px; height: 10px;"></span></td></tr></tbody></table></th></tr></tbody></table></td></tr></tbody></table></center></td></tr></tbody></table></div>', '{senderSubject}', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 42, NULL, NULL, NULL, NULL, '', '', 1, '', NULL, NULL);

DROP TABLE IF EXISTS `#__acym_mail_has_list`;
CREATE TABLE `#__acym_mail_has_list` (
  `mail_id` int(11) NOT NULL,
  `list_id` int(11) NOT NULL,
  PRIMARY KEY (`mail_id`,`list_id`),
  KEY `fk_alpha_acym_mail_has_list1` (`list_id`),
  KEY `fk_alpha_acym_mail_has_list2` (`mail_id`),
  KEY `index_j92030_acym_mail_has_list1` (`list_id`),
  KEY `index_j92030_acym_mail_has_list2` (`mail_id`),
  KEY `index_j47872_acym_mail_has_list1` (`list_id`),
  KEY `index_j47872_acym_mail_has_list2` (`mail_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_mail_override`;
CREATE TABLE `#__acym_mail_override` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mail_id` int(11) NOT NULL,
  `description` varchar(255) NOT NULL,
  `source` varchar(20) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 1,
  `base_subject` text NOT NULL,
  `base_body` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_jf9e78_acym_mail_override1` (`mail_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_mail_override` (`id`, `mail_id`, `description`, `source`, `active`, `base_subject`, `base_body`) VALUES
(1, 15, 'ACYM_OVERRIDE_DESC_RESET_PASSWORD', 'joomla', 0, '["COM_USERS_EMAIL_PASSWORD_RESET_SUBJECT"]', '["COM_USERS_EMAIL_PASSWORD_RESET_BODY"]'),
(2, 16, 'ACYM_OVERRIDE_DESC_REMIND_USERNAME', 'joomla', 0, '["COM_USERS_EMAIL_USERNAME_REMINDER_SUBJECT"]', '["COM_USERS_EMAIL_USERNAME_REMINDER_BODY"]'),
(3, 17, 'ACYM_OVERRIDE_DESC_DIRECT_REG_NO_PWD', 'joomla', 0, '["COM_USERS_EMAIL_ACCOUNT_DETAILS"]', '["COM_USERS_EMAIL_REGISTERED_BODY_NOPW"]'),
(4, 18, 'ACYM_OVERRIDE_DESC_DIRECT_REG', 'joomla', 0, '["COM_USERS_EMAIL_ACCOUNT_DETAILS"]', '["COM_USERS_EMAIL_REGISTERED_BODY"]'),
(5, 19, 'ACYM_OVERRIDE_DESC_REG_ACTIVATION', 'joomla', 0, '["COM_USERS_EMAIL_ACCOUNT_DETAILS"]', '["COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY"]'),
(6, 20, 'ACYM_OVERRIDE_DESC_REG_ACTIVATION_NO_PWD', 'joomla', 0, '["COM_USERS_EMAIL_ACCOUNT_DETAILS"]', '["COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY_NOPW"]'),
(7, 21, 'ACYM_OVERRIDE_DESC_REG_ADMIN_ACTIVATION', 'joomla', 0, '["COM_USERS_EMAIL_ACCOUNT_DETAILS"]', '["COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY"]'),
(8, 22, 'ACYM_OVERRIDE_DESC_REG_ADMIN_ACTIVATION_NO_PWD', 'joomla', 0, '["COM_USERS_EMAIL_ACCOUNT_DETAILS"]', '["COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY_NOPW"]'),
(9, 23, 'ACYM_OVERRIDE_DESC_REG_ADMIN_ACTIVATED', 'joomla', 0, '["COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_SUBJECT"]', '["COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_BODY"]'),
(10, 24, 'ACYM_OVERRIDE_DESC_ADMIN_CREATED', 'joomla', 0, '["PLG_USER_JOOMLA_NEW_USER_EMAIL_SUBJECT"]', '["PLG_USER_JOOMLA_NEW_USER_EMAIL_BODY"]'),
(11, 25, 'ACYM_OVERRIDE_DESC_REG_ADMIN_NOTIFICATION', 'joomla', 0, '["COM_USERS_EMAIL_ACCOUNT_DETAILS"]', '["COM_USERS_EMAIL_REGISTERED_NOTIFICATION_TO_ADMIN_BODY"]'),
(12, 26, 'ACYM_OVERRIDE_DESC_ADMIN_ACTIVATION_NOTIFICATION', 'joomla', 0, '["COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_SUBJECT"]', '["COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_BODY"]'),
(13, 27, 'ACYM_OVERRIDE_DESC_ARTICLE_SHARE', 'joomla', 0, '""', '["COM_MAILTO_EMAIL_MSG"]');

DROP TABLE IF EXISTS `#__acym_mail_stat`;
CREATE TABLE `#__acym_mail_stat` (
  `mail_id` int(11) NOT NULL,
  `total_subscribers` int(11) NOT NULL DEFAULT 0,
  `sent` int(11) DEFAULT 0,
  `send_date` datetime DEFAULT NULL,
  `fail` int(11) DEFAULT 0,
  `open_unique` int(11) NOT NULL DEFAULT 0,
  `open_total` int(11) NOT NULL DEFAULT 0,
  `bounce_unique` mediumint(8) NOT NULL DEFAULT 0,
  `bounce_details` longtext DEFAULT NULL,
  `unsubscribe_total` int(11) NOT NULL DEFAULT 0,
  `tracking_sale` float DEFAULT NULL,
  `currency` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`mail_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_plugin`;
CREATE TABLE `#__acym_plugin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `folder_name` varchar(100) NOT NULL,
  `version` varchar(10) DEFAULT NULL,
  `active` int(11) NOT NULL,
  `category` varchar(100) NOT NULL,
  `level` varchar(50) NOT NULL,
  `uptodate` int(11) NOT NULL,
  `features` varchar(255) NOT NULL,
  `description` longtext NOT NULL,
  `latest_version` varchar(10) NOT NULL,
  `settings` longtext DEFAULT NULL,
  `type` varchar(20) NOT NULL DEFAULT 'ADDON',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_plugin` (`id`, `title`, `folder_name`, `version`, `active`, `category`, `level`, `uptodate`, `features`, `description`, `latest_version`, `settings`, `type`) VALUES
(1, 'Article', 'article', '6.16.4', 1, 'Content management', 'starter', 1, '["content"]', '- Insert Joomla articles in your emails<br/>- Insert the latest articles of a category in an automatic email', '6.16.4', NULL, 'CORE'),
(2, 'Create user', 'createuser', '7.5.0', 1, 'User management', 'starter', 1, '[]', '- Automatically creates a site user when an AcyMailing subscriber is created', '7.5.0', NULL, 'CORE');

DROP TABLE IF EXISTS `#__acym_queue`;
CREATE TABLE `#__acym_queue` (
  `mail_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `sending_date` datetime NOT NULL,
  `priority` int(11) NOT NULL DEFAULT 2,
  `try` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`mail_id`,`user_id`),
  KEY `fk_alpha_acym_queue1` (`mail_id`),
  KEY `fk_alpha_acym_queue2` (`user_id`),
  KEY `index_j92030_acym_queue1` (`mail_id`),
  KEY `index_j92030_acym_queue2` (`user_id`),
  KEY `index_j47872_acym_queue1` (`mail_id`),
  KEY `index_j47872_acym_queue2` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_rule`;
CREATE TABLE `#__acym_rule` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `ordering` smallint(6) DEFAULT NULL,
  `regex` text NOT NULL,
  `executed_on` text NOT NULL,
  `action_message` text NOT NULL,
  `action_user` text NOT NULL,
  `active` tinyint(3) NOT NULL,
  `increment_stats` tinyint(3) NOT NULL,
  `execute_action_after` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_rule` (`id`, `name`, `ordering`, `regex`, `executed_on`, `action_message`, `action_user`, `active`, `increment_stats`, `execute_action_after`) VALUES
(1, 'ACYM_ACTION_REQUIRED', 1, 'action *requ|verif', '["subject"]', '{"0":"delete_message","1":"forward_message","forward_to":"admin@gmail.com"}', '[]', 1, 0, 0),
(2, 'ACYM_ACKNOWLEDGMENT_RECEIPT_SUBJECT', 2, '(out|away) *(of|from)|vacation|holiday|absen|congés|recept|acknowledg|thank you for', '["subject"]', '["delete_message"]', '[]', 1, 0, 0),
(3, 'ACYM_FEEDBACK_LOOP', 3, 'feedback|staff@hotmail.com|complaints@.{0,15}email-abuse.amazonses.com|complaint about message', '["senderInfo","subject"]', '["save_message","delete_message"]', '["unsubscribe_user"]', 1, 0, 0),
(4, 'ACYM_FEEDBACK_LOOP_BODY', 4, 'Feedback-Type.{1,5}abuse', '["body"]', '["save_message","delete_message"]', '["unsubscribe_user"]', 1, 1, 0),
(5, 'ACYM_MAILBOX_FULL', 5, '((mailbox|mailfolder|storage|quota|space|inbox) *(is)? *(over)? *(exceeded|size|storage|allocation|full|quota|maxi))|status(-code)? *(:|=)? *5.2.2|quota-issue|not *enough.{1,20}space|((over|exceeded|full|exhausted) *(allowed)? *(mail|storage|quota))', '["subject","body"]', '["save_message","delete_message"]', '["block_user"]', 1, 1, 0),
(6, 'ACYM_BLOCKED_GOOGLE_GROUPS', 6, 'message *rejected *by *Google *Groups', '["body"]', '["delete_message"]', '[]', 1, 1, 0),
(7, 'ACYM_MAILBOX_DOESNT_EXIST_1', 7, '(Invalid|no such|unknown|bad|des?activated|inactive|unrouteable) *(mail|destination|recipient|user|address|person)|bad-mailbox|inactive-mailbox|not listed in.{1,20}directory|RecipNotFound|(user|mailbox|address|recipients?|host|account|domain) *(is|has been)? *(error|disabled|failed|unknown|unavailable|not *(found|available)|.{1,30}inactiv)|no *mailbox *here|user does.?n.t have.{0,30}account', '["subject","body"]', '["save_message","delete_message"]', '["block_user"]', 1, 1, 0),
(8, 'ACYM_MESSAGE_BLOCKED_RECIPIENTS', 8, 'blocked *by|block *list|look(ed)? *like *spam|spam-related|spam *detected| CXBL | CDRBL | IPBL | URLBL |(unacceptable|banned|offensive|filtered|blocked|unsolicited) *(content|message|e?-?mail)|service refused|(status(-code)?|554) *(:|=)? *5.7.1|administratively *denied|blacklisted *IP|policy *reasons|rejected.{1,10}spam|junkmail *rejected|throttling *constraints|exceeded.{1,10}max.{1,40}hour|comply with required standards|421 RP-00|550 SC-00|550 DY-00|550 OU-00', '["body"]', '{"0":"delete_message","1":"forward_message","forward_to":"admin@gmail.com"}', '[]', 1, 1, 0),
(9, 'ACYM_MAILBOX_DOESNT_EXIST_2', 9, 'status(-code)? *(:|=)? *5.(1.[1-6]|0.0|4.[0123467])|recipient *address *rejected|does *not *like *recipient', '["subject","body"]', '["save_message","delete_message"]', '["block_user"]', 1, 1, 0),
(10, 'ACYM_DOMAIN_NOT_EXIST', 10, 'No.{1,10}MX *(record|host)|host *does *not *receive *any *mail|bad-domain|connection.{1,10}mail.{1,20}fail|domain.{1,10}not *exist|fail.{1,10}establish *connection', '["subject","body"]', '["save_message","delete_message"]', '["block_user"]', 1, 1, 0),
(11, 'ACYM_TEMPORARY_FAILURES', 11, 'has.*been.*delayed|delayed *mail|message *delayed|message-expired|temporar(il)?y *(failure|unavailable|disable|offline|unable)|deferred|delayed *([0-9]*) *(hour|minut)|possible *mail *loop|too *many *hops|delivery *time *expired|Action: *delayed|status(-code)? *(:|=)? *4.4.6|will continue to be attempted|unable to deliver in.*Status: 4.4.7', '["subject","body"]', '["save_message","delete_message"]', '["block_user"]', 1, 1, 0),
(12, 'ACYM_FAILED_PERM', 12, 'failed *permanently|permanent.{1,20}(failure|error)|not *accepting *(any)? *mail|does *not *exist|no *valid *route|delivery *failure', '["subject","body"]', '["save_message","delete_message"]', '["block_user"]', 1, 1, 0),
(13, 'ACYM_ACKNOWLEDGMENT_RECEIPT_BODY', 13, 'vacances|holiday|vacation|absen|urlaub', '["body"]', '["delete_message"]', '[]', 1, 0, 0),
(14, 'ACYM_FINAL_RULE', 14, '.', '["senderInfo","subject"]', '{"0":"delete_message","1":"forward_message","forward_to":"admin@gmail.com"}', '[]', 1, 1, 0),
(15, 'ACYM_LIST_UNSUBSCRIBE_HANDLING', 1, 'Please unsubscribe user ID \\d+', '["body"]', '["delete_message"]', '["unsubscribe_user"]', 1, 0, 0);

DROP TABLE IF EXISTS `#__acym_segment`;
CREATE TABLE `#__acym_segment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `creation_date` datetime NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 1,
  `filters` longtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_step`;
CREATE TABLE `#__acym_step` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `triggers` longtext DEFAULT NULL,
  `automation_id` int(11) NOT NULL,
  `last_execution` int(11) DEFAULT NULL,
  `next_execution` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fkalpha_acym__step1` (`automation_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_step` (`id`, `name`, `triggers`, `automation_id`, `last_execution`, `next_execution`) VALUES
(1, 'ACYM_ADMIN_USER_CREATE', '{"user_creation":[""],"type_trigger":"user"}', 1, NULL, NULL),
(2, 'ACYM_ADMIN_USER_CREATE', '{"user_modification":[""],"type_trigger":"user"}', 2, NULL, NULL);

DROP TABLE IF EXISTS `#__acym_tag`;
CREATE TABLE `#__acym_tag` (
  `name` varchar(50) NOT NULL,
  `type` varchar(20) NOT NULL,
  `id_element` int(11) NOT NULL,
  PRIMARY KEY (`name`,`type`,`id_element`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_url`;
CREATE TABLE `#__acym_url` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` longtext DEFAULT NULL,
  `url` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_url_click`;
CREATE TABLE `#__acym_url_click` (
  `mail_id` int(11) NOT NULL,
  `url_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `click` int(11) NOT NULL DEFAULT 0,
  `date_click` datetime DEFAULT NULL,
  PRIMARY KEY (`mail_id`,`url_id`,`user_id`),
  KEY `fk_alpha_acym_url_has_url1` (`url_id`),
  KEY `index_j92030_acym_url_has_url1` (`url_id`),
  KEY `index_j47872_acym_url_has_url1` (`url_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_user`;
CREATE TABLE `#__acym_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  `creation_date` datetime NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 1,
  `cms_id` int(11) NOT NULL DEFAULT 0,
  `source` varchar(255) DEFAULT NULL,
  `confirmed` tinyint(1) NOT NULL DEFAULT 0,
  `key` varchar(255) DEFAULT NULL,
  `automation` varchar(50) NOT NULL DEFAULT '',
  `confirmation_date` datetime DEFAULT NULL,
  `confirmation_ip` varchar(16) DEFAULT NULL,
  `tracking` tinyint(1) NOT NULL DEFAULT 1,
  `language` varchar(20) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `email_UNIQUE` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_user` (`id`, `name`, `email`, `creation_date`, `active`, `cms_id`, `source`, `confirmed`, `key`, `automation`, `confirmation_date`, `confirmation_ip`, `tracking`, `language`) VALUES
(1, 'Admin', 'admin@gmail.com', '2020-10-09 09:36:06', 1, 42, NULL, 1, 'M4VaTXOvXW89WV', '', NULL, NULL, 1, ''),
(2, 'No Reply', 'no-reply@gmail.com', '2020-10-20 09:37:35', 1, 0, 'Modulen126', 0, 'QQR1BwuPG31DEX', '', NULL, NULL, 1, ''),
(3, 'J', 'j@j.com', '2021-05-06 03:23:13', 1, 0, 'Module n°126', 0, '2wBbYfJkCFSXn7', '', NULL, NULL, 1, '');

DROP TABLE IF EXISTS `#__acym_user_has_field`;
CREATE TABLE `#__acym_user_has_field` (
  `user_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `value` longtext DEFAULT NULL,
  PRIMARY KEY (`user_id`,`field_id`),
  KEY `fk_alpha_acym_user_has_field1` (`field_id`),
  KEY `fk_alpha_acym_user_has_field2` (`user_id`),
  KEY `index_j92030_acym_user_has_field1` (`field_id`),
  KEY `index_j92030_acym_user_has_field2` (`user_id`),
  KEY `index_j47872_acym_user_has_field1` (`field_id`),
  KEY `index_j47872_acym_user_has_field2` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__acym_user_has_list`;
CREATE TABLE `#__acym_user_has_list` (
  `user_id` int(11) NOT NULL,
  `list_id` int(11) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `subscription_date` datetime NOT NULL,
  `unsubscribe_date` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`,`list_id`),
  KEY `fk_alpha_acym_user_has_list1` (`list_id`),
  KEY `fk_alpha_acym_user_has_list2` (`user_id`),
  KEY `index_j92030_acym_user_has_list3` (`subscription_date`),
  KEY `index_j92030_acym_user_has_list4` (`unsubscribe_date`),
  KEY `index_j92030_acym_user_has_list1` (`list_id`),
  KEY `index_j92030_acym_user_has_list2` (`user_id`),
  KEY `index_j47872_acym_user_has_list1` (`list_id`),
  KEY `index_j47872_acym_user_has_list2` (`user_id`),
  KEY `index_j47872_acym_user_has_list3` (`subscription_date`),
  KEY `index_j47872_acym_user_has_list4` (`unsubscribe_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__acym_user_has_list` (`user_id`, `list_id`, `status`, `subscription_date`, `unsubscribe_date`) VALUES
(1, 2, 1, '2020-10-09 09:37:43', NULL),
(2, 1, 1, '2020-10-20 09:37:37', NULL),
(2, 2, 1, '2020-10-20 09:37:37', NULL),
(3, 1, 1, '2021-05-06 03:23:13', NULL),
(3, 2, 1, '2021-05-06 03:23:13', NULL);

DROP TABLE IF EXISTS `#__acym_user_stat`;
CREATE TABLE `#__acym_user_stat` (
  `user_id` int(11) NOT NULL,
  `mail_id` int(11) NOT NULL,
  `send_date` datetime DEFAULT NULL,
  `fail` int(11) NOT NULL DEFAULT 0,
  `sent` int(11) NOT NULL DEFAULT 0,
  `open` int(11) NOT NULL DEFAULT 0,
  `open_date` datetime DEFAULT NULL,
  `bounce` tinyint(4) NOT NULL DEFAULT 0,
  `bounce_rule` varchar(255) DEFAULT NULL,
  `tracking_sale` float DEFAULT NULL,
  `currency` varchar(10) DEFAULT NULL,
  `unsubscribe` int(11) NOT NULL DEFAULT 0,
  `device` varchar(50) DEFAULT NULL,
  `opened_with` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`user_id`,`mail_id`),
  KEY `fk_alpha_acym_user_stat1` (`mail_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=186 DEFAULT CHARSET=utf8;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 0, 349, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":{"6":1},"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 1, 2, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 3, 6, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(4, 1, 7, 8, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 9, 10, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 11, 12, 1, 'com_config', 'com_config', '{}'),
(7, 1, 13, 16, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(8, 1, 17, 170, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.edit":{"4":1},"core.edit.state":{"5":1}}'),
(9, 1, 171, 172, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 173, 174, 1, 'com_installer', 'com_installer', '{"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 175, 176, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1}}'),
(12, 1, 177, 178, 1, 'com_login', 'com_login', '{}'),
(13, 1, 179, 180, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 181, 182, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 183, 184, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1}}'),
(16, 1, 185, 188, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1}}'),
(17, 1, 189, 190, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 191, 292, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1}}'),
(19, 1, 293, 296, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(20, 1, 297, 298, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1}}'),
(21, 1, 299, 300, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1}}'),
(22, 1, 301, 302, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 303, 304, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1}}'),
(24, 1, 305, 308, 1, 'com_users', 'com_users', '{"core.admin":{"7":1}}'),
(26, 1, 309, 310, 1, 'com_wrapper', 'com_wrapper', '{}'),
(27, 8, 18, 27, 2, 'com_content.category.2', 'Others', '{}'),
(28, 3, 4, 5, 2, 'com_banners.category.3', 'Uncategorised', '{}'),
(29, 7, 14, 15, 2, 'com_contact.category.4', 'Uncategorised', '{}'),
(30, 19, 294, 295, 2, 'com_newsfeeds.category.5', 'Uncategorised', '{}'),
(32, 24, 306, 307, 2, 'com_users.category.7', 'Uncategorised', '{}'),
(33, 1, 311, 312, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(34, 1, 313, 314, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{}'),
(35, 1, 315, 316, 1, 'com_tags', 'com_tags', '{}'),
(36, 1, 317, 318, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(37, 1, 319, 320, 1, 'com_ajax', 'com_ajax', '{}'),
(38, 1, 321, 322, 1, 'com_postinstall', 'com_postinstall', '{}'),
(40, 18, 192, 193, 2, 'com_modules.module.2', 'Login', '{}'),
(41, 18, 194, 195, 2, 'com_modules.module.3', 'Popular Articles', '{}'),
(42, 18, 196, 197, 2, 'com_modules.module.4', 'Recently Added Articles', '{}'),
(43, 18, 198, 199, 2, 'com_modules.module.8', 'Toolbar', '{}'),
(44, 18, 200, 201, 2, 'com_modules.module.9', 'Quick Icons', '{}'),
(45, 18, 202, 203, 2, 'com_modules.module.10', 'Logged-in Users', '{}'),
(46, 18, 204, 205, 2, 'com_modules.module.12', 'Admin Menu', '{}'),
(47, 18, 206, 207, 2, 'com_modules.module.13', 'Admin Submenu', '{}'),
(48, 18, 208, 209, 2, 'com_modules.module.14', 'User Status', '{}'),
(49, 18, 210, 211, 2, 'com_modules.module.15', 'Title', '{}'),
(52, 18, 212, 213, 2, 'com_modules.module.79', 'Multilanguage status', '{}'),
(53, 18, 214, 215, 2, 'com_modules.module.86', 'Joomla Version', '{}'),
(55, 18, 216, 217, 2, 'com_modules.module.88', 'Site Information', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(56, 18, 218, 219, 2, 'com_modules.module.89', 'Release News', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(61, 27, 19, 20, 3, 'com_content.article.1', 'Getting Started', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(62, 1, 323, 324, 1, '#__ucm_content.1', '#__ucm_content.1', '{}'),
(63, 1, 325, 326, 1, 'com_privacy', 'com_privacy', '{"core.admin":{"7":1}}'),
(64, 1, 327, 328, 1, 'com_actionlogs', 'com_actionlogs', '{"core.admin":{"7":1}}'),
(65, 18, 220, 221, 2, 'com_modules.module.95', 'Need Help', '{}'),
(66, 18, 222, 223, 2, 'com_modules.module.96', 'Social', '{}'),
(67, 18, 224, 225, 2, 'com_modules.module.97', 'Head Actions', '{}'),
(68, 8, 28, 63, 2, 'com_content.category.8', 'News', '{}'),
(69, 27, 21, 22, 3, 'com_content.article.2', 'Error Page', '{}'),
(70, 27, 23, 24, 3, 'com_content.article.3', 'Offline Page', '{}'),
(71, 27, 25, 26, 3, 'com_content.article.4', 'Typography', '{}'),
(72, 18, 226, 227, 2, 'com_modules.module.98', 'Masthead', '{}'),
(73, 18, 228, 229, 2, 'com_modules.module.99', 'Breadcrumbs', '{}'),
(74, 18, 230, 231, 2, 'com_modules.module.100', 'Offcanvas', '{}'),
(75, 79, 30, 31, 4, 'com_content.article.5', 'Why Hiring Managers Are Sweetening the Pot', '{}'),
(76, 80, 42, 43, 4, 'com_content.article.6', 'The Crisis of Competency in Accounting and Finance', '{}'),
(77, 81, 46, 47, 4, 'com_content.article.7', 'Death by PowerPoint', '{}'),
(78, 82, 60, 61, 4, 'com_content.article.8', 'Changes Coming to SMB Healthcare Tax Credit', '{}'),
(79, 68, 29, 40, 3, 'com_content.category.9', 'Strategic planning', '{}'),
(80, 68, 41, 44, 3, 'com_content.category.10', 'Audit & Assurance', '{}'),
(81, 68, 45, 58, 3, 'com_content.category.11', 'Trades & Stocks', '{}'),
(82, 68, 59, 62, 3, 'com_content.category.12', 'Business Planning', '{}'),
(83, 79, 32, 33, 4, 'com_content.article.9', 'Pellentesque habitant morbi', '{}'),
(84, 79, 34, 35, 4, 'com_content.article.10', 'Donec non enim in turpis pulvinar', '{}'),
(85, 79, 36, 37, 4, 'com_content.article.11', 'Mauris placerat eleifend leo', '{}'),
(86, 79, 38, 39, 4, 'com_content.article.12', 'Pellentesque habitant morbi tristique senectus et netus', '{}'),
(87, 81, 48, 49, 4, 'com_content.article.13', 'Pellentesque habitant morbi tristique senectus et netus', '{}'),
(88, 81, 50, 51, 4, 'com_content.article.14', 'Mauris placerat eleifend leo', '{}'),
(89, 81, 52, 53, 4, 'com_content.article.15', 'Donec non enim in turpis pulvinar', '{}'),
(90, 81, 54, 55, 4, 'com_content.article.16', 'Pellentesque habitant morbi', '{}'),
(91, 81, 56, 57, 4, 'com_content.article.17', 'Changes Coming to SMB Healthcare Tax Credit', '{}'),
(92, 18, 232, 233, 2, 'com_modules.module.101', 'Categories', '{}'),
(93, 18, 234, 235, 2, 'com_modules.module.102', 'Login', '{}'),
(94, 18, 236, 237, 2, 'com_modules.module.103', 'Latest Articles', '{}'),
(95, 18, 238, 239, 2, 'com_modules.module.104', 'Banners', '{}'),
(96, 1, 329, 330, 1, '#__ucm_content.2', '#__ucm_content.2', '{}'),
(97, 1, 331, 332, 1, '#__ucm_content.3', '#__ucm_content.3', '{}'),
(98, 1, 333, 334, 1, '#__ucm_content.4', '#__ucm_content.4', '{}'),
(99, 1, 335, 336, 1, '#__ucm_content.5', '#__ucm_content.5', '{}'),
(100, 1, 337, 338, 1, '#__ucm_content.6', '#__ucm_content.6', '{}'),
(101, 1, 339, 340, 1, '#__ucm_content.7', '#__ucm_content.7', '{}'),
(102, 8, 64, 153, 2, 'com_content.category.13', 'Portfolio', '{}'),
(103, 102, 65, 82, 3, 'com_content.category.14', 'Accounting', '{}'),
(104, 102, 83, 96, 3, 'com_content.category.15', 'Cashflow', '{}'),
(105, 102, 97, 110, 3, 'com_content.category.16', 'Financial', '{}'),
(106, 102, 111, 124, 3, 'com_content.category.17', 'Invoicing', '{}'),
(107, 102, 125, 138, 3, 'com_content.category.18', 'Services', '{}'),
(108, 102, 139, 152, 3, 'com_content.category.19', 'Trading', '{}'),
(109, 103, 66, 67, 4, 'com_content.article.18', 'Dignissim et autre officiis debitis autrerum sed necessitatibus', '{}'),
(110, 18, 240, 241, 2, 'com_modules.module.105', 'Portfolio Categories', '{}'),
(111, 103, 68, 69, 4, 'com_content.article.19', 'Helping Companies With Healthcare Inustry (2)', '{}'),
(112, 18, 242, 243, 2, 'com_modules.module.106', 'Case Studies', '{}'),
(113, 103, 70, 71, 4, 'com_content.article.20', 'Helping Companies With Healthcare Inustry (3)', '{}'),
(114, 103, 72, 73, 4, 'com_content.article.21', 'Hendrerit saepe eveniet in vulputate velit', '{}'),
(115, 103, 74, 75, 4, 'com_content.article.22', 'Aperiam, eaque ipsa quae ab illo inventore', '{}'),
(116, 103, 76, 77, 4, 'com_content.article.23', 'Architecto beatae duis autems', '{}'),
(117, 103, 78, 79, 4, 'com_content.article.24', 'Temporibus autem quibusdam et aut officiis debitis', '{}'),
(118, 103, 80, 81, 4, 'com_content.article.25', 'Totams our aperiam, eaque ipsa quae ab illo inventore', '{}'),
(119, 18, 244, 245, 2, 'com_modules.module.107', 'Clients', '{}'),
(120, 18, 246, 247, 2, 'com_modules.module.108', 'Discover our most popular services', '{}'),
(121, 18, 248, 249, 2, 'com_modules.module.109', 'Clients', '{}'),
(122, 18, 250, 251, 2, 'com_modules.module.110', 'Check below the most popular services', '{}'),
(123, 18, 252, 253, 2, 'com_modules.module.111', 'CTA', '{}'),
(124, 18, 254, 255, 2, 'com_modules.module.112', 'Menu Features', '{}'),
(125, 8, 154, 169, 2, 'com_content.category.20', 'Services', '{}'),
(126, 125, 155, 156, 3, 'com_content.article.26', 'Financial Services', '{}'),
(127, 18, 256, 257, 2, 'com_modules.module.113', 'Our Services', '{}'),
(128, 125, 157, 158, 3, 'com_content.article.27', 'Strategic planning', '{}'),
(129, 125, 159, 160, 3, 'com_content.article.28', 'Audit & Assurance', '{}'),
(130, 125, 161, 162, 3, 'com_content.article.29', 'Trades & Stocks', '{}'),
(131, 18, 258, 259, 2, 'com_modules.module.114', 'Head Search', '{}'),
(132, 18, 260, 261, 2, 'com_modules.module.115', 'Hero', '{}'),
(133, 18, 262, 263, 2, 'com_modules.module.116', 'Features', '{}'),
(134, 18, 264, 265, 2, 'com_modules.module.117', 'Meet Consulting', '{}'),
(135, 18, 266, 267, 2, 'com_modules.module.118', 'Clients', '{}'),
(136, 18, 268, 269, 2, 'com_modules.module.119', 'Client’s story', '{}'),
(137, 18, 270, 271, 2, 'com_modules.module.120', 'Latest Case Studies', '{}'),
(138, 18, 272, 273, 2, 'com_modules.module.121', 'Why choose Us', '{}'),
(139, 18, 274, 275, 2, 'com_modules.module.122', 'Testimonials', '{}'),
(140, 1, 341, 342, 1, 'com_fields', 'com_fields', '{}'),
(141, 1, 343, 344, 1, 'com_associations', 'com_associations', '{}'),
(142, 18, 276, 277, 2, 'com_modules.module.123', 'CTA Footer', '{}'),
(143, 16, 186, 187, 2, 'com_menus.menu.3', 'Extra links', '{}'),
(144, 18, 278, 279, 2, 'com_modules.module.124', 'Extra links', '{}'),
(145, 18, 280, 281, 2, 'com_modules.module.125', 'Latest Update', '{}'),
(146, 1, 345, 346, 1, 'com_acym', 'Acym', '{}'),
(147, 18, 282, 283, 2, 'com_modules.module.126', 'Newsletter', '{}'),
(148, 18, 284, 285, 2, 'com_modules.module.127', 'Contact Footer', '{}'),
(149, 18, 286, 287, 2, 'com_modules.module.128', 'Copyright', '{}'),
(150, 104, 84, 85, 4, 'com_content.article.30', 'Totams our aperiam, eaque ipsa quae ab illo inventore', '{}'),
(151, 104, 86, 87, 4, 'com_content.article.31', 'Temporibus autem quibusdam et aut officiis debitis', '{}'),
(152, 104, 88, 89, 4, 'com_content.article.32', 'Architecto beatae duis autems', '{}'),
(153, 104, 90, 91, 4, 'com_content.article.33', 'Aperiam, eaque ipsa quae ab illo inventore', '{}'),
(154, 104, 92, 93, 4, 'com_content.article.34', 'Hendrerit saepe eveniet in vulputate velit', '{}'),
(155, 104, 94, 95, 4, 'com_content.article.35', 'Dignissim et autre officiis debitis autrerum sed necessitatibus', '{}'),
(156, 105, 98, 99, 4, 'com_content.article.36', 'Totams our aperiam, eaque ipsa quae ab illo inventore', '{}'),
(157, 105, 100, 101, 4, 'com_content.article.37', 'Temporibus autem quibusdam et aut officiis debitis', '{}'),
(158, 105, 102, 103, 4, 'com_content.article.38', 'Architecto beatae duis autems', '{}'),
(159, 105, 104, 105, 4, 'com_content.article.39', 'Aperiam, eaque ipsa quae ab illo inventore', '{}'),
(160, 105, 106, 107, 4, 'com_content.article.40', 'Hendrerit saepe eveniet in vulputate velit', '{}'),
(161, 105, 108, 109, 4, 'com_content.article.41', 'Dignissim et autre officiis debitis autrerum sed necessitatibus', '{}'),
(162, 106, 112, 113, 4, 'com_content.article.42', 'Totams our aperiam, eaque ipsa quae ab illo inventore', '{}'),
(163, 106, 114, 115, 4, 'com_content.article.43', 'Temporibus autem quibusdam et aut officiis debitis', '{}'),
(164, 106, 116, 117, 4, 'com_content.article.44', 'Architecto beatae duis autems', '{}'),
(165, 106, 118, 119, 4, 'com_content.article.45', 'Aperiam, eaque ipsa quae ab illo inventore', '{}'),
(166, 106, 120, 121, 4, 'com_content.article.46', 'Hendrerit saepe eveniet in vulputate velit', '{}'),
(167, 106, 122, 123, 4, 'com_content.article.47', 'Dignissim et autre officiis debitis autrerum sed necessitatibus', '{}'),
(168, 107, 126, 127, 4, 'com_content.article.48', 'Totams our aperiam, eaque ipsa quae ab illo inventore', '{}'),
(169, 107, 128, 129, 4, 'com_content.article.49', 'Temporibus autem quibusdam et aut officiis debitis', '{}'),
(170, 107, 130, 131, 4, 'com_content.article.50', 'Architecto beatae duis autems', '{}'),
(171, 107, 132, 133, 4, 'com_content.article.51', 'Aperiam, eaque ipsa quae ab illo inventore', '{}'),
(172, 107, 134, 135, 4, 'com_content.article.52', 'Hendrerit saepe eveniet in vulputate velit', '{}'),
(173, 107, 136, 137, 4, 'com_content.article.53', 'Dignissim et autre officiis debitis autrerum sed necessitatibus', '{}'),
(174, 108, 140, 141, 4, 'com_content.article.54', 'Totams our aperiam, eaque ipsa quae ab illo inventore', '{}'),
(175, 108, 142, 143, 4, 'com_content.article.55', 'Temporibus autem quibusdam et aut officiis debitis', '{}'),
(176, 108, 144, 145, 4, 'com_content.article.56', 'Architecto beatae duis autems', '{}'),
(177, 108, 146, 147, 4, 'com_content.article.57', 'Aperiam, eaque ipsa quae ab illo inventore', '{}'),
(178, 108, 148, 149, 4, 'com_content.article.58', 'Hendrerit saepe eveniet in vulputate velit', '{}'),
(179, 108, 150, 151, 4, 'com_content.article.59', 'Dignissim et autre officiis debitis autrerum sed necessitatibus', '{}'),
(180, 18, 288, 289, 2, 'com_modules.module.129', 'Case Studies', '{}'),
(181, 18, 290, 291, 2, 'com_modules.module.130', 'CTA', '{}'),
(182, 125, 163, 164, 3, 'com_content.article.60', 'Strategic planning', '{}'),
(183, 125, 165, 166, 3, 'com_content.article.61', 'Audit & Assurance', '{}'),
(184, 125, 167, 168, 3, 'com_content.article.62', 'Trades & Stocks', '{}'),
(185, 1, 347, 348, 1, 'com_jaextmanager', 'com_jaextmanager', '{}');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT -1,
  `track_clicks` tinyint(4) NOT NULL DEFAULT -1,
  `track_impressions` tinyint(4) NOT NULL DEFAULT -1,
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `type` int(11) NOT NULL DEFAULT 0,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT 0,
  `impmade` int(11) NOT NULL DEFAULT 0,
  `clicks` int(11) NOT NULL DEFAULT 0,
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT -1,
  `track_clicks` tinyint(4) NOT NULL DEFAULT -1,
  `track_impressions` tinyint(4) NOT NULL DEFAULT -1,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100)),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__banners` (`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `version`) VALUES
(1, 0, 0, 'Ads 1', 'ads-1', 0, 2588, 0, 'https://joomlart.com', 1, 3, '', '', 0, 1, '', '{"imageurl":"images\\/joomlart\\/others\\/ads-1.jpg","width":"","height":"","alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2021-07-09 07:35:35', '2021-07-09 07:35:35', '*', 42, '', '2021-07-09 07:35:35', 42, 2);

DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `level` int(10) unsigned NOT NULL DEFAULT 0,
  `path` varchar(400) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `params` text DEFAULT NULL,
  `metadesc` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL DEFAULT '',
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 37, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '{}', 42, '2021-07-09 07:35:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(2, 27, 1, 1, 2, 1, 'others', 'com_content', 'Others', 'others', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', 0, '*', 1),
(3, 28, 1, 3, 4, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(4, 29, 1, 5, 6, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(5, 30, 1, 7, 8, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(7, 32, 1, 9, 10, 1, 'uncategorised', 'com_users', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(8, 68, 1, 11, 20, 1, 'news', 'com_content', 'News', 'news', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', 0, '*', 1),
(9, 79, 8, 12, 13, 2, 'news/strategic-planning', 'com_content', 'Strategic planning', 'strategic-planning', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', 0, '*', 1),
(10, 80, 8, 14, 15, 2, 'news/audit-assurance', 'com_content', 'Audit & Assurance', 'audit-assurance', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', 0, '*', 1),
(11, 81, 8, 16, 17, 2, 'news/trades-stocks', 'com_content', 'Trades & Stocks', 'trades-stocks', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', 0, '*', 1),
(12, 82, 8, 18, 19, 2, 'news/business-planning', 'com_content', 'Business Planning', 'business-planning', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', 0, '*', 1),
(13, 102, 1, 21, 34, 1, 'portfolio', 'com_content', 'Portfolio', 'portfolio', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":"","t4_extrafields":"porfolio"}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', 0, '*', 1),
(14, 103, 13, 22, 23, 2, 'portfolio/accounting', 'com_content', 'Accounting', 'accounting', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":"","t4_extrafields":"porfolio"}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', 0, '*', 1),
(15, 104, 13, 24, 25, 2, 'portfolio/cashflow', 'com_content', 'Cashflow', 'cashflow', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":"","t4_extrafields":"porfolio"}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', 0, '*', 1),
(16, 105, 13, 26, 27, 2, 'portfolio/financial', 'com_content', 'Financial', 'financial', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":"","t4_extrafields":"porfolio"}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', 0, '*', 1),
(17, 106, 13, 28, 29, 2, 'portfolio/invoicing', 'com_content', 'Invoicing', 'invoicing', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":"","t4_extrafields":"porfolio"}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', 0, '*', 1),
(18, 107, 13, 30, 31, 2, 'portfolio/services', 'com_content', 'Services', 'services', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":"","t4_extrafields":"porfolio"}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', 0, '*', 1),
(19, 108, 13, 32, 33, 2, 'portfolio/trading', 'com_content', 'Trading', 'trading', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":"","t4_extrafields":"porfolio"}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', 0, '*', 1),
(20, 125, 1, 35, 36, 1, 'services', 'com_content', 'Services', 'services', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":"","t4_extrafields":"services"}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', 0, '*', 1);

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(400) binary NOT NULL,
  `con_position` varchar(255) DEFAULT NULL,
  `address` text DEFAULT NULL,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `catid` int(11) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL DEFAULT '',
  `sortname2` varchar(255) NOT NULL DEFAULT '',
  `sortname3` varchar(255) NOT NULL DEFAULT '',
  `language` varchar(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Set if contact is featured.',
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(1, 'Get In Touch', 'get-in-touch', '', 'Dr. Florian Proell & Colleagues, Cicerostraße 21, 10709 Berlin', '', '', '', '', '(+49) 30 880911 0', '', '<p>A small river named Duden flows by their place and supplies it with the necessary regelialia. It is a paradisematic country, in which roasted parts of sentences fly into your mouth.</p>', 'images/joomlart/others/contact.jpg', 'no-reply@gmail.com', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_tags":"","show_info":"","show_name":"","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","show_misc":"","allow_vcard":"","show_articles":"","articles_display_num":"","show_profile":"","show_links":"","linka_name":"facebook","linka":"https:\\/\\/joomlart.com","linkb_name":"instagram","linkb":"https:\\/\\/joomlart.com","linkc_name":"twitter","linkc":"https:\\/\\/joomlart.com","linkd_name":"","linkd":false,"linke_name":"","linke":false,"contact_layout":"","show_email_form":"","show_email_copy":"","validate_session":"","custom_reply":"","redirect":""}', 0, 4, 1, '(+49) 30 880911 0', 'https://joomlart.com', '', '', '', '*', '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 4, 120);

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `note` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`),
  KEY `idx_alias` (`alias`(191))
) ENGINE=InnoDB AUTO_INCREMENT=63 DEFAULT CHARSET=utf8;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(1, 61, 'Getting Started', 'getting-started', '<p>It\'s easy to get started creating your website. Knowing some of the basics will help.</p><h3>What is a Content Management System?</h3><p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.</p><p>In this site, the content is stored in a <em>database</em>. The look and feel are created by a <em>template</em>. Joomla! brings together the template and your content to create web pages.</p><h3>Logging in</h3><p>To login to your site use the user name and password that were created as part of the installation process. Once logged-in you will be able to create and edit articles and modify some settings.</p><h3>Creating an article</h3><p>Once you are logged-in, a new menu will be visible. To create a new article, click on the "Submit Article" link on that menu.</p><p>The new article interface gives you a lot of options, but all you need to do is add a title and put something in the content area. To make it easy to find, set the state to published.</p><div>You can edit an existing article by clicking on the edit icon (this only displays to users who have the right to edit).</div><h3>Template, site settings, and modules</h3><p>The look and feel of your site is controlled by a template. You can change the site name, background colour, highlights colour and more by editing the template settings. Click the "Template Settings" in the user menu.</p><p>The boxes around the main content of the site are called modules. You can modify modules on the current page by moving your cursor to the module and clicking the edit link. Always be sure to save and close any module you edit.</p><p>You can change some site settings such as the site name and description by clicking on the "Site Settings" link.</p><p>More advanced options for templates, site settings, modules, and more are available in the site administrator.</p><h3>Site and Administrator</h3><p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the "Site Administrator" link on the "User Menu" menu (visible once you login) or by adding /administrator to the end of your domain name. The same user name and password are used for both sites.</p><h3>Learn more</h3><p>There is much more to learn about how to use Joomla! to create the website you envision. You can learn much more at the <a href="https://docs.joomla.org/" target="_blank">Joomla! documentation site</a> and on the<a href="https://forum.joomla.org/" target="_blank"> Joomla! forums</a>.</p>', '', 1, 2, '2021-07-09 07:35:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 3, '', '', 1, 1394, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(2, 69, 'Error Page', 'error-page', '<div class="alert alert-info">\r\n  <center>Each <strong>JA Joomla Template</strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style</strong>.</center></div>\r\n<p style="text-align: center;"><img src="images/joomlart/others/page-404.png" alt="" /></p>', '', 1, 2, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(3, 70, 'Offline Page', 'offline-page', '<div class="alert alert-info">\r\n  <center>Each <strong>JA Joomla Template</strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style</strong>.</center>\r\n</div>\r\n<p style="text-align: center;"><img src="images/joomlart/others/offline-page.png" alt="" /></p>', '', 1, 2, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 1, '', '', 1, 14, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(4, 71, 'Typography', 'typography', '<!-- CORE TYPOGRAPHY\r\n	=======================================================-->\r\n<div class="core-typo">\r\n	<div class="docs-section">\r\n		<h2 id="headings"><div>Headings<a class="anchorjs-link " href="#headings" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>All HTML headings, <code class="highlighter-rouge">&lt;h1&gt;</code> through <code class="highlighter-rouge">&lt;h6&gt;</code>, are available.</p>\r\n\r\n		<table class="table table-bordered">\r\n		  <thead>\r\n		    <tr>\r\n		      <th>Heading</th>\r\n		      <th>Example</th>\r\n		    </tr>\r\n		  </thead>\r\n		  <tbody>\r\n		    <tr>\r\n		      <td>\r\n		        <p><code class="highlighter-rouge">&lt;h1&gt;&lt;/h1&gt;</code></p>\r\n		      </td>\r\n		      <td><span class="h1">h1. Bootstrap heading</span></td>\r\n		    </tr>\r\n		    <tr>\r\n		      <td>\r\n		        <p><code class="highlighter-rouge">&lt;h2&gt;&lt;/h2&gt;</code></p>\r\n\r\n		      </td>\r\n		      <td><span class="h2">h2. Bootstrap heading</span></td>\r\n		    </tr>\r\n		    <tr>\r\n		      <td>\r\n		        <p><code class="highlighter-rouge">&lt;h3&gt;&lt;/h3&gt;</code></p>\r\n\r\n		      </td>\r\n		      <td><span class="h3">h3. Bootstrap heading</span></td>\r\n		    </tr>\r\n		    <tr>\r\n		      <td>\r\n		        <p><code class="highlighter-rouge">&lt;h4&gt;&lt;/h4&gt;</code></p>\r\n\r\n		      </td>\r\n		      <td><span class="h4">h4. Bootstrap heading</span></td>\r\n		    </tr>\r\n		    <tr>\r\n		      <td>\r\n		        <p><code class="highlighter-rouge">&lt;h5&gt;&lt;/h5&gt;</code></p>\r\n\r\n		      </td>\r\n		      <td><span class="h5">h5. Bootstrap heading</span></td>\r\n		    </tr>\r\n		    <tr>\r\n		      <td>\r\n		        <p><code class="highlighter-rouge">&lt;h6&gt;&lt;/h6&gt;</code></p>\r\n\r\n		      </td>\r\n		      <td><span class="h6">h6. Bootstrap heading</span></td>\r\n		    </tr>\r\n		  </tbody>\r\n		</table>\r\n\r\n		<p><code class="highlighter-rouge">.h1</code> through <code class="highlighter-rouge">.h6</code> classes are also available, for when you want to match the font styling of a heading but cannot use the associated HTML element.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<p class="h1">h1. Bootstrap heading</p>\r\n		<p class="h2">h2. Bootstrap heading</p>\r\n		<p class="h3">h3. Bootstrap heading</p>\r\n		<p class="h4">h4. Bootstrap heading</p>\r\n		<p class="h5">h5. Bootstrap heading</p>\r\n		<p class="h6">h6. Bootstrap heading</p>\r\n		</div>\r\n\r\n		<h3 id="customizing-headings"><div>Customizing headings<a class="anchorjs-link " href="#customizing-headings" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h3>\r\n\r\n		<p>Use the included utility classes to recreate the small secondary heading text from Bootstrap 3.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		  <span class="h3">\r\n		    Fancy display heading\r\n		    <small class="text-muted">With faded secondary text</small>\r\n		  </span>\r\n		</div>\r\n\r\n		<h2 id="display-headings"><div>Display headings<a class="anchorjs-link " href="#display-headings" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>Traditional heading elements are designed to work best in the meat of your page content. When you need a heading to stand out, consider using a <strong>display heading</strong>—a larger, slightly more opinionated heading style.</p>\r\n\r\n	  <table class="table table-bordered">\r\n	    <tbody>\r\n	      <tr>\r\n	        <td><span class="display-1">Display 1</span></td>\r\n	      </tr>\r\n	      <tr>\r\n	      <td><span class="display-2">Display 2</span></td>\r\n	      </tr>\r\n	      <tr>\r\n	      <td><span class="display-3">Display 3</span></td>\r\n	      </tr>\r\n	      <tr>\r\n	      <td><span class="display-4">Display 4</span></td>\r\n	      </tr>\r\n	    </tbody>\r\n	  </table>\r\n\r\n		<h2 id="lead"><div>Lead<a class="anchorjs-link " href="#lead" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>Make a paragraph stand out by adding <code class="highlighter-rouge">.lead</code>.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<p class="lead">\r\n		  Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.\r\n		</p>\r\n		</div>\r\n\r\n		<h2 id="inline-text-elements"><div>Inline text elements<a class="anchorjs-link " href="#inline-text-elements" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>Styling for common inline HTML5 elements.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<p>You can use the mark tag to <mark>highlight</mark> text.</p>\r\n		<p><del>This line of text is meant to be treated as deleted text.</del></p>\r\n		<p><s>This line of text is meant to be treated as no longer accurate.</s></p>\r\n		<p><ins>This line of text is meant to be treated as an addition to the document.</ins></p>\r\n		<p><u>This line of text will render as underlined</u></p>\r\n		<p><small>This line of text is meant to be treated as fine print.</small></p>\r\n		<p><strong>This line rendered as bold text.</strong></p>\r\n		<p><em>This line rendered as italicized text.</em></p>\r\n		</div>\r\n\r\n		<p><code class="highlighter-rouge">.mark</code> and <code class="highlighter-rouge">.small</code> classes are also available to apply the same styles as <code class="highlighter-rouge">&lt;mark&gt;</code> and <code class="highlighter-rouge">&lt;small&gt;</code> while avoiding any unwanted semantic implications that the tags would bring.</p>\r\n\r\n		<p>While not shown above, feel free to use <code class="highlighter-rouge">&lt;b&gt;</code> and <code class="highlighter-rouge">&lt;i&gt;</code> in HTML5. <code class="highlighter-rouge">&lt;b&gt;</code> is meant to highlight words or phrases without conveying additional importance while <code class="highlighter-rouge">&lt;i&gt;</code> is mostly for voice, technical terms, etc.</p>\r\n\r\n		<h2 id="text-utilities"><div>Text utilities<a class="anchorjs-link " href="#text-utilities" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>Change text alignment, transform, style, weight, and color with our <a href="#text-utilities-dm">text utilities</a> and <a href="#color-utilities-dm">color utilities</a>.</p>\r\n\r\n		<h2 id="abbreviations"><div>Abbreviations<a class="anchorjs-link " href="#abbreviations" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>Stylized implementation of HTML’s <code class="highlighter-rouge">&lt;abbr&gt;</code> element for abbreviations and acronyms to show the expanded version on hover. Abbreviations have a default underline and gain a help cursor to provide additional context on hover and to users of assistive technologies.</p>\r\n\r\n		<p>Add <code class="highlighter-rouge">.initialism</code> to an abbreviation for a slightly smaller font-size.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<p><abbr title="attribute">attr</abbr></p>\r\n		<p><abbr title="HyperText Markup Language" class="initialism">HTML</abbr></p>\r\n		</div>\r\n\r\n		<h2 id="blockquotes"><div>Blockquotes<a class="anchorjs-link " href="#blockquotes" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>For quoting blocks of content from another source within your document. Wrap <code class="highlighter-rouge">&lt;blockquote class="blockquote"&gt;</code> around any <abbr title="HyperText Markup Language">HTML</abbr> as the quote.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<blockquote class="blockquote">\r\n		  <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n		</blockquote>\r\n		</div>\r\n\r\n		<h3 id="naming-a-source"><div>Naming a source<a class="anchorjs-link " href="#naming-a-source" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h3>\r\n\r\n		<p>Add a <code class="highlighter-rouge">&lt;footer class="blockquote-footer"&gt;</code> for identifying the source. Wrap the name of the source work in <code class="highlighter-rouge">&lt;cite&gt;</code>.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<blockquote class="blockquote">\r\n		  <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n		  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n		</blockquote>\r\n		</div>\r\n\r\n		<h3 id="alignment"><div>Alignment<a class="anchorjs-link " href="#alignment" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h3>\r\n\r\n		<p>Use text utilities as needed to change the alignment of your blockquote.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<blockquote class="blockquote text-center">\r\n		  <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n		  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n		</blockquote>\r\n		</div>\r\n\r\n		<div class="t4-typo-example">\r\n		<blockquote class="blockquote text-right">\r\n		  <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n		  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n		</blockquote>\r\n		</div>\r\n\r\n		<h2 id="lists"><div>Lists<a class="anchorjs-link " href="#lists" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<h3 id="unstyled"><div>Unstyled<a class="anchorjs-link " href="#unstyled" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h3>\r\n\r\n		<p>Remove the default <code class="highlighter-rouge">list-style</code> and left margin on list items (immediate children only). <strong>This only applies to immediate children list items</strong>, meaning you will need to add the class for any nested lists as well.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<ul class="list-unstyled">\r\n		  <li>Lorem ipsum dolor sit amet</li>\r\n		  <li>Consectetur adipiscing elit</li>\r\n		  <li>Integer molestie lorem at massa</li>\r\n		  <li>Facilisis in pretium nisl aliquet</li>\r\n		  <li>Nulla volutpat aliquam velit\r\n		    <ul>\r\n		      <li>Phasellus iaculis neque</li>\r\n		      <li>Purus sodales ultricies</li>\r\n		      <li>Vestibulum laoreet porttitor sem</li>\r\n		      <li>Ac tristique libero volutpat at</li>\r\n		    </ul>\r\n		  </li>\r\n		  <li>Faucibus porta lacus fringilla vel</li>\r\n		  <li>Aenean sit amet erat nunc</li>\r\n		  <li>Eget porttitor lorem</li>\r\n		</ul>\r\n		</div>\r\n\r\n		<h3 id="inline"><div>Inline<a class="anchorjs-link " href="#inline" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h3>\r\n\r\n		<p>Remove a list’s bullets and apply some light <code class="highlighter-rouge">margin</code> with a combination of two classes, <code class="highlighter-rouge">.list-inline</code> and <code class="highlighter-rouge">.list-inline-item</code>.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<ul class="list-inline">\r\n		  <li class="list-inline-item">Lorem ipsum</li>\r\n		  <li class="list-inline-item">Phasellus iaculis</li>\r\n		  <li class="list-inline-item">Nulla volutpat</li>\r\n		</ul>\r\n		</div>\r\n\r\n		<h3 id="description-list-alignment"><div>Description list alignment<a class="anchorjs-link " href="#description-list-alignment" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h3>\r\n\r\n		<p>Align terms and descriptions horizontally by using our grid system’s predefined classes (or semantic mixins). For longer terms, you can optionally add a <code class="highlighter-rouge">.text-truncate</code> class to truncate the text with an ellipsis.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<dl class="row">\r\n		  <dt class="col-sm-3">Description lists</dt>\r\n		  <dd class="col-sm-9">A description list is perfect for defining terms.</dd>\r\n\r\n		  <dt class="col-sm-3">Euismod</dt>\r\n		  <dd class="col-sm-9">\r\n		    <p>Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</p>\r\n		    <p>Donec id elit non mi porta gravida at eget metus.</p>\r\n		  </dd>\r\n\r\n		  <dt class="col-sm-3">Malesuada porta</dt>\r\n		  <dd class="col-sm-9">Etiam porta sem malesuada magna mollis euismod.</dd>\r\n\r\n		  <dt class="col-sm-3 text-truncate">Truncated term is truncated</dt>\r\n		  <dd class="col-sm-9">Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</dd>\r\n\r\n		  <dt class="col-sm-3">Nesting</dt>\r\n		  <dd class="col-sm-9">\r\n		    <dl class="row">\r\n		      <dt class="col-sm-4">Nested definition list</dt>\r\n		      <dd class="col-sm-8">Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.</dd>\r\n		    </dl>\r\n		  </dd>\r\n		</dl>\r\n		</div>\r\n\r\n		<h2 id="responsive-typography"><div>Responsive typography<a class="anchorjs-link " href="#responsive-typography" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p><em>Responsive typography</em> refers to scaling text and components by simply adjusting the root element’s <code class="highlighter-rouge">font-size</code> within a series of media queries. Bootstrap doesn’t do this for you, but it’s fairly easy to add if you need it.</p>\r\n\r\n		<p>Here’s an example of it in practice. Choose whatever <code class="highlighter-rouge">font-size</code>s and media queries you wish.</p>\r\n	</div>\r\n\r\n	<div id="text-utilities-dm">\r\n\r\n		<h2 id="text-alignment"><div>Text alignment<a class="anchorjs-link " href="#text-alignment" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>Easily realign text to components with text alignment classes.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<p class="text-justify">Ambitioni dedisse scripsisse iudicaretur. Cras mattis iudicium purus sit amet fermentum. Donec sed odio operae, eu vulputate felis rhoncus. Praeterea iter est quasdam res quas ex communi. At nos hinc posthac, sitientis piros Afros. Petierunt uti sibi concilium totius Galliae in diem certam indicere. Cras mattis iudicium purus sit amet fermentum.</p>\r\n		</div>\r\n\r\n		<p>For left, right, and center alignment, responsive classes are available that use the same viewport width breakpoints as the grid system.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<p class="text-left">Left aligned text on all viewport sizes.</p>\r\n		<p class="text-center">Center aligned text on all viewport sizes.</p>\r\n		<p class="text-right">Right aligned text on all viewport sizes.</p>\r\n\r\n		<p class="text-sm-left">Left aligned text on viewports sized SM (small) or wider.</p>\r\n		<p class="text-md-left">Left aligned text on viewports sized MD (medium) or wider.</p>\r\n		<p class="text-lg-left">Left aligned text on viewports sized LG (large) or wider.</p>\r\n		<p class="text-xl-left">Left aligned text on viewports sized XL (extra-large) or wider.</p>\r\n		</div>\r\n\r\n		<h2 id="text-wrapping-and-overflow"><div>Text wrapping and overflow<a class="anchorjs-link " href="#text-wrapping-and-overflow" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>Prevent text from wrapping with a <code class="highlighter-rouge">.text-nowrap</code> class.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<div class="text-nowrap bd-highlight" style="width: 8rem;">\r\n		  This text should overflow the parent.\r\n		</div>\r\n		</div>\r\n\r\n		<p>For longer content, you can add a <code class="highlighter-rouge">.text-truncate</code> class to truncate the text with an ellipsis. <strong>Requires <code class="highlighter-rouge">display: inline-block</code> or <code class="highlighter-rouge">display: block</code>.</strong></p>\r\n\r\n		<div class="t4-typo-example">\r\n		<!-- Block level -->\r\n		<div class="row">\r\n		  <div class="col-2 text-truncate">\r\n		    Praeterea iter est quasdam res quas ex communi.\r\n		  </div>\r\n		</div>\r\n\r\n		<!-- Inline level -->\r\n		<span class="d-inline-block text-truncate" style="max-width: 150px;">\r\n		  Praeterea iter est quasdam res quas ex communi.\r\n		</span>\r\n		</div>\r\n\r\n		<h2 id="text-transform"><div>Text transform<a class="anchorjs-link " href="#text-transform" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>Transform text in components with text capitalization classes.</p>\r\n\r\n		<div class="t4-typo-example">\r\n		<p class="text-lowercase">Lowercased text.</p>\r\n		<p class="text-uppercase">Uppercased text.</p>\r\n		<p class="text-capitalize">CapiTaliZed text.</p>\r\n		</div>\r\n\r\n		<p>Note how <code class="highlighter-rouge">text-capitalize</code> only changes the first letter of each word, leaving the case of any other letters unaffected.</p>\r\n\r\n		<h2 id="font-weight-and-italics"><div>Font weight and italics<a class="anchorjs-link " href="#font-weight-and-italics" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n		<p>Quickly change the weight (boldness) of text or italicize text.</p>\r\n\r\n		<div class="t4-typo-example">\r\n			<div class="row">\r\n				<div class="col-md-6">\r\n					<p class="font-weight-bold">Bold text.</p>\r\n					<p class="font-weight-normal">Normal weight text.</p>\r\n				</div>\r\n				<div class="col-md-6">\r\n					<p class="font-weight-light">Light weight text.</p>\r\n					<p class="font-italic">Italic text.</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n	<div id="text-color-dm">\r\n		<div class="t4-typo-example">\r\n			<div class="row">\r\n				<div class="col-md-6">\r\n					<p class="text-primary">.text-primary</p>\r\n					<p class="text-secondary">.text-secondary</p>\r\n					<p class="text-success">.text-success</p>\r\n					<p class="text-danger">.text-danger</p>\r\n					<p class="text-warning">.text-warning</p>\r\n				</div>\r\n				<div class="col-md-6">\r\n					<p class="text-info">.text-info</p>\r\n					<p class="text-light bg-dark">.text-light</p>\r\n					<p class="text-dark">.text-dark</p>\r\n					<p class="text-muted">.text-muted</p>\r\n					<p class="text-white bg-dark">.text-white</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n\r\n		<p>Contextual text classes also work well on anchors with the provided hover and focus states. <strong>Note that the <code class="highlighter-rouge">.text-white</code> and <code class="highlighter-rouge">.text-muted</code> class has no link styling.</strong></p>\r\n\r\n		<div class="t4-typo-example">\r\n			<div class="row">\r\n				<div class="col-md-6">\r\n					<p><a href="#" class="text-primary">Primary link</a></p>\r\n					<p><a href="#" class="text-secondary">Secondary link</a></p>\r\n					<p><a href="#" class="text-success">Success link</a></p>\r\n					<p><a href="#" class="text-danger">Danger link</a></p>\r\n					<p><a href="#" class="text-warning">Warning link</a></p>\r\n				</div>\r\n				<div class="col-md-6">\r\n					<p><a href="#" class="text-info">Info link</a></p>\r\n					<p><a href="#" class="text-light bg-dark">Light link</a></p>\r\n					<p><a href="#" class="text-dark">Dark link</a></p>\r\n					<p><a href="#" class="text-muted">Muted link</a></p>\r\n					<p><a href="#" class="text-white bg-dark">White link</a></p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n\r\n			<h2 id="background-color"><div>Background color<a class="anchorjs-link " href="#background-color" aria-label="Anchor" data-anchorjs-icon="#" style="padding-left: 0.375em;"></a></div></h2>\r\n\r\n			<p>Similar to the contextual text color classes, easily set the background of an element to any contextual class. Anchor components will darken on hover, just like the text classes. Background utilities <strong>do not set <code class="highlighter-rouge">color</code></strong>, so in some cases you’ll want to use <code class="highlighter-rouge">.text-*</code> utilities.</p>\r\n\r\n			<div class="t4-typo-example">\r\n			<div class="p-3 mb-2 bg-primary text-white">.bg-primary</div>\r\n			<div class="p-3 mb-2 bg-secondary text-white">.bg-secondary</div>\r\n			<div class="p-3 mb-2 bg-success text-white">.bg-success</div>\r\n			<div class="p-3 mb-2 bg-danger text-white">.bg-danger</div>\r\n			<div class="p-3 mb-2 bg-warning text-dark">.bg-warning</div>\r\n			<div class="p-3 mb-2 bg-info text-white">.bg-info</div>\r\n			<div class="p-3 mb-2 bg-light text-dark">.bg-light</div>\r\n			<div class="p-3 mb-2 bg-dark text-white">.bg-dark</div>\r\n			<div class="p-3 mb-2 bg-white text-dark">.bg-white</div>\r\n			</div>\r\n\r\n			<div class="bd-callout bd-callout-info">\r\n			<h4 id="dealing-with-specificity">Dealing with specificity</h4>\r\n\r\n			<p>Sometimes contextual classes cannot be applied due to the specificity of another selector. In some cases, a sufficient workaround is to wrap your element’s content in a <code class="highlighter-rouge">&lt;div&gt;</code> with the class.</p>\r\n			</div>\r\n\r\n			<div class="bd-callout bd-callout-warning">\r\n			<h5 id="conveying-meaning-to-assistive-technologies">Conveying meaning to assistive technologies</h5>\r\n\r\n			<p>Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the <code class="highlighter-rouge">.sr-only</code> class.</p>\r\n			</div>\r\n	</div>\r\n</div>', '', 1, 2, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 0, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(5, 75, 'Why Hiring Managers Are Sweetening the Pot', 'why-hiring-managers-are-sweetening-the-pot', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 9, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, '', '', 1, 23, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(6, 76, 'The Crisis of Competency in Accounting and Finance', 'the-crisis-of-competency-in-accounting-and-finance', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 10, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(7, 77, 'Death by PowerPoint', 'death-by-powerpoint', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 11, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(8, 78, 'Changes Coming to SMB Healthcare Tax Credit', 'changes-coming-to-smb-healthcare-tax-credit', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 12, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(9, 83, 'Pellentesque habitant morbi', 'pellentesque-habitant-morbi', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 9, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 0, '', '', 1, 19, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(10, 84, 'Donec non enim in turpis pulvinar', 'death-by-powerpoint', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 9, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(11, 85, 'Mauris placerat eleifend leo', 'the-crisis-of-competency-in-accounting-and-finance', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 9, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(12, 86, 'Pellentesque habitant morbi tristique senectus et netus', 'why-hiring-managers-are-sweetening-the-pot-2', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 9, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 0, '', '', 1, 16, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(13, 87, 'Pellentesque habitant morbi tristique senectus et netus', 'why-hiring-managers-are-sweetening-the-pot-2', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 11, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(14, 88, 'Mauris placerat eleifend leo', 'the-crisis-of-competency-in-accounting-and-finance', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 11, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(15, 89, 'Donec non enim in turpis pulvinar', 'death-by-powerpoint-2', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 11, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(16, 90, 'Pellentesque habitant morbi', 'pellentesque-habitant-morbi', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 11, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(17, 91, 'Changes Coming to SMB Healthcare Tax Credit', 'changes-coming-to-smb-healthcare-tax-credit', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h3>Local Business Opportunities</h3>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<ul class="features-list">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n</ul>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 11, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 6, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '', ''),
(18, 109, 'Dignissim et autre officiis debitis autrerum sed necessitatibus', 'helping-companies-with-healthcare-inustry', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 14, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 21, 5, '', '', 1, 107, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(19, 111, 'Helping Companies With Healthcare Inustry (2)', 'helping-companies-with-healthcare-inustry-2', '<p>\r\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\r\n“We needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.” — Jack Parrish, Davidson Homes\r\n</p>\r\n<p>\r\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\r\n“We needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.” — Jack Parrish, Davidson Homes\r\n</p>\r\n', '', -2, 14, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"4","gallery-title":"","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","tour-gallery":[]}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(20, 113, 'Helping Companies With Healthcare Inustry (3)', 'helping-companies-with-healthcare-inustry-3', '<p>\r\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\r\n“We needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.” — Jack Parrish, Davidson Homes\r\n</p>\r\n<p>\r\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\r\n“We needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.” — Jack Parrish, Davidson Homes\r\n</p>\r\n', '', -2, 14, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 0, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"20","portfolio-task":[],"gallery-title":"","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":[]}', 1, 0, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(21, 114, 'Hendrerit saepe eveniet in vulputate velit', 'hendrerit-saepe-eveniet-in-vulputate-velit', '<p>\r\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 14, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Accounting","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(22, 115, 'Aperiam, eaque ipsa quae ab illo inventore', 'sed-ut-perspiciatis-unde-omnis', '<p>\r\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 14, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Architecto beatae","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 4, 3, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(23, 116, 'Architecto beatae duis autems', 'architecto-beatae-duis-autems', '<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 14, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Dignissim","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 2, '', '', 1, 43, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(24, 117, 'Temporibus autem quibusdam et aut officiis debitis', 'temporibus-autem-quibusdam', '<p>\r\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 14, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Temporibus","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 1, '', '', 1, 21, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(25, 118, 'Totams our aperiam, eaque ipsa quae ab illo inventore', 'totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 14, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(26, 126, 'Financial Services', 'financial-services', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h2 class="mb-3">\r\n  We help local businesses fix their critical issues and grow faster\r\n</h2>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<div class="row my-5">\r\n	<div class="col-md-6">\r\n		<ul class="features-list">\r\n			<li>Work fewer hours — and make more money</li>\r\n			<li>Vestibulum erat wisi, condimentum sed, commodo vitae</li>\r\n			<li>Cut expenses without sacrificing quality.</li>\r\n			<li>Automate your business, so you can leave.</li>\r\n			<li>Hone sharp leadership skills to manage</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="col-md-6">\r\n		<img src="images/joomlart/others/chart.png" alt=""/>\r\n	</div>\r\n</div>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>', 1, 20, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","logo":"images\\/joomlart\\/logo\\/logo-mobile-light.png","mask":"images\\/joomlart\\/blog\\/intro-1.jpg","act-title":"get a quote from our experts","act-phone":"(907) 555-0101","act-desc":"We provide free quote for our all services.","act-link-title":"Request A Quote","act-link":"index.php?Itemid=127","faq-title":"Frequently Asked Questions","faq-list":{"faq-list0":{"faq_title":"Phasellus viverra nulla ut metus varius laoreet?","faq_desc":"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur."},"faq-list1":{"faq_title":"Nullam dictum felis eu pede mollis pretium?","faq_desc":"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,"},"faq-list2":{"faq_title":"Aenean leo ligula, porttitor eu?","faq_desc":"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus."},"faq-list3":{"faq_title":"Phasellus viverra nulla ut metus varius laoreet?","faq_desc":"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum."}},"clients-title":"The Customer Used Service","clients-cols":"4","client-list":{"client-list0":{"client_img":"images\\/joomlart\\/clients\\/item-1.png","client_alt":"Client 1","client_link":"#"},"client-list1":{"client_img":"images\\/joomlart\\/clients\\/item-2.png","client_alt":"Client 2","client_link":"#"},"client-list2":{"client_img":"images\\/joomlart\\/clients\\/item-3.png","client_alt":"Client 3","client_link":"#"},"client-list3":{"client_img":"images\\/joomlart\\/clients\\/item-4.png","client_alt":"Client 4","client_link":"#"},"client-list4":{"client_img":"images\\/joomlart\\/clients\\/item-5.png","client_alt":"Client 5","client_link":"#"},"client-list5":{"client_img":"images\\/joomlart\\/clients\\/item-6.png","client_alt":"Client 6","client_link":"#"},"client-list6":{"client_img":"images\\/joomlart\\/clients\\/item-1.png","client_alt":"Client 7","client_link":"#"},"client-list7":{"client_img":"images\\/joomlart\\/clients\\/item-2.png","client_alt":"Client 8","client_link":"#"}}}', 23, 3, '', '', 1, 223, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(27, 128, 'Strategic planning', 'strategic-planning', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<div class="row my-5">\r\n	<div class="col-md-6">\r\n		<ul class="features-list">\r\n			<li>Work fewer hours — and make more money</li>\r\n			<li>Vestibulum erat wisi, condimentum sed, commodo vitae</li>\r\n			<li>Cut expenses without sacrificing quality.</li>\r\n			<li>Automate your business, so you can leave.</li>\r\n			<li>Hone sharp leadership skills to manage</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="col-md-6">\r\n		<img src="images/joomlart/others/chart.png" alt=""/>\r\n	</div>\r\n</div>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>', -2, 20, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 20, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(28, 129, 'Audit & Assurance', 'audit-assurance', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<div class="row my-5">\r\n	<div class="col-md-6">\r\n		<ul class="features-list">\r\n			<li>Work fewer hours — and make more money</li>\r\n			<li>Vestibulum erat wisi, condimentum sed, commodo vitae</li>\r\n			<li>Cut expenses without sacrificing quality.</li>\r\n			<li>Automate your business, so you can leave.</li>\r\n			<li>Hone sharp leadership skills to manage</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="col-md-6">\r\n		<img src="images/joomlart/others/chart.png" alt=""/>\r\n	</div>\r\n</div>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>', -2, 20, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(29, 130, 'Trades & Stocks', 'trades-stocks', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<div class="row my-5">\r\n	<div class="col-md-6">\r\n		<ul class="features-list">\r\n			<li>Work fewer hours — and make more money</li>\r\n			<li>Vestibulum erat wisi, condimentum sed, commodo vitae</li>\r\n			<li>Cut expenses without sacrificing quality.</li>\r\n			<li>Automate your business, so you can leave.</li>\r\n			<li>Hone sharp leadership skills to manage</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="col-md-6">\r\n		<img src="images/joomlart/others/chart.png" alt=""/>\r\n	</div>\r\n</div>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>', -2, 20, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(30, 150, 'Totams our aperiam, eaque ipsa quae ab illo inventore', 'totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 15, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 3, 0, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(31, 151, 'Temporibus autem quibusdam et aut officiis debitis', 'temporibus-autem-quibusdam', '<p>\r\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 15, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Temporibus","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(32, 152, 'Architecto beatae duis autems', 'architecto-beatae-duis-autems', '<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 15, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Dignissim","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(33, 153, 'Aperiam, eaque ipsa quae ab illo inventore', 'sed-ut-perspiciatis-unde-omnis', '<p>\r\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 15, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Architecto beatae","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 4, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(34, 154, 'Hendrerit saepe eveniet in vulputate velit', 'hendrerit-saepe-eveniet-in-vulputate-velit', '<p>\r\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 15, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Accounting","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(35, 155, 'Dignissim et autre officiis debitis autrerum sed necessitatibus', 'helping-companies-with-healthcare-inustry', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 15, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 21, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(36, 156, 'Totams our aperiam, eaque ipsa quae ab illo inventore', 'totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 16, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 3, 0, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(37, 157, 'Temporibus autem quibusdam et aut officiis debitis', 'temporibus-autem-quibusdam', '<p>\r\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 16, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Temporibus","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(38, 158, 'Architecto beatae duis autems', 'architecto-beatae-duis-autems', '<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 16, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Dignissim","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(39, 159, 'Aperiam, eaque ipsa quae ab illo inventore', 'sed-ut-perspiciatis-unde-omnis', '<p>\r\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 16, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Architecto beatae","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 4, 3, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(40, 160, 'Hendrerit saepe eveniet in vulputate velit', 'hendrerit-saepe-eveniet-in-vulputate-velit', '<p>\r\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 16, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Accounting","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(41, 161, 'Dignissim et autre officiis debitis autrerum sed necessitatibus', 'helping-companies-with-healthcare-inustry', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 16, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 21, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(42, 162, 'Totams our aperiam, eaque ipsa quae ab illo inventore', 'totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 17, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 3, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(43, 163, 'Temporibus autem quibusdam et aut officiis debitis', 'temporibus-autem-quibusdam', '<p>\r\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 17, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Temporibus","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(44, 164, 'Architecto beatae duis autems', 'architecto-beatae-duis-autems', '<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 17, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Dignissim","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(45, 165, 'Aperiam, eaque ipsa quae ab illo inventore', 'sed-ut-perspiciatis-unde-omnis', '<p>\r\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 17, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Architecto beatae","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 4, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(46, 166, 'Hendrerit saepe eveniet in vulputate velit', 'hendrerit-saepe-eveniet-in-vulputate-velit', '<p>\r\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 17, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Accounting","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(47, 167, 'Dignissim et autre officiis debitis autrerum sed necessitatibus', 'helping-companies-with-healthcare-inustry', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 17, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 21, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(48, 168, 'Totams our aperiam, eaque ipsa quae ab illo inventore', 'totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 18, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(49, 169, 'Temporibus autem quibusdam et aut officiis debitis', 'temporibus-autem-quibusdam', '<p>\r\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 18, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Temporibus","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(50, 170, 'Architecto beatae duis autems', 'architecto-beatae-duis-autems', '<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 18, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Dignissim","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(51, 171, 'Aperiam, eaque ipsa quae ab illo inventore', 'sed-ut-perspiciatis-unde-omnis', '<p>\r\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 18, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Architecto beatae","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 4, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(52, 172, 'Hendrerit saepe eveniet in vulputate velit', 'hendrerit-saepe-eveniet-in-vulputate-velit', '<p>\r\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 18, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Accounting","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(53, 173, 'Dignissim et autre officiis debitis autrerum sed necessitatibus', 'helping-companies-with-healthcare-inustry', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 18, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 21, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(54, 174, 'Totams our aperiam, eaque ipsa quae ab illo inventore', 'totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 19, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(55, 175, 'Temporibus autem quibusdam et aut officiis debitis', 'temporibus-autem-quibusdam', '<p>\r\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 19, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Temporibus","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES
(56, 176, 'Architecto beatae duis autems', 'architecto-beatae-duis-autems', '<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 19, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Dignissim","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(57, 177, 'Aperiam, eaque ipsa quae ab illo inventore', 'sed-ut-perspiciatis-unde-omnis', '<p>\r\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 19, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Architecto beatae","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 4, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(58, 178, 'Hendrerit saepe eveniet in vulputate velit', 'hendrerit-saepe-eveniet-in-vulputate-velit', '<p>\r\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 19, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Accounting","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"100","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 5, 4, '', '', 1, 11, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(59, 179, 'Dignissim et autre officiis debitis autrerum sed necessitatibus', 'helping-companies-with-healthcare-inustry', '<p>\r\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\r\n</p>\r\n', '\r\n<p>\r\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.</p>\r\n<p>\r\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\r\n</p>\r\n<ul class="features-list cols-2">\r\n	<li>Donec non enim in turpis pulvinar facilisis.</li>\r\n	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n	<li>Aenean fermentum, elit eget tincidunt condimentum.</li>\r\n	<li>Pellentesque habitant morbi.</li>\r\n  	<li>Aenean ultricies mi vitae est.</li>\r\n	<li>Mauris placerat eleifend leo.</li>\r\n</ul>', 1, 19, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","long-desc":"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n\\r\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes<\\/p>\\r\\n\\r\\n","type":"Web Design, Web Development","client":"SquareSparc Ltd.","day":"27th Jun, 2020","link":"www.joomlart.com","rating":"80","portfolio-task":{"portfolio-task0":{"task_title":"+ 245%","task_label":"Avg. Time on Page"},"portfolio-task1":{"task_title":"+ 467%","task_label":"Avg. Session Duration"},"portfolio-task2":{"task_title":"- 56%","task_label":"Avg. Page Load Time"},"portfolio-task3":{"task_title":"+45%","task_label":"Bounce Rate"}},"gallery-title":"Architecto beatae duis autems","gallery-desc":"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\r\\n\\r\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.","portfolio-gallery":{"portfolio-gallery0":{"gallery_img":"images\\/joomlart\\/blog\\/detail-1.jpg","gallery_alt":"intro image"},"portfolio-gallery1":{"gallery_img":"images\\/joomlart\\/blog\\/detail-2.jpg","gallery_alt":"intro image"},"portfolio-gallery2":{"gallery_img":"images\\/joomlart\\/blog\\/detail-3.jpg","gallery_alt":"intro image"},"portfolio-gallery3":{"gallery_img":"images\\/joomlart\\/blog\\/detail-4.jpg","gallery_alt":"intro image"},"portfolio-gallery4":{"gallery_img":"images\\/joomlart\\/blog\\/detail-5.jpg","gallery_alt":"intro image"}}}', 21, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(60, 182, 'Strategic planning', 'strategic-planning-2', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h2 class="mb-3">\r\n  We help local businesses fix their critical issues and grow faster\r\n</h2>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<div class="row my-5">\r\n	<div class="col-md-6">\r\n		<ul class="features-list">\r\n			<li>Work fewer hours — and make more money</li>\r\n			<li>Vestibulum erat wisi, condimentum sed, commodo vitae</li>\r\n			<li>Cut expenses without sacrificing quality.</li>\r\n			<li>Automate your business, so you can leave.</li>\r\n			<li>Hone sharp leadership skills to manage</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="col-md-6">\r\n		<img src="images/joomlart/others/chart.png" alt=""/>\r\n	</div>\r\n</div>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>', 1, 20, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","logo":"images\\/joomlart\\/logo\\/logo-mobile-light.png","mask":"images\\/joomlart\\/blog\\/intro-1.jpg","act-title":"get a quote from our experts","act-phone":"(907) 555-0101","act-desc":"We provide free quote for our all services.","act-link-title":"Request A Quote","act-link":"index.php?Itemid=127","faq-title":"Frequently Asked Questions","faq-list":{"faq-list0":{"faq_title":"Phasellus viverra nulla ut metus varius laoreet?","faq_desc":"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur."},"faq-list1":{"faq_title":"Nullam dictum felis eu pede mollis pretium?","faq_desc":"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,"},"faq-list2":{"faq_title":"Aenean leo ligula, porttitor eu?","faq_desc":"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus."},"faq-list3":{"faq_title":"Phasellus viverra nulla ut metus varius laoreet?","faq_desc":"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum."}},"clients-title":"The Customer Used Service","clients-cols":"4","client-list":{"client-list0":{"client_img":"images\\/joomlart\\/clients\\/item-1.png","client_alt":"Client 1","client_link":"#"},"client-list1":{"client_img":"images\\/joomlart\\/clients\\/item-2.png","client_alt":"Client 2","client_link":"#"},"client-list2":{"client_img":"images\\/joomlart\\/clients\\/item-3.png","client_alt":"Client 3","client_link":"#"},"client-list3":{"client_img":"images\\/joomlart\\/clients\\/item-4.png","client_alt":"Client 4","client_link":"#"},"client-list4":{"client_img":"images\\/joomlart\\/clients\\/item-5.png","client_alt":"Client 5","client_link":"#"},"client-list5":{"client_img":"images\\/joomlart\\/clients\\/item-6.png","client_alt":"Client 6","client_link":"#"},"client-list6":{"client_img":"images\\/joomlart\\/clients\\/item-1.png","client_alt":"Client 7","client_link":"#"},"client-list7":{"client_img":"images\\/joomlart\\/clients\\/item-2.png","client_alt":"Client 8","client_link":"#"}}}', 3, 2, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(61, 183, 'Audit & Assurance', 'audit-assurance-2', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h2 class="mb-3">\r\n  We help local businesses fix their critical issues and grow faster\r\n</h2>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<div class="row my-5">\r\n	<div class="col-md-6">\r\n		<ul class="features-list">\r\n			<li>Work fewer hours — and make more money</li>\r\n			<li>Vestibulum erat wisi, condimentum sed, commodo vitae</li>\r\n			<li>Cut expenses without sacrificing quality.</li>\r\n			<li>Automate your business, so you can leave.</li>\r\n			<li>Hone sharp leadership skills to manage</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="col-md-6">\r\n		<img src="images/joomlart/others/chart.png" alt=""/>\r\n	</div>\r\n</div>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>', 1, 20, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","logo":"images\\/joomlart\\/logo\\/logo-mobile-light.png","mask":"images\\/joomlart\\/blog\\/intro-1.jpg","act-title":"get a quote from our experts","act-phone":"(907) 555-0101","act-desc":"We provide free quote for our all services.","act-link-title":"Request A Quote","act-link":"index.php?Itemid=127","faq-title":"Frequently Asked Questions","faq-list":{"faq-list0":{"faq_title":"Phasellus viverra nulla ut metus varius laoreet?","faq_desc":"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur."},"faq-list1":{"faq_title":"Nullam dictum felis eu pede mollis pretium?","faq_desc":"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,"},"faq-list2":{"faq_title":"Aenean leo ligula, porttitor eu?","faq_desc":"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus."},"faq-list3":{"faq_title":"Phasellus viverra nulla ut metus varius laoreet?","faq_desc":"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum."}},"clients-title":"The Customer Used Service","clients-cols":"4","client-list":{"client-list0":{"client_img":"images\\/joomlart\\/clients\\/item-1.png","client_alt":"Client 1","client_link":"#"},"client-list1":{"client_img":"images\\/joomlart\\/clients\\/item-2.png","client_alt":"Client 2","client_link":"#"},"client-list2":{"client_img":"images\\/joomlart\\/clients\\/item-3.png","client_alt":"Client 3","client_link":"#"},"client-list3":{"client_img":"images\\/joomlart\\/clients\\/item-4.png","client_alt":"Client 4","client_link":"#"},"client-list4":{"client_img":"images\\/joomlart\\/clients\\/item-5.png","client_alt":"Client 5","client_link":"#"},"client-list5":{"client_img":"images\\/joomlart\\/clients\\/item-6.png","client_alt":"Client 6","client_link":"#"},"client-list6":{"client_img":"images\\/joomlart\\/clients\\/item-1.png","client_alt":"Client 7","client_link":"#"},"client-list7":{"client_img":"images\\/joomlart\\/clients\\/item-2.png","client_alt":"Client 8","client_link":"#"}}}', 3, 1, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', ''),
(62, 184, 'Trades & Stocks', 'trades-stocks-2', '<p>\r\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', '\r\n<h2 class="mb-3">\r\n  We help local businesses fix their critical issues and grow faster\r\n</h2>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p><img src="images/joomlart/blog/demo-detail-1.jpg" alt=""/></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<blockquote class="blockquote">\r\n  <p class="mb-0">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.</p>\r\n  <footer class="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></footer>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<div class="row my-5">\r\n	<div class="col-md-6">\r\n		<ul class="features-list">\r\n			<li>Work fewer hours — and make more money</li>\r\n			<li>Vestibulum erat wisi, condimentum sed, commodo vitae</li>\r\n			<li>Cut expenses without sacrificing quality.</li>\r\n			<li>Automate your business, so you can leave.</li>\r\n			<li>Hone sharp leadership skills to manage</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="col-md-6">\r\n		<img src="images/joomlart/others/chart.png" alt=""/>\r\n	</div>\r\n</div>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h4>Aenean ultricies mi vitae est.</h4>\r\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.</p>', 1, 20, '2021-07-09 07:35:35', 42, '', '2021-07-09 07:35:35', 42, 0, '0000-00-00 00:00:00', '2021-07-09 07:35:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/intro-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","logo":"images\\/joomlart\\/logo\\/logo-mobile-light.png","mask":"images\\/joomlart\\/blog\\/intro-1.jpg","act-title":"get a quote from our experts","act-phone":"(907) 555-0101","act-desc":"We provide free quote for our all services.","act-link-title":"Request A Quote","act-link":"index.php?Itemid=127","faq-title":"Frequently Asked Questions","faq-list":{"faq-list0":{"faq_title":"Phasellus viverra nulla ut metus varius laoreet?","faq_desc":"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur."},"faq-list1":{"faq_title":"Nullam dictum felis eu pede mollis pretium?","faq_desc":"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,"},"faq-list2":{"faq_title":"Aenean leo ligula, porttitor eu?","faq_desc":"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus."},"faq-list3":{"faq_title":"Phasellus viverra nulla ut metus varius laoreet?","faq_desc":"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum."}},"clients-title":"The Customer Used Service","clients-cols":"4","client-list":{"client-list0":{"client_img":"images\\/joomlart\\/clients\\/item-1.png","client_alt":"Client 1","client_link":"#"},"client-list1":{"client_img":"images\\/joomlart\\/clients\\/item-2.png","client_alt":"Client 2","client_link":"#"},"client-list2":{"client_img":"images\\/joomlart\\/clients\\/item-3.png","client_alt":"Client 3","client_link":"#"},"client-list3":{"client_img":"images\\/joomlart\\/clients\\/item-4.png","client_alt":"Client 4","client_link":"#"},"client-list4":{"client_img":"images\\/joomlart\\/clients\\/item-5.png","client_alt":"Client 5","client_link":"#"},"client-list5":{"client_img":"images\\/joomlart\\/clients\\/item-6.png","client_alt":"Client 6","client_link":"#"},"client-list6":{"client_img":"images\\/joomlart\\/clients\\/item-1.png","client_alt":"Client 7","client_link":"#"},"client-list7":{"client_img":"images\\/joomlart\\/clients\\/item-2.png","client_alt":"Client 8","client_link":"#"}}}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '', '');

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(8, 1),
(9, 2),
(10, 3),
(11, 4),
(12, 5),
(13, 6),
(14, 7),
(15, 8),
(16, 9),
(17, 10);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT 0,
  `rating_sum` int(10) unsigned NOT NULL DEFAULT 0,
  `rating_count` int(10) unsigned NOT NULL DEFAULT 0,
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__content_types`;
CREATE TABLE `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(400) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) DEFAULT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id", "note":"note"}, "special":{"fulltext":"fulltext"}}', 'ContentHelperRoute::getArticleRoute', '{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits", "ordering"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(2, 'Contact', 'com_contact.contact', '{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}', 'ContactHelperRoute::getContactRoute', '{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ] }'),
(3, 'Newsfeed', 'com_newsfeeds.newsfeed', '{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(4, 'User', 'com_users.user', '{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{}}', 'UsersHelperRoute::getUserRoute', ''),
(5, 'Article Category', 'com_content.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContentHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(6, 'Contact Category', 'com_contact.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContactHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(7, 'Newsfeeds Category', 'com_newsfeeds.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(8, 'Tag', 'com_tags.tag', '{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}', 'TagsHelperRoute::getTagRoute', '{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(9, 'Banner', 'com_banners.banner', '{"special":{"dbtable":"#__banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"#__banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(10, 'Banners Category', 'com_banners.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(11, 'Banner Client', 'com_banners.client', '{"special":{"dbtable":"#__banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
(12, 'User Notes', 'com_users.note', '{"special":{"dbtable":"#__user_notes","key":"id","type":"Note","prefix":"UsersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(13, 'User Notes Category', 'com_users.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

DROP TABLE IF EXISTS `#__contentitem_tag_map`;
CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT current_timestamp() COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB COMMENT='Maps items from content tables to tags' DEFAULT CHARSET=utf8;

INSERT INTO `#__contentitem_tag_map` (`type_alias`, `core_content_id`, `content_item_id`, `tag_id`, `tag_date`, `type_id`) VALUES
('com_content.article', 1, 1, 2, '2021-07-09 07:35:35', 1),
('com_content.article', 6, 6, 3, '2021-07-09 07:35:35', 1),
('com_content.article', 6, 6, 4, '2021-07-09 07:35:35', 1),
('com_content.article', 6, 6, 5, '2021-07-09 07:35:35', 1),
('com_content.article', 6, 6, 6, '2021-07-09 07:35:35', 1),
('com_content.article', 5, 9, 3, '2021-07-09 07:35:35', 1),
('com_content.article', 5, 9, 4, '2021-07-09 07:35:35', 1),
('com_content.article', 5, 9, 5, '2021-07-09 07:35:35', 1),
('com_content.article', 5, 9, 6, '2021-07-09 07:35:35', 1),
('com_content.article', 7, 11, 3, '2021-07-09 07:35:35', 1),
('com_content.article', 7, 11, 4, '2021-07-09 07:35:35', 1),
('com_content.article', 7, 11, 5, '2021-07-09 07:35:35', 1),
('com_content.article', 7, 11, 6, '2021-07-09 07:35:35', 1),
('com_content.article', 4, 14, 3, '2021-07-09 07:35:35', 1),
('com_content.article', 4, 14, 4, '2021-07-09 07:35:35', 1),
('com_content.article', 4, 14, 5, '2021-07-09 07:35:35', 1),
('com_content.article', 4, 14, 6, '2021-07-09 07:35:35', 1),
('com_content.article', 2, 16, 2, '2021-07-09 07:35:35', 1),
('com_content.article', 2, 16, 3, '2021-07-09 07:35:35', 1),
('com_content.article', 2, 16, 4, '2021-07-09 07:35:35', 1),
('com_content.article', 2, 16, 5, '2021-07-09 07:35:35', 1),
('com_content.article', 2, 16, 6, '2021-07-09 07:35:35', 1),
('com_content.article', 3, 17, 2, '2021-07-09 07:35:35', 1),
('com_content.article', 3, 17, 3, '2021-07-09 07:35:35', 1),
('com_content.article', 3, 17, 4, '2021-07-09 07:35:35', 1),
('com_content.article', 3, 17, 5, '2021-07-09 07:35:35', 1),
('com_content.article', 3, 17, 6, '2021-07-09 07:35:35', 1);

DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL DEFAULT 0 COMMENT 'Parent package ID for extensions installed as a package.',
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 1,
  `protected` tinyint(3) NOT NULL DEFAULT 0,
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT 0,
  `state` int(11) DEFAULT 0,
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10011 DEFAULT CHARSET=utf8;

INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 0, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":"","filename":"mailto"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 0, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":"","filename":"wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 0, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 0, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":"","filename":"banners"}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":"","save_history":"1","history_limit":10}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 0, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 0, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 0, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"name":"com_checkin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 0, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '{"contact_layout":"_:default","show_contact_category":"hide","save_history":"1","history_limit":10,"show_contact_list":"0","presentation_style":"sliders","show_tags":"1","show_info":"1","show_name":"1","show_position":"1","show_email":"0","add_mailto_link":"1","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_image":"1","image":"","show_misc":"1","allow_vcard":"0","show_articles":"0","articles_display_num":"10","show_profile":"0","show_user_custom_fields":["-1"],"show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"2","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"0","maxLevel":"-1","show_subcat_desc":"1","show_empty_categories":"0","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_subcat_desc_cat":"1","show_empty_categories_cat":"0","show_cat_items_cat":"1","filter_field":"0","show_pagination_limit":"0","show_headings":"1","show_image_heading":"0","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_pagination":"2","show_pagination_results":"1","initial_sort":"ordering","captcha":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_feed_link":"1","sef_advanced":0,"sef_ids":0,"custom_fields_enable":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 0, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 0, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{"show_jed_info":"1","cachetimeout":"6","minimum_stability":"4"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 0, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"name":"com_languages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 0, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 0, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 0, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 0, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 0, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 0, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"newsfeed_layout":"_:default","save_history":"1","history_limit":5,"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_character_count":"0","feed_display_order":"des","float_first":"right","float_second":"right","show_tags":"1","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"1","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","filter_field":"1","show_pagination_limit":"1","show_headings":"1","show_articles":"0","show_link":"1","show_pagination":"1","show_pagination_results":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 0, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 0, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":"","filename":"search"}', '{"enabled":"0","search_phrases":"1","search_areas":"1","show_date":"1","opensearch_name":"","opensearch_description":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 0, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"0","upload_limit":"10","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css,scss,sass","font_formats":"woff,ttf,otf","compressed_formats":"zip"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 0, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_author":"1","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"1","show_item_navigation":"1","show_vote":"0","show_readmore":"1","show_readmore_title":"1","readmore_limit":"100","show_icons":"1","show_print_icon":"1","show_email_icon":"0","show_hits":"1","show_noauth":"0","show_publishing_options":"1","show_article_options":"1","save_history":"1","history_limit":10,"show_urls_images_frontend":"0","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"left","category_layout":"_:blog","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1","feed_summary":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 0, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"9":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 0, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 0, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":"","filename":"users"}', '{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"9","sendpassword":"0","useractivation":"2","mail_to_admin":"1","captcha":"","frontend_userparams":"1","site_language":"0","change_login_name":"0","domains":[],"reset_count":"10","reset_time":"1","minimum_length":"4","minimum_integers":"0","minimum_symbols":"0","minimum_uppercase":"0","minimum_lowercase":"0","save_history":"1","history_limit":5,"mailSubjectPrefix":"","mailBodySuffix":"","debugUsers":"1","debugGroups":"1","sef_advanced":0,"custom_fields_enable":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 0, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '{"enabled":"0","show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_autosuggest":"1","show_suggested_query":"1","show_explained_query":"1","show_advanced":"1","show_advanced_tips":"1","expand_advanced":"0","show_date_filters":"0","sort_order":"relevance","sort_direction":"desc","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stem":"1","stemmer":"snowball","enable_logging":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 0, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.2","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{"updatesource":"default","customurl":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 0, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"tag_layout":"_:default","save_history":"1","history_limit":5,"show_tag_title":"0","tag_list_show_tag_image":"0","tag_list_show_tag_description":"0","tag_list_image":"","tag_list_orderby":"title","tag_list_orderby_direction":"ASC","show_headings":"0","tag_list_show_date":"0","tag_list_show_item_image":"0","tag_list_show_item_description":"0","tag_list_item_maximum_characters":0,"return_any_or_all":"1","include_children":"0","maximum":200,"tag_list_language_filter":"all","tags_layout":"_:default","all_tags_orderby":"title","all_tags_orderby_direction":"ASC","all_tags_show_tag_image":"0","all_tags_show_tag_description":"0","all_tags_tag_maximum_characters":20,"all_tags_show_tag_hits":"0","filter_field":"1","show_pagination_limit":"1","show_pagination":"2","show_pagination_results":"1","tag_field_ajax_mode":"1","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 0, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":"","filename":"contenthistory"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 0, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 1, '{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":"","filename":"ajax"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 0, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(33, 0, 'com_fields', 'component', 'com_fields', '', 1, 1, 1, 0, '{"name":"com_fields","type":"component","creationDate":"March 2016","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(34, 0, 'com_associations', 'component', 'com_associations', '', 1, 1, 1, 0, '{"name":"com_associations","type":"component","creationDate":"January 2017","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_ASSOCIATIONS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(35, 0, 'com_privacy', 'component', 'com_privacy', '', 1, 1, 1, 1, '{"name":"com_privacy","type":"component","creationDate":"May 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"COM_PRIVACY_XML_DESCRIPTION","group":"","filename":"privacy"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(36, 0, 'com_actionlogs', 'component', 'com_actionlogs', '', 1, 1, 1, 1, '{"name":"com_actionlogs","type":"component","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"COM_ACTIONLOGS_XML_DESCRIPTION","group":""}', '{"ip_logging":0,"csv_delimiter":",","loggable_extensions":["com_banners","com_cache","com_categories","com_checkin","com_config","com_contact","com_content","com_installer","com_media","com_menus","com_messages","com_modules","com_newsfeeds","com_plugins","com_redirect","com_tags","com_templates","com_users"]}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 0, 'LIB_PHPUTF8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"name":"LIB_PHPUTF8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":"","filename":"phputf8"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 0, 'LIB_JOOMLA', 'library', 'joomla', '', 0, 1, 1, 1, '{"name":"LIB_JOOMLA","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"https:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"mediaversion":"9b74372c67dcf8c478c36d8625fb3134"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(104, 0, 'LIB_IDNA', 'library', 'idna_convert', '', 0, 1, 1, 1, '{"name":"LIB_IDNA","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":"","filename":"idna_convert"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 0, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{"name":"FOF","type":"library","creationDate":"2015-04-22 13:15:32","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2015 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.4.3","description":"LIB_FOF_XML_DESCRIPTION","group":"","filename":"fof"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(106, 0, 'LIB_PHPASS', 'library', 'phpass', '', 0, 1, 1, 1, '{"name":"LIB_PHPASS","type":"library","creationDate":"2004-2006","author":"Solar Designer","copyright":"","authorEmail":"solar@openwall.com","authorUrl":"http:\\/\\/www.openwall.com\\/phpass\\/","version":"0.3","description":"LIB_PHPASS_XML_DESCRIPTION","group":"","filename":"phpass"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 0, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":"","filename":"mod_articles_archive"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 0, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 0, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_articles_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 0, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":"","filename":"mod_banners"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 0, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":"","filename":"mod_breadcrumbs"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 0, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 0, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 0, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":"","filename":"mod_footer"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 0, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 0, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 0, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_news"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 0, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":"","filename":"mod_random_image"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 0, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":"","filename":"mod_related_items"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 0, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":"","filename":"mod_search"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 0, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 0, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":"","filename":"mod_syndicate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 0, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":"","filename":"mod_users_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 0, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":"","filename":"mod_whosonline"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 0, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":"","filename":"mod_wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 0, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":"","filename":"mod_articles_category"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 0, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":"","filename":"mod_articles_categories"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 0, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":"","filename":"mod_languages"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 0, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FINDER_XML_DESCRIPTION","group":"","filename":"mod_finder"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 0, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 0, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 0, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":"","filename":"mod_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 0, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":"","filename":"mod_logged"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 0, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 0, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 0, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 0, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"name":"mod_quickicon","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":"","filename":"mod_quickicon"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 0, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"name":"mod_status","type":"module","creationDate":"February 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":"","filename":"mod_status"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 0, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"name":"mod_submenu","type":"module","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":"","filename":"mod_submenu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 0, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"name":"mod_title","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":"","filename":"mod_title"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 0, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"name":"mod_toolbar","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":"","filename":"mod_toolbar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 0, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":"","filename":"mod_multilangstatus"}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 0, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_VERSION_XML_DESCRIPTION","group":"","filename":"mod_version"}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 0, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats_admin"}', '{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 0, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_tags_popular"}', '{"maximum":"5","timeframe":"alltime","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(317, 0, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":"","filename":"mod_tags_similar"}', '{"maximum":"5","matchtype":"any","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(318, 0, 'mod_sampledata', 'module', 'mod_sampledata', '', 1, 1, 1, 0, '{"name":"mod_sampledata","type":"module","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"MOD_SAMPLEDATA_XML_DESCRIPTION","group":"","filename":"mod_sampledata"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(319, 0, 'mod_latestactions', 'module', 'mod_latestactions', '', 1, 1, 1, 0, '{"name":"mod_latestactions","type":"module","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"MOD_LATESTACTIONS_XML_DESCRIPTION","group":"","filename":"mod_latestactions"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(320, 0, 'mod_privacy_dashboard', 'module', 'mod_privacy_dashboard', '', 1, 1, 1, 0, '{"name":"mod_privacy_dashboard","type":"module","creationDate":"June 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"MOD_PRIVACY_DASHBOARD_XML_DESCRIPTION","group":"","filename":"mod_privacy_dashboard"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 0, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":"","filename":"gmail"}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 0, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 0, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":"","filename":"ldap"}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(403, 0, 'plg_content_contact', 'plugin', 'contact', 'content', 0, 1, 1, 0, '{"name":"plg_content_contact","type":"plugin","creationDate":"January 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.2","description":"PLG_CONTENT_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(404, 0, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":"","filename":"emailcloak"}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(406, 0, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":"","filename":"loadmodule"}', '{"style":"xhtml"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 0, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 0, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":"","filename":"pagenavigation"}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 0, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 0, 1, 0, '{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":"","filename":"vote"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(410, 0, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"Copyright (C) 2014 - 2021 by Marijn Haverbeke <marijnh@gmail.com> and others","authorEmail":"marijnh@gmail.com","authorUrl":"https:\\/\\/codemirror.net\\/","version":"5.60.0","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":"","filename":"codemirror"}', '{"lineNumbers":"1","lineWrapping":"1","matchTags":"1","matchBrackets":"1","marker-gutter":"1","autoCloseTags":"1","autoCloseBrackets":"1","autoFocus":"1","theme":"default","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 0, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_none","type":"plugin","creationDate":"September 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":"","filename":"none"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 0, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2020","author":"Tiny Technologies, Inc","copyright":"Tiny Technologies, Inc","authorEmail":"N\\/A","authorUrl":"https:\\/\\/www.tiny.cloud","version":"4.5.12","description":"PLG_TINY_XML_DESCRIPTION","group":"","filename":"tinymce"}', '{"configuration":{"toolbars":{"2":{"toolbar1":["bold","underline","strikethrough","|","undo","redo","|","bullist","numlist","|","pastetext"]},"1":{"menu":["edit","insert","view","format","table","tools"],"toolbar1":["bold","italic","underline","strikethrough","|","alignleft","aligncenter","alignright","alignjustify","|","formatselect","|","bullist","numlist","|","outdent","indent","|","undo","redo","|","link","unlink","anchor","code","|","hr","table","|","subscript","superscript","|","charmap","pastetext","preview"]},"0":{"menu":["edit","insert","view","format","table","tools"],"toolbar1":["bold","italic","underline","strikethrough","|","alignleft","aligncenter","alignright","alignjustify","|","styleselect","|","formatselect","fontselect","fontsizeselect","|","searchreplace","|","bullist","numlist","|","outdent","indent","|","undo","redo","|","link","unlink","anchor","image","|","code","|","forecolor","backcolor","|","fullscreen","|","table","|","subscript","superscript","|","charmap","emoticons","media","hr","ltr","rtl","|","cut","copy","paste","pastetext","|","visualchars","visualblocks","nonbreaking","blockquote","template","|","print","preview","codesample","insertdatetime","removeformat"]}},"setoptions":{"2":{"access":["1"],"skin":"0","skin_admin":"0","mobile":"0","drag_drop":"1","path":"","entity_encoding":"raw","lang_mode":"1","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","use_config_textfilters":"0","invalid_elements":"script,applet,iframe","valid_elements":"","extended_elements":"","resizing":"1","resize_horizontal":"1","element_path":"1","wordcount":"1","image_advtab":"0","advlist":"1","autosave":"1","contextmenu":"1","custom_plugin":"","custom_button":""},"1":{"access":["6","2"],"skin":"0","skin_admin":"0","mobile":"0","drag_drop":"1","path":"","entity_encoding":"raw","lang_mode":"1","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","use_config_textfilters":"0","invalid_elements":"script,applet,iframe","valid_elements":"","extended_elements":"","resizing":"1","resize_horizontal":"1","element_path":"1","wordcount":"1","image_advtab":"0","advlist":"1","autosave":"1","contextmenu":"1","custom_plugin":"","custom_button":""},"0":{"access":["7","4","8"],"skin":"0","skin_admin":"0","mobile":"0","drag_drop":"1","path":"","entity_encoding":"raw","lang_mode":"1","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","use_config_textfilters":"0","invalid_elements":"script,applet,iframe","valid_elements":"","extended_elements":"","resizing":"1","resize_horizontal":"1","element_path":"1","wordcount":"1","image_advtab":"1","advlist":"1","autosave":"1","contextmenu":"1","custom_plugin":"","custom_button":""}}},"sets_amount":3,"html_height":"550","html_width":"750"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 0, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":"","filename":"article"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 0, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":"","filename":"image"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 0, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 0, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":"","filename":"readmore"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 0, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 0, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 0, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 0, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 0, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":"","filename":"languagefilter"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 0, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 0, 1, 0, '{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":"","filename":"p3p"}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 0, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":"","filename":"cache"}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 0, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":"","filename":"debug"}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 0, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":"","filename":"log"}', '', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 0, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 0, 1, 1, '{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION","group":"","filename":"redirect"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(428, 0, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":"","filename":"remember"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 0, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":"","filename":"sef"}', '', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 0, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":"","filename":"logout"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(431, 0, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":"","filename":"contactcreator"}', '{"autowebpage":"","category":"4","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 0, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"autoregister":"1","mail_to_user":"1","forceLogout":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 0, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 0, '{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":"","filename":"profile"}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 0, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 0, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 0, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":"","filename":"languagecode"}', '', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 0, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":"","filename":"joomlaupdate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 0, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":"","filename":"extensionupdate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 0, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 0, 1, 0, '{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":"","filename":"recaptcha"}', '{"public_key":"","private_key":"","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 0, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":"","filename":"highlight"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 0, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 1, 1, 0, '{"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 0, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 0, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 0, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 0, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(447, 0, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 0, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":"","filename":"totp"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 0, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":"","filename":"cookie"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 0, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"September 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":"","filename":"yubikey"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(451, 0, 'plg_search_tags', 'plugin', 'tags', 'search', 0, 1, 1, 0, '{"name":"plg_search_tags","type":"plugin","creationDate":"March 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"search_limit":"50","show_tagged_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(452, 0, 'plg_system_updatenotification', 'plugin', 'updatenotification', 'system', 0, 1, 1, 0, '{"name":"plg_system_updatenotification","type":"plugin","creationDate":"May 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION","group":"","filename":"updatenotification"}', '{"lastrun":1625816135}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(453, 0, 'plg_editors-xtd_module', 'plugin', 'module', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_module","type":"plugin","creationDate":"October 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_MODULE_XML_DESCRIPTION","group":"","filename":"module"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(454, 0, 'plg_system_stats', 'plugin', 'stats', 'system', 0, 1, 1, 0, '{"name":"plg_system_stats","type":"plugin","creationDate":"November 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_STATS_XML_DESCRIPTION","group":"","filename":"stats"}', '{"mode":3,"lastrun":"","unique_id":"cb6d4dd0ed62bf3ca371b73c6aee890ae4145d14","interval":12}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(455, 0, 'plg_installer_packageinstaller', 'plugin', 'packageinstaller', 'installer', 0, 1, 1, 1, '{"name":"plg_installer_packageinstaller","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"packageinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(456, 0, 'PLG_INSTALLER_FOLDERINSTALLER', 'plugin', 'folderinstaller', 'installer', 0, 1, 1, 1, '{"name":"PLG_INSTALLER_FOLDERINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_FOLDERINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"folderinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(457, 0, 'PLG_INSTALLER_URLINSTALLER', 'plugin', 'urlinstaller', 'installer', 0, 1, 1, 1, '{"name":"PLG_INSTALLER_URLINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_URLINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"urlinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(458, 0, 'plg_quickicon_phpversioncheck', 'plugin', 'phpversioncheck', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_phpversioncheck","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION","group":"","filename":"phpversioncheck"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(459, 0, 'plg_editors-xtd_menu', 'plugin', 'menu', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_menu","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION","group":"","filename":"menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(460, 0, 'plg_editors-xtd_contact', 'plugin', 'contact', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_contact","type":"plugin","creationDate":"October 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(461, 0, 'plg_system_fields', 'plugin', 'fields', 'system', 0, 1, 1, 0, '{"name":"plg_system_fields","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_SYSTEM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(462, 0, 'plg_fields_calendar', 'plugin', 'calendar', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_calendar","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CALENDAR_XML_DESCRIPTION","group":"","filename":"calendar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(463, 0, 'plg_fields_checkboxes', 'plugin', 'checkboxes', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_checkboxes","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION","group":"","filename":"checkboxes"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(464, 0, 'plg_fields_color', 'plugin', 'color', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_color","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_COLOR_XML_DESCRIPTION","group":"","filename":"color"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(465, 0, 'plg_fields_editor', 'plugin', 'editor', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_editor","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_EDITOR_XML_DESCRIPTION","group":"","filename":"editor"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(466, 0, 'plg_fields_imagelist', 'plugin', 'imagelist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_imagelist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION","group":"","filename":"imagelist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(467, 0, 'plg_fields_integer', 'plugin', 'integer', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_integer","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_INTEGER_XML_DESCRIPTION","group":"","filename":"integer"}', '{"multiple":"0","first":"1","last":"100","step":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(468, 0, 'plg_fields_list', 'plugin', 'list', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_list","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_LIST_XML_DESCRIPTION","group":"","filename":"list"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(469, 0, 'plg_fields_media', 'plugin', 'media', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_media","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(470, 0, 'plg_fields_radio', 'plugin', 'radio', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_radio","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_RADIO_XML_DESCRIPTION","group":"","filename":"radio"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(471, 0, 'plg_fields_sql', 'plugin', 'sql', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_sql","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_SQL_XML_DESCRIPTION","group":"","filename":"sql"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(472, 0, 'plg_fields_text', 'plugin', 'text', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_text","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXT_XML_DESCRIPTION","group":"","filename":"text"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(473, 0, 'plg_fields_textarea', 'plugin', 'textarea', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_textarea","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION","group":"","filename":"textarea"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(474, 0, 'plg_fields_url', 'plugin', 'url', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_url","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_URL_XML_DESCRIPTION","group":"","filename":"url"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(475, 0, 'plg_fields_user', 'plugin', 'user', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_user","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USER_XML_DESCRIPTION","group":"","filename":"user"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(476, 0, 'plg_fields_usergrouplist', 'plugin', 'usergrouplist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_usergrouplist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION","group":"","filename":"usergrouplist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(477, 0, 'plg_content_fields', 'plugin', 'fields', 'content', 0, 1, 1, 0, '{"name":"plg_content_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_CONTENT_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(478, 0, 'plg_editors-xtd_fields', 'plugin', 'fields', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(479, 0, 'plg_sampledata_blog', 'plugin', 'blog', 'sampledata', 0, 1, 1, 0, '{"name":"plg_sampledata_blog","type":"plugin","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION","group":"","filename":"blog"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(480, 0, 'plg_system_sessiongc', 'plugin', 'sessiongc', 'system', 0, 1, 1, 0, '{"name":"plg_system_sessiongc","type":"plugin","creationDate":"February 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.6","description":"PLG_SYSTEM_SESSIONGC_XML_DESCRIPTION","group":"","filename":"sessiongc"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(481, 0, 'plg_fields_repeatable', 'plugin', 'repeatable', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_repeatable","type":"plugin","creationDate":"April 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_FIELDS_REPEATABLE_XML_DESCRIPTION","group":"","filename":"repeatable"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(482, 0, 'plg_content_confirmconsent', 'plugin', 'confirmconsent', 'content', 0, 1, 1, 0, '{"name":"plg_content_confirmconsent","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_CONTENT_CONFIRMCONSENT_XML_DESCRIPTION","group":"","filename":"confirmconsent"}', '{"consentbox_text":"","privacy_article":58}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(483, 0, 'PLG_SYSTEM_ACTIONLOGS', 'plugin', 'actionlogs', 'system', 0, 1, 1, 0, '{"name":"PLG_SYSTEM_ACTIONLOGS","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_ACTIONLOGS_XML_DESCRIPTION","group":"","filename":"actionlogs"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(484, 0, 'PLG_ACTIONLOG_JOOMLA', 'plugin', 'joomla', 'actionlog', 0, 1, 1, 0, '{"name":"PLG_ACTIONLOG_JOOMLA","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_ACTIONLOG_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(485, 0, 'plg_system_privacyconsent', 'plugin', 'privacyconsent', 'system', 0, 0, 1, 0, '{"name":"plg_system_privacyconsent","type":"plugin","creationDate":"April 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_PRIVACYCONSENT_XML_DESCRIPTION","group":"","filename":"privacyconsent"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(486, 0, 'plg_system_logrotation', 'plugin', 'logrotation', 'system', 0, 1, 1, 0, '{"name":"plg_system_logrotation","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_LOGROTATION_XML_DESCRIPTION","group":"","filename":"logrotation"}', '{"lastrun":1625736764}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(487, 0, 'plg_privacy_user', 'plugin', 'user', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_user","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_USER_XML_DESCRIPTION","group":"","filename":"user"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(488, 0, 'plg_quickicon_privacycheck', 'plugin', 'privacycheck', 'quickicon', 0, 1, 1, 0, '{"name":"plg_quickicon_privacycheck","type":"plugin","creationDate":"June 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_QUICKICON_PRIVACYCHECK_XML_DESCRIPTION","group":"","filename":"privacycheck"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(489, 0, 'plg_user_terms', 'plugin', 'terms', 'user', 0, 0, 1, 0, '{"name":"plg_user_terms","type":"plugin","creationDate":"June 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_USER_TERMS_XML_DESCRIPTION","group":"","filename":"terms"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(490, 0, 'plg_privacy_contact', 'plugin', 'contact', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_contact","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(491, 0, 'plg_privacy_content', 'plugin', 'content', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_content","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(492, 0, 'plg_privacy_message', 'plugin', 'message', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_message","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_MESSAGE_XML_DESCRIPTION","group":"","filename":"message"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(493, 0, 'plg_privacy_actionlogs', 'plugin', 'actionlogs', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_actionlogs","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_ACTIONLOGS_XML_DESCRIPTION","group":"","filename":"actionlogs"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(494, 0, 'plg_captcha_recaptcha_invisible', 'plugin', 'recaptcha_invisible', 'captcha', 0, 0, 1, 0, '{"name":"plg_captcha_recaptcha_invisible","type":"plugin","creationDate":"November 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8","description":"PLG_CAPTCHA_RECAPTCHA_INVISIBLE_XML_DESCRIPTION","group":"","filename":"recaptcha_invisible"}', '{"public_key":"  ","private_key":"  ","badge":"bottomright","tabindex":0,"callback":"","expired_callback":"","error_callback":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(495, 0, 'plg_privacy_consents', 'plugin', 'consents', 'privacy', 0, 1, 1, 0, '{"name":"plg_privacy_consents","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONSENTS_XML_DESCRIPTION","group":"","filename":"consents"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 0, 'beez3', 'template', 'beez3', '', 0, 1, 1, 0, '{"name":"beez3","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"3.1.0","description":"TPL_BEEZ3_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 0, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"3.0.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(506, 0, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(507, 0, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 802, 'English (en-GB)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"July 2021","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.28","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 802, 'English (en-GB)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"July 2021","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.28","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 0, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"name":"files_joomla","type":"file","creationDate":"July 2021","author":"Joomla! Project","copyright":"(C) 2005 - 2020 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.28","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(802, 0, 'English (en-GB) Language Pack', 'package', 'pkg_en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB) Language Pack","type":"package","creationDate":"July 2021","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.28.1","description":"en-GB language pack","group":"","filename":"pkg_en-GB"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10000, 0, 'MOD_JA_ACM', 'module', 'mod_ja_acm', '', 0, 1, 1, 0, '{"name":"MOD_JA_ACM","type":"module","creationDate":"Sep 27, 2019","author":"JoomlArt","copyright":"Copyright \\u00a9 2005 - 2019 JoomlArt.com. All Rights Reserved.","authorEmail":"info@joomlart.com","authorUrl":"www.joomlart.com","version":"2.1.6","description":"\\n\\t\\t\\n\\t\\t<div align=\\"left\\">\\t\\t\\n\\t\\t\\t<div>\\n\\t\\t\\t\\t<h1>JA ACM Module for Joomla 2.5 & 3.x<\\/h1>\\n\\t\\t\\t\\t<div style=\'font-weight: normal\'>\\n\\t\\t\\t\\t\\t<p>JA ACM module (JoomlArt Advanced Custom module) is to help you build content blocks for your Joomla site easily based on pre-made layouts and styles. The content blocks together will build a landing page or a complete site for you. <\\/p>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<br \\/>\\n\\t\\t\\t<p>Highlighted features:<\\/p>\\n\\t\\t\\t<div style=\'font-weight: normal\'>\\n\\t\\t\\t\\t<ul>\\n\\t\\t\\t\\t\\t<li style=\\"padding:10px 0px 10px 20px;\\">12+ block types: At this phase, we round up typical blocks that Uber has to offer. Each block type comes with multiple styles.<\\/li>\\n\\t\\t\\t\\t\\t<li style=\\"padding:10px 0px 10px 20px;\\">Easy editing & defining your page-specific field sets within each block. Each block has its own LESS file, so you have full control to define your own class and style.<\\/li>\\n\\t\\t\\t\\t\\t<li style=\\"padding:10px 0px 10px 20px;\\">Content-creator-friendly: completely separate content & design. No longer mixing HTML syntax embedded inside article.<\\/li>\\n\\t\\t\\t\\t\\t<li style=\\"padding:10px 0px 10px 20px;\\">Allow us to dig deeper into the modular block approach which eases our page management effort.<\\/li>\\n\\t\\t\\t\\t<\\/ul>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<br \\/>\\n\\t\\t\\t\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":"","filename":"mod_ja_acm"}', '{"jatools-config":"1","cache":"1","cache_time":"900","cachemode":"itemid"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10001, 0, 'JA Masthead', 'module', 'mod_jamasthead', '', 0, 1, 1, 0, '{"name":"JA Masthead","type":"module","creationDate":"Jul 2018","author":"JoomlArt.com","copyright":"J.O.O.M Solutions Co., Ltd.","authorEmail":"webmaster@joomlart.com","authorUrl":"www.joomlart.com","version":"1.0.5","description":"\\n\\t\\t\\n\\t\\t<div align=\\"left\\">\\t\\t\\n\\t\\t\\t<h2>JA Masthead Module for Joomla 2.5 & 3.x<\\/h2>\\n\\t\\t\\t<p>JA Masthead Module is used to Masthead title like the JoomlArt Masthead. With this module, the Masshead can be configured to be in any pages with different titles, descriptions as well as background images and background video. For video background, it supports local video with types: .mp4, ogg, webm.<\\/p>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":"","filename":"mod_jamasthead"}', '{"default-title":"","default-description":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10002, 0, 'plg_system_t4', 'plugin', 't4', 'system', 0, 1, 1, 0, '{"name":"plg_system_t4","type":"plugin","creationDate":"June 14th, 2021","author":"JoomlArt","copyright":"Copyright (C) 2005 - 2021 JoomlArt.com","authorEmail":"admin@joomlart.com","authorUrl":"www.joomlart.com","version":"1.1.7","description":"\\n\\t\\t\\t<div class=\\"tpl-info\\">\\n\\t\\t\\t\\t<p>T4 Framework is powerful and advanced responsive template framework for Joomla. It is a modern, flexible and highly customizable framework to build beautiful Joomla websites easier.<\\/p>\\n\\t\\t\\t<\\/div>\\n\\n\\t\\t\\t<style>\\n\\t\\t\\t\\t.tpl-info { overflow: hidden; padding: 20px 0; }\\n\\t\\t\\t\\t.tpl-info p { float: left; width: 60%;}\\n\\t\\t\\t\\t.tpl-info .btn { box-shadow: 0 2px 10px 0 rgba(0,0,0,.16); border: 0; border-radius: 3px; float: right; min-height: 52px; padding: 0 24px; line-height: 52px; transition: all .2s cubic-bezier(.4,0,.2,1); }\\n\\t\\t\\t\\t.tpl-info .btn span { margin-right: 12px;}\\n\\t\\t\\t<\\/style>\\n\\t\\t","group":"","filename":"t4"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10003, 0, 'ja_alpha', 'template', 'ja_alpha', '', 0, 1, 1, 0, '{"name":"ja_alpha","type":"template","creationDate":"May 12th, 2021","author":"JoomlArt","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"admin@joomlart.com","authorUrl":"www.joomlart.com","version":"1.0.2","description":"\\n\\t\\t<div align=\\"center\\">\\n\\t\\t\\t<div class=\\"alert alert-success\\" style=\\"background-color:#DFF0D8;border-color:#D6E9C6;color: #468847;padding: 1px 0;\\">\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<h3><a href=\\"\\/\\/www.joomlart.com\\/joomla\\/templates\\/ja-alpha\\">Professional Joomla business template for consulting business, agency and startup - JA Alpha<\\/a><\\/h3>\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t<h4><a href=\\"\\/\\/www.joomlart.com\\/joomla\\/templates\\/ja-alpha\\" title=\\"\\">Home<\\/a> | <a href=\\"\\/\\/joomlart.com\\/demo\\/#ja-alpha\\" title=\\"\\">Demo<\\/a> | <a href=\\"\\/\\/www.joomlart.com\\/documentation\\/joomla-templates\\/ja-alpha\\" title=\\"\\">Document<\\/a> | <a href=\\"\\/\\/pm.joomlart.com\\/browse\\/JATCALPHA\\" title=\\"\\">Changelog<\\/a><\\/h4>\\n\\n\\t\\t\\t\\t<p>JA Alpha is a simple, yet professional Joomla business template that could be used for consulting businesses, agencies and startups. It is packed with many ready-made standard pages to represent serivces, portfolio in beautiful and smart layout.<\\/p>\\n\\n\\t\\t\\t\\t<span style=\\"color:#FF0000\\">Note: JA Alpha requires T4 plugin to be installed and enabled.<\\/span><p><\\/p>\\n\\t\\t\\t\\t<p>Copyright 2004 - 2020 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<style>table.adminform{width: 100%;}<\\/style>\\n\\t\\t<\\/div>\\n\\t\\t","group":"","filename":"templateDetails"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10004, 0, 'Acym', 'component', 'com_acym', '', 1, 1, 0, 0, '{"name":"Acym","type":"component","creationDate":"May 2021","author":"Acyba","copyright":"Copyright (C) 2009-2021 ACYBA SAS - All rights reserved.","authorEmail":"dev@acyba.com","authorUrl":"https:\\/\\/www.acymailing.com","version":"7.5.7","description":"Manage your Mailing lists and e-mail marketing campaigns","group":"","filename":"acym"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10005, 0, 'AcyMailing subscription form', 'module', 'mod_acym', '', 0, 1, 0, 0, '{"name":"AcyMailing subscription form","type":"module","creationDate":"August 2018","author":"Acyba","copyright":"Copyright (C) 2009-2021 ACYBA SAS - All rights reserved.","authorEmail":"dev@acyba.com","authorUrl":"https:\\/\\/www.acymailing.com","version":"7.5.7","description":"Subscribe to \\/ Unsubscribe from AcyMailing lists","group":"","filename":"mod_acym"}', '{"help":"module","mode":"tableless","hiddenlists":"None","displists":"None","listschecked":"None","listposition":"before","fields":"1","textmode":"0","subtext":"","subtextlogged":"","termscontent":"0","privacypolicy":"0","articlepopup":"1","unsub":"0","unsubtext":"","successmode":"0","unsubredirect":"","redirect":"","introtext":"","posttext":"","userinfo":"1","alignment":"none","source":"","moduleclass_sfx":"","formclass":"","includejs":"header"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10006, 0, 'AcyMailing - Joomla integration', 'plugin', 'acymtriggers', 'system', 0, 1, 1, 0, '{"name":"AcyMailing - Joomla integration","type":"plugin","creationDate":"April 2019","author":"Acyba","copyright":"Copyright (C) 2009-2021 ACYBA SAS - All rights reserved.","authorEmail":"dev@acyba.com","authorUrl":"https:\\/\\/www.acymailing.com","version":"7.5.7","description":"This plugin is used for Joomla integration like user synchronization","group":"","filename":"acymtriggers"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10007, 0, 'AcyMailing - JCE integration', 'plugin', 'jceacym', 'system', 0, 1, 1, 0, '{"name":"AcyMailing - JCE integration","type":"plugin","creationDate":"December 2018","author":"Acyba","copyright":"Copyright (C) 2009-2021 ACYBA SAS - All rights reserved.","authorEmail":"dev@acyba.com","authorUrl":"https:\\/\\/www.acymailing.com","version":"7.5.7","description":"This plugin enables you to use the JCE editor with AcyMailing v6+","group":"","filename":"jceacym"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10008, 0, 'com_jaextmanager', 'component', 'com_jaextmanager', '', 1, 1, 0, 0, '{"name":"com_jaextmanager","type":"component","creationDate":"Jan 5th, 2019","author":"JoomlArt","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.joomlart.com","version":"2.6.5","description":"JA Extension Manager Component","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10009, 0, 'AcyMailing - Override Joomla emails', 'plugin', 'acymailoverride', 'system', 0, 0, 1, 0, '{"name":"AcyMailing - Override Joomla emails","type":"plugin","creationDate":"October 2020","author":"Acyba","copyright":"Copyright (C) 2009-2021 ACYBA SAS - All rights reserved.","authorEmail":"dev@acyba.com","authorUrl":"https:\\/\\/www.acymailing.com","version":"7.5.7","description":"This plugin enables you to override emails normally sent by Joomla","group":"","filename":"acymailoverride"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10010, 0, 'AcyMailing - Search emails in Joomla search bar', 'plugin', 'acymailing', 'search', 0, 0, 1, 0, '{"name":"AcyMailing - Search emails in Joomla search bar","type":"plugin","creationDate":"January 2021","author":"Acyba","copyright":"Copyright (C) 2009-2021 ACYBA SAS - All rights reserved.","authorEmail":"dev@acyba.com","authorUrl":"https:\\/\\/www.acymailing.com","version":"7.5.7","description":"This plugin lets your users search in AcyMailing emails in addition to the site articles","group":"","filename":"acymailing"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__fields`;
CREATE TABLE `#__fields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `context` varchar(255) NOT NULL DEFAULT '',
  `group_id` int(10) unsigned NOT NULL DEFAULT 0,
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `label` varchar(255) NOT NULL DEFAULT '',
  `default_value` text DEFAULT NULL,
  `type` varchar(255) NOT NULL DEFAULT 'text',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `required` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `fieldparams` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `access` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_user_id` (`created_user_id`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_categories`;
CREATE TABLE `#__fields_categories` (
  `field_id` int(11) NOT NULL DEFAULT 0,
  `category_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`field_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_groups`;
CREATE TABLE `#__fields_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `context` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `access` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_values`;
CREATE TABLE `#__fields_values` (
  `field_id` int(10) unsigned NOT NULL,
  `item_id` varchar(255) NOT NULL COMMENT 'Allow references to items which have strings as ids, eg. none db systems.',
  `value` text DEFAULT NULL,
  KEY `idx_field_id` (`field_id`),
  KEY `idx_item_id` (`item_id`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lang_code` char(7) binary NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__languages` (`lang_id`, `asset_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 0, 'en-GB', 'English (en-GB)', 'English (United Kingdom)', 'en', 'en_gb', '', '', '', '', 1, 1, 1);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(400) binary NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 1 COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to #__users.id',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT 0,
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`(100),`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_path` (`path`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=228 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 171, 0, '*', 0),
(2, 'main', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 1, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 1, 10, 0, '*', 1),
(3, 'main', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 2, 3, 0, '*', 1),
(4, 'main', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 1, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 4, 5, 0, '*', 1),
(5, 'main', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 6, 7, 0, '*', 1),
(6, 'main', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 8, 9, 0, '*', 1),
(7, 'main', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 77, 82, 0, '*', 1),
(8, 'main', 'com_contact_contacts', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 1, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 78, 79, 0, '*', 1),
(9, 'main', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 1, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 80, 81, 0, '*', 1),
(10, 'main', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 1, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 87, 90, 0, '*', 1),
(11, 'main', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 1, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 88, 89, 0, '*', 1),
(13, 'main', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 97, 102, 0, '*', 1),
(14, 'main', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 98, 99, 0, '*', 1),
(15, 'main', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 1, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 100, 101, 0, '*', 1),
(16, 'main', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 1, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 103, 104, 0, '*', 1),
(17, 'main', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 1, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 105, 106, 0, '*', 1),
(18, 'main', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 1, 1, 1, 27, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 107, 108, 0, '*', 1),
(19, 'main', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 1, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 109, 110, 0, '*', 1),
(20, 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', 1, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 111, 112, 0, '', 1),
(21, 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', 1, 1, 1, 32, 0, '0000-00-00 00:00:00', 0, 1, 'class:postinstall', 0, '', 113, 114, 0, '*', 1),
(22, 'main', 'com_associations', 'Multilingual Associations', '', 'Multilingual Associations', 'index.php?option=com_associations', 'component', 1, 1, 1, 34, 0, '0000-00-00 00:00:00', 0, 0, 'class:associations', 0, '', 115, 116, 0, '*', 1),
(101, 'mainmenu', 'Home', 'homepage', '', 'homepage', 'index.php?option=com_content&view=article&id=1', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 12, '{"show_title":"1","link_titles":"","show_intro":"","info_block_position":"0","info_block_show_title":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_associations":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"Professional Joomla business template for consulting business, agency and startup - JA Alpha","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"Professional Joomla business template for consulting business, agency and startup - JA Alpha","menu-meta_keywords":"business Joomla template, consulting Joomla template, startup Joomla template, Joomla agency template","robots":"","secure":0}', 11, 12, 1, '*', 0),
(102, 'usermenu', 'Your Profile', 'your-profile', '', 'your-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 83, 84, 0, '*', 0),
(103, 'usermenu', 'Site Administrator', '2013-11-16-23-26-41', '', '2013-11-16-23-26-41', 'administrator', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 6, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 91, 92, 0, '*', 0),
(104, 'usermenu', 'Submit an Article', 'submit-an-article', '', 'submit-an-article', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"enable_category":"0","catid":"2","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 85, 86, 0, '*', 0),
(106, 'usermenu', 'Template Settings', 'template-settings', '', 'template-settings', 'index.php?option=com_config&view=templates&controller=config.display.templates', 'component', 1, 1, 1, 23, 0, '0000-00-00 00:00:00', 0, 6, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 93, 94, 0, '*', 0),
(107, 'usermenu', 'Site Settings', 'site-settings', '', 'site-settings', 'index.php?option=com_config&view=config&controller=config.display.config', 'component', 1, 1, 1, 23, 0, '0000-00-00 00:00:00', 0, 6, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 95, 96, 0, '*', 0),
(108, 'mainmenu', 'About Us', 'about-us', '', 'about-us', '#', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 13, 14, 0, '*', 0),
(109, 'mainmenu', 'Services', 'services', '', 'services', 'index.php?option=com_content&view=category&layout=blog&id=20', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 11, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"ja_alpha:services","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 15, 26, 0, '*', 0),
(110, 'mainmenu', 'Portfolio', 'portfolio', '', 'portfolio', 'index.php?option=com_content&view=category&layout=blog&id=13', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"","num_links":"0","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"ja_alpha:portfolio","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"0","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 27, 40, 0, '*', 0),
(111, 'mainmenu', 'Pages', 'pages', '', 'pages', '', 'heading', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 43, 74, 0, '*', 0),
(112, 'mainmenu', 'J! Pages', 'j-pages', '', 'pages/j-pages', '', 'heading', 1, 111, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 44, 53, 0, '*', 0),
(113, 'mainmenu', 'Login', 'login', '', 'pages/j-pages/login', 'index.php?option=com_users&view=login', 'component', 1, 112, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"loginredirectchoice":"1","login_redirect_url":"","login_redirect_menuitem":"","logindescription_show":"1","login_description":"","login_image":"","logoutredirectchoice":"1","logout_redirect_url":"","logout_redirect_menuitem":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 45, 46, 0, '*', 0),
(114, 'mainmenu', 'Registration', 'registration', '', 'pages/j-pages/registration', 'index.php?option=com_users&view=registration', 'component', 1, 112, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 47, 48, 0, '*', 0),
(115, 'mainmenu', 'Search', 'search', '', 'pages/other-pages/search', 'index.php?option=com_search&view=search', 'component', 1, 117, 3, 19, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"search_phrases":"","search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 59, 60, 0, '*', 0),
(116, 'mainmenu', 'Smart Search', 'smart-search', '', 'pages/other-pages/smart-search', 'index.php?option=com_finder&view=search', 'component', 1, 117, 3, 27, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":"","show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"","show_suggested_query":"","show_explained_query":"","sort_order":"","sort_direction":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 61, 62, 0, '*', 0),
(117, 'mainmenu', 'Other Pages', 'other-pages', '', 'pages/other-pages', '', 'heading', 1, 111, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 54, 63, 0, '*', 0),
(118, 'mainmenu', 'Offline Page', 'offline-page', '', 'pages/other-pages/offline-page', 'index.php?option=com_content&view=article&id=3', 'component', 1, 117, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"","show_intro":"0","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 55, 56, 0, '*', 0),
(119, 'mainmenu', 'Error Page', 'error-page', '', 'pages/other-pages/error-page', 'index.php?option=com_content&view=article&id=2', 'component', 1, 117, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 57, 58, 0, '*', 0),
(120, 'mainmenu', 'User Profile', 'user-profile', '', 'pages/j-pages/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 112, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 49, 50, 0, '*', 0),
(121, 'mainmenu', 'Edit User Profile', 'edit-user-profile', '', 'pages/j-pages/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 112, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 51, 52, 0, '*', 0),
(122, 'mainmenu', 'Joomla Content', 'joomla-content', '', 'pages/joomla-content', '', 'heading', 1, 111, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 64, 73, 0, '*', 0),
(123, 'mainmenu', 'Featured Articles', 'featured-articles', '', 'pages/joomla-content/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 122, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 13, '{"featured_categories":["8","9","10","11","12"],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"9","num_columns":"3","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","page_subheading":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 65, 66, 0, '*', 0),
(124, 'mainmenu', 'Category Blog', 'category-blog', '', 'pages/joomla-content/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=8', 'component', 1, 122, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"0","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"_:default","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 67, 68, 0, '*', 0),
(125, 'mainmenu', 'Tagged Items', 'tagged-items', '', 'pages/joomla-content/tagged-items', 'index.php?option=com_tags&view=tag&id[0]=2&id[1]=3&id[2]=4&id[3]=5&id[4]=6', 'component', 1, 122, 3, 29, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_tag_title":"0","tag_list_show_tag_image":"1","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"0","tag_list_show_item_description":"1","tag_list_item_maximum_characters":150,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 69, 70, 0, '*', 0),
(126, 'mainmenu', 'Typography', 'typography', '', 'pages/joomla-content/typography', 'index.php?option=com_content&view=article&id=4', 'component', 1, 122, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 71, 72, 0, '*', 0),
(127, 'mainmenu', 'Contact', 'contact', '', 'contact', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"presentation_style":"plain","show_contact_category":"","show_contact_list":"","show_name":"","show_tags":"","show_info":"","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","allow_vcard":"","show_misc":"","show_articles":"","articles_display_num":"","show_profile":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 75, 76, 0, '*', 0),
(128, 'mainmenu', 'News', 'news', '', 'news', 'index.php?option=com_content&view=category&layout=blog&id=8', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 13, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"9","num_columns":"3","num_links":"0","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"_:default","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 41, 42, 0, '*', 0),
(129, 'mainmenu', 'Accounting', 'portfolio-2', '', 'portfolio/portfolio-2', 'index.php?option=com_content&view=category&layout=blog&id=14', 'component', 1, 110, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"ja_alpha:portfolio","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"0","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 36, 37, 0, '*', 0),
(130, 'mainmenu', 'Cashflow', 'cashflow', '', 'portfolio/cashflow', 'index.php?option=com_content&view=category&layout=blog&id=15', 'component', 1, 110, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"ja_alpha:portfolio","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"0","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 38, 39, 0, '*', 0),
(131, 'mainmenu', 'Financial', 'financial', '', 'portfolio/financial', 'index.php?option=com_content&view=category&layout=blog&id=16', 'component', 1, 110, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"ja_alpha:portfolio","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"0","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 28, 29, 0, '*', 0),
(132, 'mainmenu', 'Invoicing', 'invoicing', '', 'portfolio/invoicing', 'index.php?option=com_content&view=category&layout=blog&id=17', 'component', 1, 110, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"ja_alpha:portfolio","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"0","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 30, 31, 0, '*', 0),
(133, 'mainmenu', 'Services', 'services', '', 'portfolio/services', 'index.php?option=com_content&view=category&layout=blog&id=18', 'component', 1, 110, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"ja_alpha:portfolio","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"0","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 32, 33, 0, '*', 0),
(134, 'mainmenu', 'Trading', 'trading', '', 'portfolio/trading', 'index.php?option=com_content&view=category&layout=blog&id=19', 'component', 1, 110, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"ja_alpha:portfolio","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"0","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 34, 35, 0, '*', 0),
(135, 'mainmenu', 'Financial Services', 'financial-services', '', 'services/financial-services', 'index.php?option=com_content&view=article&layout=ja_alpha:services&id=26', 'component', 1, 109, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_associations":"0","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 16, 17, 0, '*', 0),
(136, 'mainmenu', 'Strategic planning', 'strategic-planning', '', 'services/strategic-planning', 'index.php?option=com_content&view=article&layout=ja_alpha:services&id=60', 'component', 1, 109, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 18, 19, 0, '*', 0),
(137, 'mainmenu', 'Audit & Assurance', 'audit-assurance', '', 'services/audit-assurance', 'index.php?option=com_content&view=article&layout=ja_alpha:services&id=61', 'component', 1, 109, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 20, 21, 0, '*', 0),
(138, 'mainmenu', 'Trades & Stocks', 'trades-stocks', '', 'services/trades-stocks', 'index.php?option=com_content&view=article&layout=ja_alpha:services&id=62', 'component', 1, 109, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"show_title":"0","link_titles":"","show_intro":"0","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 22, 23, 0, '*', 0),
(139, 'extra-links', 'About', 'about', '', 'about', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 117, 118, 0, '*', 0),
(140, 'extra-links', 'Contacts', 'contacts-ft', '', 'contacts-ft', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 119, 120, 0, '*', 0),
(141, 'extra-links', ' Testimonials', 'testimonials', '', 'testimonials', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 121, 122, 0, '*', 0),
(142, 'extra-links', 'Typography', 'typography', '', 'typography', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 123, 124, 0, '*', 0),
(143, 'extra-links', 'Careers', 'careers', '', 'careers', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 125, 126, 0, '*', 0),
(144, 'extra-links', 'News', 'news-ft', '', 'news-ft', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 127, 128, 0, '*', 0),
(145, 'extra-links', 'Services', 'services-ft', '', 'services-ft', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 129, 130, 0, '*', 0),
(146, 'extra-links', 'Typography', 'typography-ft', '', 'typography-ft', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 131, 132, 0, '*', 0),
(147, 'extra-links', 'Our teams', 'our-teams', '', 'our-teams', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 133, 134, 0, '*', 0),
(148, 'extra-links', ' Our approach', 'our-approach', '', 'our-approach', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 135, 136, 0, '*', 0),
(163, 'mainmenu', 'All Services', 'all-services', '', 'services/all-services', 'index.php?Itemid=', 'alias', 1, 109, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"aliasoptions":"109","alias_redirect":0,"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1}', 24, 25, 0, '*', 0),
(164, 'mainmenu', 'Compact List', 'compact-list', '', 'compact-list', 'index.php?option=com_tags&view=tag&layout=list&id[0]=3&id[1]=4', 'component', -2, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":"","filter_field":"","show_pagination_limit":"","display_num":"","show_pagination":"","show_pagination_results":"","tag_list_show_date":"","date_format":"","return_any_or_all":"","include_children":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 137, 138, 0, '*', 0),
(165, 'mainmenu', 'Acy', 'acy', '', 'acy', 'index.php?option=com_acym&view=frontusers&layout=profile', 'component', -2, 1, 1, 10004, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"lists":["1","2"],"listschecked":["1","2"],"dropdown":"0","fields":["1"],"introtext":"","posttext":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 139, 140, 0, '*', 0),
(167, 'main', 'COM_JAEXTMANAGER', 'com-jaextmanager', '', 'com-jaextmanager', 'index.php?option=com_jaextmanager', 'component', 1, 1, 1, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_jaextmanager/assets/images/jauc.png', 0, '{}', 141, 142, 0, '', 1),
(214, 'main', 'COM_ACYM', 'com-acym', '', 'com-acym', 'index.php?option=com_acym', 'component', 1, 1, 1, 10004, 0, '0000-00-00 00:00:00', 0, 1, '../media/com_acym/images/icons/logo_acym.png', 0, '{}', 143, 170, 0, '', 1),
(215, 'main', 'ACYM_DASHBOARD', 'acym-dashboard', '', 'com-acym/acym-dashboard', 'index.php?option=com_acym&ctrl=dashboard', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 144, 145, 0, '', 1),
(216, 'main', 'ACYM_SUBSCRIPTION_FORMS', 'acym-subscription-forms', '', 'com-acym/acym-subscription-forms', 'index.php?option=com_acym&ctrl=forms', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 146, 147, 0, '', 1),
(217, 'main', 'ACYM_SUBSCRIBERS', 'acym-subscribers', '', 'com-acym/acym-subscribers', 'index.php?option=com_acym&ctrl=users', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 148, 149, 0, '', 1),
(218, 'main', 'ACYM_CUSTOM_FIELDS', 'acym-custom-fields', '', 'com-acym/acym-custom-fields', 'index.php?option=com_acym&ctrl=fields', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 150, 151, 0, '', 1),
(219, 'main', 'ACYM_LISTS', 'acym-lists', '', 'com-acym/acym-lists', 'index.php?option=com_acym&ctrl=lists', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 152, 153, 0, '', 1),
(220, 'main', 'ACYM_EMAILS', 'acym-emails', '', 'com-acym/acym-emails', 'index.php?option=com_acym&ctrl=campaigns', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 154, 155, 0, '', 1),
(221, 'main', 'ACYM_TEMPLATES', 'acym-templates', '', 'com-acym/acym-templates', 'index.php?option=com_acym&ctrl=mails', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 156, 157, 0, '', 1),
(222, 'main', 'ACYM_EMAILS_OVERRIDE', 'acym-emails-override', '', 'com-acym/acym-emails-override', 'index.php?option=com_acym&ctrl=override', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 158, 159, 0, '', 1),
(223, 'main', 'ACYM_QUEUE', 'acym-queue', '', 'com-acym/acym-queue', 'index.php?option=com_acym&ctrl=queue', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 160, 161, 0, '', 1),
(224, 'main', 'ACYM_STATISTICS', 'acym-statistics', '', 'com-acym/acym-statistics', 'index.php?option=com_acym&ctrl=stats', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 162, 163, 0, '', 1),
(225, 'main', 'ACYM_ADD_ONS', 'acym-add-ons', '', 'com-acym/acym-add-ons', 'index.php?option=com_acym&ctrl=plugins', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 164, 165, 0, '', 1),
(226, 'main', 'ACYM_CONFIGURATION', 'acym-configuration', '', 'com-acym/acym-configuration', 'index.php?option=com_acym&ctrl=configuration', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 166, 167, 0, '', 1),
(227, 'main', 'ACYM_GOPRO', 'acym-gopro', '', 'com-acym/acym-gopro', 'index.php?option=com_acym&ctrl=gopro', 'component', 1, 214, 2, 10004, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 168, 169, 0, '', 1);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  `client_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu_types` (`id`, `asset_id`, `menutype`, `title`, `description`, `client_id`) VALUES
(1, 0, 'mainmenu', 'Main Menu', 'The main menu for the site', 0),
(2, 0, 'usermenu', 'User Menu', 'A Menu for logged-in Users', 0),
(3, 143, 'extra-links', 'Extra links', '', 0);

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT 0,
  `user_id_to` int(10) unsigned NOT NULL DEFAULT 0,
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `priority` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT 1,
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=131 DEFAULT CHARSET=utf8;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(2, 40, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 41, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(4, 42, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(8, 43, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 44, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 45, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(12, 46, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 47, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 48, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 49, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(79, 52, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(86, 53, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(88, 55, 'Site Information', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_stats_admin', 3, 1, '{"serverinfo":"1","siteinfo":"1","counter":"0","increase":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 1, '*'),
(89, 56, 'Release News', '', '', 0, 'postinstall', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_feed', 1, 1, '{"rssurl":"https:\\/\\/www.joomla.org\\/announcements\\/release-news.feed","rssrtl":"0","rsstitle":"1","rssdesc":"1","rssimage":"1","rssitems":"3","rssitemdesc":"1","word_count":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 1, '*'),
(94, 61, 'Latest Actions', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latestactions', 6, 1, '{}', 1, '*'),
(95, 65, 'Need Help', '', '<b>Need Help:</b> Providing Innovative and Sustainable Solutions, Call <a href="tel:+0000" title="call" class="link-primary">(002) 01061245741</a>', 1, 'topbar-left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":0,"backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(96, 66, 'Social', '', NULL, 1, 'topbar-right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:social\\",\\"social\\":{\\"jatools-layout-social\\":\\"style-1\\",\\"social-intro[font-icon]\\":[\\"fab fa-facebook\\",\\"fa fa-twitter\\",\\"fa fa-instagram\\"],\\"social-intro[title]\\":[\\"Facebook\\",\\"Twitter\\",\\"Instagram\\"],\\"social-intro[link]\\":[\\"#\\",\\"#\\",\\"#\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(97, 67, 'Head Actions', '', '<a href="index.php?Itemid=127" title="Request A Quote" class="btn btn-outline-primary">\r\n  <span class="d-none d-hd-block">Request A Quote</span>\r\n  <span class="d-block d-hd-none"><i class="fas fa-ticket-alt"></i></span>\r\n</a>', 1, 'head-cta', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":0,"backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(98, 72, 'Masthead', '', NULL, 1, 'masthead', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jamasthead', 1, 1, '{"default-title":"JA Alpha","default-description":"","menuitem_config":{"item_id":{"0":["109"],"1":["110","131","132","133","134","129","130"],"2":["128"],"4":["127"]},"title":{"0":"What we offer","1":"Our Portfolio","2":"Business News & Tips","4":"Get In Touch"},"description":{"0":"","1":"","2":"","4":""},"background":{"0":"","1":"","2":"","4":""}},"layout":"_:default","moduleclass_sfx":"","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(99, 73, 'Breadcrumbs', '', NULL, 1, 'breadcrumbs', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 1, '{"showHere":0,"showHome":1,"homeText":"","showLast":1,"separator":"","layout":"_:default","moduleclass_sfx":"","cache":0,"cache_time":0,"cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(100, 74, 'Offcanvas', '', NULL, 1, 'off-canvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","base":"","startLevel":1,"endLevel":0,"showAllChildren":1,"tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(101, 92, 'Categories', '', NULL, 1, 'sidebar-r', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 1, '{"parent":8,"show_description":0,"numitems":0,"show_children":0,"count":0,"maxlevel":0,"layout":"_:default","item_heading":"4","moduleclass_sfx":" mod-light","owncache":1,"cache_time":900,"module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(102, 93, 'Login', '', NULL, 3, 'sidebar-r', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"","logout":"","greeting":1,"name":0,"profilelink":0,"usesecure":0,"usetext":0,"layout":"_:default","moduleclass_sfx":"","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(103, 94, 'Latest Articles', '', NULL, 4, 'sidebar-r', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_latest', 1, 1, '{"catid":[8,9,10,11,12],"count":5,"show_featured":"","ordering":"p_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0","show-link":"1","title-category":"","link-category":"101"}', 0, '*'),
(104, 95, 'Banners', '', NULL, 2, 'sidebar-r', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_banners', 1, 0, '{"target":1,"count":5,"cid":0,"catid":[3],"tag_search":0,"ordering":"0","header_text":"","footer_text":"","layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(105, 110, 'Portfolio Categories', '', NULL, 1, 'main-top-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 1, '{"parent":13,"show_description":0,"numitems":0,"show_children":0,"count":0,"maxlevel":0,"layout":"ja_alpha:portfolio","item_heading":"4","moduleclass_sfx":"","owncache":1,"cache_time":900,"module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","sub-align":"left"}', 0, '*'),
(106, 112, 'Case Studies', '', NULL, 1, 'main-bottom-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":1,"count":4,"show_front":"show","category_filtering_type":1,"catid":[14],"show_child_category_articles":1,"levels":1,"author_filtering_type":1,"author_alias_filtering_type":1,"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":30,"article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","date_grouping_field":"created","month_year_format":"F Y","article_grouping_direction":"ksort","link_titles":1,"show_date":0,"show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":1,"show_hits":0,"show_author":0,"show_tags":0,"show_introtext":1,"introtext_limit":100,"show_readmore":0,"show_readmore_title":1,"readmore_limit":15,"layout":"ja_alpha:slide","moduleclass_sfx":"","owncache":1,"cache_time":900,"module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"Other Projects","sub-color":"normal","title-space":"0","top-info":"","bottom-info":""}', 0, '*'),
(107, 119, 'Clients', 'Services', NULL, 1, 'section-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:clients\\",\\"clients\\":{\\"jatools-layout-clients\\":\\"style-1\\",\\"clients[client-desc]\\":[\\"Trusted by over ((span class=\'text-primary\'))389,000((\\/span)) businesses of all sizes\\"],\\"clients[columns]\\":[\\"6\\"],\\"clients[img-opacity]\\":[\\"50\\"],\\"clients[client-item]\\":{\\"clients[client-item][client-logo]\\":[\\"images\\/joomlart\\/clients\\/item-1.png\\",\\"images\\/joomlart\\/clients\\/item-2.png\\",\\"images\\/joomlart\\/clients\\/item-3.png\\",\\"images\\/joomlart\\/clients\\/item-4.png\\",\\"images\\/joomlart\\/clients\\/item-5.png\\",\\"images\\/joomlart\\/clients\\/item-6.png\\"],\\"clients[client-item][client-name]\\":[\\"Item\\",\\"Item\\",\\"Item\\",\\"Item\\",\\"Item\\",\\"Item\\"],\\"clients[client-item][client-link]\\":[\\"#\\",\\"#\\",\\"#\\",\\"#\\",\\"#\\",\\"#\\"],\\"rows\\":6,\\"cols\\":4,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(108, 120, 'Discover our most popular services', 'Services', NULL, 1, 'section-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-1\\",\\"features-intro[title]\\":[\\"Business Planning, Strategy & Execution\\"],\\"features-intro[description]\\":[\\"((p))In order for any business to succeed they need to have the right planning, the right strategy, and the right execution of these things.((\\/p))\\\\n\\\\n((ul))\\\\n\\\\t((li))Donec non enim in turpis pulvinar facilisis.((\\/li))\\\\n\\\\t((li))Aenean ultricies mi vitae est.((\\/li))\\\\n\\\\t((li))Mauris placerat eleifend leo.((\\/li))\\\\n\\\\t((li))Aenean fermentum, elit eget tincidunt condimentum.((\\/li))\\\\n((\\/ul))\\"],\\"features-intro[align]\\":[\\"1\\"],\\"features-intro[img-features]\\":[\\"images\\/joomlart\\/others\\/feature-1.jpg\\"],\\"features-intro[btn-title]\\":[\\"View more\\"],\\"features-intro[btn-link]\\":[\\"#\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"Most have theme","sub-color":"normal","sub-align":"left"}', 0, '*'),
(109, 121, 'Clients', 'Services', NULL, 1, 'section-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 0, '{"jatools-config":"{\\":type\\":\\"ja_alpha:statistics\\",\\"statistics\\":{\\"jatools-layout-statistics\\":\\"style-1\\",\\"statistics[data-style-1]\\":{\\"statistics[data-style-1][stats-count]\\":[\\"630+\\",\\"17x\\",\\"150%\\",\\"245\\"],\\"statistics[data-style-1][stats-name]\\":[\\"Completed operations programs\\",\\"Refund if no commitment reached\\",\\"Average gross return multiple\\",\\"Advanced Portfolio with Case Studies\\"],\\"rows\\":4,\\"cols\\":3,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","sub-align":"left"}', 0, '*'),
(110, 122, 'Check below the most popular services', 'Services', NULL, 1, 'section-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-2\\",\\"features-intro[columns]\\":[\\"4\\"],\\"features-intro[font-icon]\\":[\\"\\",\\"\\",\\"\\",\\"\\",\\"\\",\\"\\",\\"\\",\\"\\"],\\"features-intro[img-icon]\\":[\\"images\\/joomlart\\/icon\\/item-1.png\\",\\"images\\/joomlart\\/icon\\/item-2.png\\",\\"images\\/joomlart\\/icon\\/item-3.png\\",\\"images\\/joomlart\\/icon\\/item-4.png\\",\\"images\\/joomlart\\/icon\\/item-5.png\\",\\"images\\/joomlart\\/icon\\/item-6.png\\",\\"images\\/joomlart\\/icon\\/item-7.png\\",\\"images\\/joomlart\\/icon\\/item-8.png\\"],\\"features-intro[title]\\":[\\"Financial Services\\",\\"Strategic planning\\",\\"Audit & Assurance        \\",\\"Financial Services\\",\\"Strategic planning\\",\\"Audit & Assurance\\",\\"Audit & Assurance\\",\\"Financial Services\\"],\\"features-intro[description]\\":[\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\"],\\"features-intro[link]\\":[\\"index.php\\/services\\/financial-services\\",\\"index.php\\/services\\/strategic-planning\\",\\"index.php\\/services\\/audit-assurance\\",\\"index.php\\/services\\/trades-stocks           \\",\\"index.php\\/services\\/trades-stocks           \\",\\"index.php\\/services\\/audit-assurance\\",\\"index.php\\/services\\/strategic-planning\\",\\"index.php\\/services\\/financial-services\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"Most have theme","sub-color":"normal","sub-align":"left"}', 0, '*'),
(111, 123, 'CTA', 'Services', NULL, 1, 'section-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:cta\\",\\"cta\\":{\\"jatools-layout-cta\\":\\"style-1\\",\\"parallax[cta-title]\\":[\\"How can we help you?\\"],\\"parallax[cta-desc]\\":[\\"Contact us at the Consulting WP office nearest to you or submit a business inquiry online.\\"],\\"parallax[btn-link]\\":[\\"#\\"],\\"parallax[btn-title]\\":[\\"Contact Us!\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","sub-align":"left"}', 0, '*'),
(112, 124, 'Menu Features', 'Megamenu', NULL, 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-3\\",\\"features-intro[ft-link]\\":[\\"index.php\\/services\\"],\\"features-intro[ft-title]\\":[\\"See All services\\"],\\"features-intro[font-icon]\\":[\\"\\",\\"\\",\\"\\",\\"\\"],\\"features-intro[img-icon]\\":[\\"images\\/joomlart\\/icon\\/item-1.png\\",\\"images\\/joomlart\\/icon\\/item-2.png\\",\\"images\\/joomlart\\/icon\\/item-3.png\\",\\"images\\/joomlart\\/icon\\/item-4.png\\"],\\"features-intro[title]\\":[\\"Financial Services\\",\\"Strategic planning\\",\\"Audit & Assurance        \\",\\"Trades & Stocks\\"],\\"features-intro[description]\\":[\\"Pellentesque habitant morbi\\",\\"Nunc quam arcpretim quis lobortis\\",\\"Aenean fermentum elit eget\\",\\"Vestibulum erat wisi condimentum\\"],\\"features-intro[link]\\":[\\"135\\",\\"136\\",\\"137\\",\\"138\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(113, 127, 'Our Services', 'Services', NULL, 1, 'sidebar-r', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","base":109,"startLevel":2,"endLevel":0,"showAllChildren":1,"tag_id":"","class_sfx":"  ","window_open":"","layout":"_:default","moduleclass_sfx":" mod-light","cache":1,"cache_time":900,"cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","sub-align":"left"}', 0, '*'),
(114, 131, 'Head Search', '', NULL, 1, 'head-search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 1, '{"label":"","width":"","text":"","button":0,"button_pos":"left","imagebutton":0,"button_text":"","opensearch":1,"opensearch_title":"","set_itemid":0,"layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","sub-align":"left"}', 0, '*'),
(115, 132, 'Hero', 'Home', NULL, 1, 'hero', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:hero\\",\\"hero\\":{\\"jatools-layout-hero\\":\\"style-1\\",\\"hero-intro[ft-bg]\\":[\\"images\\/joomlart\\/others\\/hero.jpg\\"],\\"hero-intro[sub-title]\\":[\\"World\\u2019s leading consulting services\\"],\\"hero-intro[ft-title]\\":[\\"We focus on our clients\' most critical issues & opportunities\\"],\\"hero-intro[description]\\":[\\"Rapidly and confidently reinvent your business to increase resilience, mitigate risk and return to sustainable growth.\\"],\\"hero-intro[id-video]\\":[\\"K_JQid_Vnrw\\"],\\"hero-intro[title-video]\\":[\\"Our Video!\\"],\\"hero-intro[ft-btn-link]\\":[\\"index.php?Itemid=109\\"],\\"hero-intro[ft-btn-title]\\":[\\"View Our Services\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(116, 133, 'Features', 'Home', NULL, 1, 'section-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-2\\",\\"features-intro[columns]\\":[\\"4\\"],\\"features-intro[more-info]\\":[\\"Trusted By The World\\u2019s ((a href=\'#\' title=\'\'))Best Organizations((\\/a))\\"],\\"features-intro[font-icon]\\":[\\"\\",\\"\\",\\"\\",\\"\\"],\\"features-intro[img-icon]\\":[\\"images\\/joomlart\\/icon\\/item-1.png\\",\\"images\\/joomlart\\/icon\\/item-2.png\\",\\"images\\/joomlart\\/icon\\/item-3.png\\",\\"images\\/joomlart\\/icon\\/item-4.png\\"],\\"features-intro[title]\\":[\\"Financial Services\\",\\"Strategic planning\\",\\"Audit & Assurance        \\",\\"Financial Services\\"],\\"features-intro[description]\\":[\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\",\\"Nunc quam arcpretim quis lobortis sem consequat cons newtetur diam ...\\"],\\"features-intro[link]\\":[\\"index.php\\/services\\/financial-services\\",\\"index.php\\/services\\/strategic-planning\\",\\"index.php\\/services\\/audit-assurance\\",\\"index.php\\/services\\/trades-stocks           \\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"Most have theme","sub-color":"normal","title-space":"0"}', 0, '*'),
(117, 134, 'Meet Consulting', '', NULL, 1, 'section-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-4\\",\\"features-intro[columns]\\":[\\"3\\"],\\"features-intro[block-intro]\\":[\\"Innovative and Sustainable Solutions, ((a href=\'index.php?Itemid=109\' title=\'\' class=\'link-dark\'))Find Your Solution ((i class=\'fas fa-arrow-right\'))((\\/i))((\\/a))\\"],\\"features-intro[btn-link-title]\\":[\\"Our Mission and Vision\\"],\\"features-intro[btn-link]\\":[\\"index.php?Itemid=109\\"],\\"features-intro[data]\\":{\\"features-intro[data][title]\\":[\\"Energy and Environment\\\\nConsulting\\",\\"Surface Transport &\\\\nLogistics Consulting\\",\\"Business Services\\\\nConsulting\\",\\"Business Services\\\\nConsulting\\"],\\"features-intro[data][description]\\":[\\"((p))Companies dislike the term \\u2018turnaround consulting\\u2019 because it represents.((\\/p))\\\\n((ul class=\'features-list\'))\\\\n\\\\t((li))Donec non enim in turpis.((\\/li))\\\\n\\\\t((li))Aenean ultricies mi vitae est.((\\/li))\\\\n\\\\t((li))Mauris placerat eleifend leo.((\\/li))\\\\n((\\/ul))\\",\\"((p))Maecenas tempus tellus eget condimentum rhoncus sem quam semper.((\\/p))\\\\n((ul class=\'features-list\'))\\\\n\\\\t((li))Cum sociis natoque penatibus.((\\/li))\\\\n\\\\t((li))Aenean leo ligula.((\\/li))\\\\n\\\\t((li))Phasellus viverra nulla.((\\/li))\\\\n((\\/ul))\\",\\"((p))Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante.((\\/p))\\\\n((ul class=\'features-list\'))\\\\n\\\\t((li))Fusce vulputate eleifend .((\\/li))\\\\n\\\\t((li))Nullam accumsan lorem.((\\/li))\\\\n\\\\t((li))Cras ultricies mi eu turpis hen.((\\/li))\\\\n((\\/ul))\\",\\"((p))Companies dislike the term \\u2018turnaround consulting\\u2019 because it represents.((\\/p))\\\\n((ul class=\'features-list\'))\\\\n\\\\t((li))Donec non enim in turpis.((\\/li))\\\\n\\\\t((li))Aenean ultricies mi vitae est.((\\/li))\\\\n\\\\t((li))Mauris placerat eleifend leo.((\\/li))\\\\n((\\/ul))\\"],\\"features-intro[data][link]\\":[\\"index.php?Itemid=110\\",\\"index.php?Itemid=110\\",\\"index.php?Itemid=110\\",\\"index.php?Itemid=110\\"],\\"features-intro[data][link-title]\\":[\\"View More\\",\\"View More\\",\\"View More\\",\\"View More\\"],\\"rows\\":4,\\"cols\\":5,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"For over 30 years, Alpha has been developing solutions that have its identity in the projects it built.","sub-color":"normal","sub-align":"left"}', 0, '*'),
(118, 135, 'Clients', 'Home', NULL, 1, 'section-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:clients\\",\\"clients\\":{\\"jatools-layout-clients\\":\\"style-1\\",\\"clients[client-desc]\\":[\\"\\"],\\"clients[columns]\\":[\\"6\\"],\\"clients[img-opacity]\\":[\\"50\\"],\\"clients[client-item]\\":{\\"clients[client-item][client-logo]\\":[\\"images\\/joomlart\\/clients\\/item-1.png\\",\\"images\\/joomlart\\/clients\\/item-2.png\\",\\"images\\/joomlart\\/clients\\/item-3.png\\",\\"images\\/joomlart\\/clients\\/item-4.png\\",\\"images\\/joomlart\\/clients\\/item-5.png\\",\\"images\\/joomlart\\/clients\\/item-6.png\\"],\\"clients[client-item][client-name]\\":[\\"\\",\\"\\",\\"\\",\\"\\",\\"\\",\\"\\"],\\"clients[client-item][client-link]\\":[\\"\\",\\"\\",\\"\\",\\"\\",\\"\\",\\"\\"],\\"rows\\":6,\\"cols\\":4,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","sub-align":"left"}', 0, '*'),
(119, 136, 'Client’s story', 'Home', NULL, 1, 'section-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-5\\",\\"features-intro[description]\\":[\\"Dynamically reinvent market-driven opportunities and ubiquitous interfaces. Energistically fabricate an expanded array of niche markets through.\\"],\\"features-intro[img-features]\\":[\\"images\\/joomlart\\/others\\/hero.jpg\\"],\\"features-intro[btn-title]\\":[\\"View More\\"],\\"features-intro[btn-link]\\":[\\"#\\"],\\"features-intro[data]\\":{\\"features-intro[data][ft-num]\\":[\\"389k((sup))+((\\/sup))\\",\\"55((sup))+((\\/sup))\\"],\\"features-intro[data][ft-title]\\":[\\"Satisfied Clients\\",\\"Loyal Employees\\"],\\"features-intro[data][ft-description]\\":[\\"with applied services.\\",\\"various competitions.\\"],\\"rows\\":2,\\"cols\\":4,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"white","sub-heading":"Doing the right thing,\\r\\nat the right time.","sub-color":"white","title-space":"0"}', 0, '*'),
(120, 137, 'Latest Case Studies', '', NULL, 1, 'section-6', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":1,"count":4,"show_front":"show","category_filtering_type":1,"catid":[14],"show_child_category_articles":1,"levels":1,"author_filtering_type":1,"author_alias_filtering_type":1,"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":30,"article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","date_grouping_field":"created","month_year_format":"F Y","article_grouping_direction":"ksort","link_titles":1,"show_date":0,"show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":1,"show_hits":0,"show_author":0,"show_tags":0,"show_introtext":1,"introtext_limit":100,"show_readmore":0,"show_readmore_title":1,"readmore_limit":15,"layout":"ja_alpha:slide","moduleclass_sfx":"","owncache":1,"cache_time":900,"module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"We provide solutions to big & small organizations","sub-color":"normal","title-space":"1","top-info":"<p class=\'lead\'>We counsel our clients on their key strategic issues, leveraging our deep industry expertise and using analytical rigor to help them make informed decisions more quickly.<\\/p>\\r\\n\\r\\n<div class=\\"btn-group\\">\\r\\n<a href=\\"#\\" class=\\"btn btn-outline-primary\\" title=\\"Our Pricing\\">Our Pricing<\\/a>\\r\\n<a href=\\"#\\" class=\\"btn btn-link\\" title=\\"Request demo\\">Request demo<\\/a>\\r\\n<\\/div>","bottom-info":"Working hard to earn our customers\\u2019 trust.  <a href=\\"index.php?Itemid=109\\" title=\\"\\" class=\\"link-dark\\">Get Started! <i class=\\"fas fa-arrow-right\\"><\\/i><\\/a>"}', 0, '*'),
(121, 138, 'Why choose Us', 'Home', NULL, 1, 'section-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:hero\\",\\"hero\\":{\\"jatools-layout-hero\\":\\"style-2\\",\\"hero-intro[ft-bg]\\":[\\"images\\/joomlart\\/others\\/hero-2.jpg\\"],\\"hero-intro[description]\\":[\\"((p))We counsel our clients on their key strategic issues, leveraging our deep industry expertise and using analytical rigor to help them make informed decisions more quickly and solve their toughest and most critical business problems. ((\\/p))\\\\n\\\\n((ul class=\'features-list\'))\\\\n\\\\t\\\\t\\\\t((li))Different Demos with Real Content((\\/li))\\\\n\\\\t\\\\t\\\\t((li))Advanced Portfolio with Case Studies((\\/li))\\\\n\\\\t\\\\t\\\\t((li))24\\/7 Support with Live Chat((\\/li))\\\\n\\\\t\\\\t((\\/ul))\\"],\\"hero-intro[id-video]\\":[\\"m7j8SzkxCbI\\"],\\"hero-intro[ft-reviews]\\":[\\"((span))99.9% Customer Satisfaction((\\/span)) based on 750+ reviews and 20,000 Objective Resource\\"],\\"hero-intro[ft-cta-sub]\\":[\\"(629) 555-0129\\"],\\"hero-intro[ft-cta-title]\\":[\\"Have any question feel free to contact with our team\\"],\\"hero-intro[ft-btn-link]\\":[\\"tel:(629)555-0129\\"],\\"hero-intro[ft-btn-title]\\":[\\"Free Estimate\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"white","sub-heading":"Best of business planning advisors & specialists","sub-color":"white","title-space":"1"}', 0, '*'),
(122, 139, 'Testimonials', '', NULL, 1, 'section-8', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:testimonials\\",\\"testimonials\\":{\\"jatools-layout-testimonials\\":\\"style-1\\",\\"testimonial-intro[t-intro]\\":[\\"images\\/joomlart\\/others\\/testimonials.png\\"],\\"testimonial-intro[data]\\":{\\"testimonial-intro[data][desc]\\":[\\"There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of lorem Ipsum.\\",\\"There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of lorem Ipsum.\\",\\"There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of lorem Ipsum.\\"],\\"testimonial-intro[data][author]\\":[\\"Darlene Robertson\\",\\"Darlene Robertson\\",\\"Darlene Robertson\\"],\\"testimonial-intro[data][t-position]\\":[\\"CEO Square\\",\\"CEO Square\\",\\"CEO Square\\"],\\"rows\\":3,\\"cols\\":4,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"30 years of experience in consulting service","sub-color":"normal","title-space":"0"}', 0, '*'),
(123, 142, 'CTA Footer', '', NULL, 1, 'section-9', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:cta\\",\\"cta\\":{\\"jatools-layout-cta\\":\\"style-2\\",\\"parallax[cta-logo]\\":[\\"images\\/joomlart\\/logo\\/logo-light.png\\"],\\"parallax[btn-link]\\":[\\"index.php?Itemid=127\\"],\\"parallax[btn-title]\\":[\\"Get Free Quote\\"],\\"parallax[font-icon]\\":[\\"fa fa-facebook\\",\\"fa fa-twitter\\",\\"fa fa-instagram\\"],\\"parallax[title]\\":[\\"Facebook\\",\\"Twitter\\",\\"Instagram\\"],\\"parallax[link]\\":[\\"#\\",\\"#\\",\\"#\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(124, 144, 'Extra links', '', NULL, 1, 'footer-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"extra-links","base":"","startLevel":1,"endLevel":0,"showAllChildren":1,"tag_id":"","class_sfx":" cols-2","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(125, 145, 'Latest Update', '', NULL, 1, 'footer-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_latest', 1, 1, '{"catid":[8,9,10,11,12],"count":3,"show_featured":"","ordering":"p_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0","show-link":"1","title-category":"","link-category":"139"}', 0, '*'),
(126, 147, 'Newsletter', '', '', 1, 'footer-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_acym', 1, 1, '{"mode":"inline","listposition":"before","textmode":"1","subtext":"","subtextlogged":"","termscontent":"0","privacypolicy":"0","articlepopup":"1","unsub":"0","unsubtext":"","successmode":"replace","unsubredirect":"","redirect":"","introtext":"Here are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form","posttext":"","userinfo":"1","alignment":"none","source":"","moduleclass_sfx":"","formclass":"","includejs":"header","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"white","sub-heading":"Get the latest news about Alpha","sub-color":"normal","title-space":"1"}', 0, '*'),
(127, 148, 'Contact Footer', '', NULL, 1, 'footer-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 0, '{"jatools-config":"{\\":type\\":\\"ja_alpha:contact-info\\",\\"contact-info\\":{\\"jatools-layout-contact-info\\":\\"style-1\\",\\"social-intro[ct-label]\\":[\\"Addess:\\",\\"Phone:\\",\\"Email:\\"],\\"social-intro[title]\\":[\\"4517 Washington Ave. Manchester, Kentucky 39495\\",\\"(239) 555-0108\\",\\"info@alpha.com\\"],\\"social-intro[link]\\":[\\"#\\",\\"tel:(239)555-0108\\",\\"mailto:info@alpha.com\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(128, 149, 'Copyright', '', NULL, 1, 'copyright', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_footer', 1, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*'),
(129, 180, 'Case Studies', 'Services Detail', NULL, 1, 'main-bottom-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":1,"count":4,"show_front":"show","category_filtering_type":1,"catid":[14],"show_child_category_articles":1,"levels":1,"author_filtering_type":1,"author_alias_filtering_type":1,"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":30,"article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","date_grouping_field":"created","month_year_format":"F Y","article_grouping_direction":"ksort","link_titles":1,"show_date":0,"show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":1,"show_hits":0,"show_author":0,"show_tags":0,"show_introtext":1,"introtext_limit":100,"show_readmore":0,"show_readmore_title":1,"readmore_limit":15,"layout":"ja_alpha:slide","moduleclass_sfx":"","owncache":1,"cache_time":900,"module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"Recent Projects","sub-color":"normal","title-space":"0","top-info":"","bottom-info":""}', 0, '*'),
(130, 181, 'CTA', 'Services Detail', NULL, 1, 'main-bottom-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_alpha:cta\\",\\"cta\\":{\\"jatools-layout-cta\\":\\"style-1\\",\\"parallax[cta-title]\\":[\\"How can we help you?\\"],\\"parallax[cta-desc]\\":[\\"Contact us at the Consulting WP office nearest to you or submit a business inquiry online.\\"],\\"parallax[btn-link]\\":[\\"index.php?Itemid=127\\"],\\"parallax[btn-title]\\":[\\"Talk to our experts!!\\"]}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","title-color":"normal","sub-heading":"","sub-color":"normal","title-space":"0"}', 0, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT 0,
  `menuid` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(79, 0),
(86, 0),
(88, 0),
(89, 0),
(94, 0),
(95, 0),
(96, 0),
(97, 0),
(98, -101),
(99, 0),
(100, 0),
(101, 128),
(102, 124),
(102, 128),
(103, 124),
(103, 128),
(104, 101),
(104, 102),
(104, 104),
(104, 106),
(104, 107),
(104, 109),
(104, 110),
(104, 123),
(104, 124),
(104, 125),
(104, 126),
(104, 128),
(104, 129),
(104, 130),
(104, 131),
(104, 132),
(104, 133),
(104, 134),
(104, 135),
(104, 136),
(104, 137),
(104, 138),
(105, 110),
(105, 129),
(105, 130),
(105, 131),
(105, 132),
(105, 133),
(105, 134),
(106, 129),
(106, 130),
(106, 131),
(106, 132),
(106, 133),
(106, 134),
(107, 109),
(108, 109),
(109, 109),
(110, 109),
(111, 109),
(112, 109),
(113, 135),
(113, 136),
(113, 137),
(113, 138),
(114, 0),
(115, 101),
(116, 101),
(117, 101),
(118, 101),
(119, 101),
(120, 101),
(121, 101),
(122, 101),
(123, 0),
(124, 0),
(125, 0),
(126, 0),
(127, 0),
(128, 0),
(129, 135),
(129, 136),
(129, 137),
(129, 138),
(130, 135),
(130, 136),
(130, 137),
(130, 138);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT 0,
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `link` varchar(2048) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `numarticles` int(10) unsigned NOT NULL DEFAULT 1,
  `cache_time` int(10) unsigned NOT NULL DEFAULT 3600,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rtl` tinyint(4) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__postinstall_messages`;
CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT 700 COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT 1,
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT 1,
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 1),
(2, 700, 'COM_CPANEL_WELCOME_BEGINNERS_TITLE', 'COM_CPANEL_WELCOME_BEGINNERS_MESSAGE', '', 'com_cpanel', 1, 'message', '', '', '', '', '3.2.0', 1),
(3, 700, 'COM_CPANEL_MSG_STATS_COLLECTION_TITLE', 'COM_CPANEL_MSG_STATS_COLLECTION_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/statscollection.php', 'admin_postinstall_statscollection_condition', '3.5.0', 1),
(4, 700, 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_BODY', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_ACTION', 'plg_system_updatenotification', 1, 'action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_condition', '3.6.3', 1),
(5, 700, 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_TITLE', 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/joomla40checks.php', 'admin_postinstall_joomla40checks_condition', '3.7.0', 1),
(6, 700, 'TPL_HATHOR_MESSAGE_POSTINSTALL_TITLE', 'TPL_HATHOR_MESSAGE_POSTINSTALL_BODY', 'TPL_HATHOR_MESSAGE_POSTINSTALL_ACTION', 'tpl_hathor', 1, 'action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_condition', '3.7.0', 1),
(7, 700, 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_TITLE', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_BODY', 'PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_ACTION', 'plg_captcha_recaptcha', 1, 'action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_action', 'site://plugins/captcha/recaptcha/postinstall/actions.php', 'recaptcha_postinstall_condition', '3.8.6', 1),
(8, 700, 'COM_ACTIONLOGS_POSTINSTALL_TITLE', 'COM_ACTIONLOGS_POSTINSTALL_BODY', '', 'com_actionlogs', 1, 'message', '', '', '', '', '3.9.0', 1),
(9, 700, 'COM_PRIVACY_POSTINSTALL_TITLE', 'COM_PRIVACY_POSTINSTALL_BODY', '', 'com_privacy', 1, 'message', '', '', '', '', '3.9.0', 1),
(10, 700, 'COM_ADMIN_POSTINSTALL_MSG_HTACCESS_AUTOINDEX_TITLE', 'COM_ADMIN_POSTINSTALL_MSG_HTACCESS_AUTOINDEX_DESCRIPTION', '', 'com_admin', 1, 'message', '', '', NULL, NULL, '3.9.22', 1),
(11, 700, 'COM_ADMIN_POSTINSTALL_MSG_BEHIND_LOAD_BALANCER_TITLE', 'COM_ADMIN_POSTINSTALL_MSG_BEHIND_LOAD_BALANCER_DESCRIPTION', 'COM_ADMIN_POSTINSTALL_MSG_BEHIND_LOAD_BALANCER_ACTION', 'com_admin', 1, 'action', 'admin://components/com_admin/postinstall/behindproxy.php', 'behindproxy_postinstall_action', 'admin://components/com_admin/postinstall/behindproxy.php', 'admin_postinstall_behindproxy_condition', '3.9.26', 1),
(12, 700, 'COM_ADMIN_POSTINSTALL_MSG_FLOC_BLOCKER_TITLE', 'COM_ADMIN_POSTINSTALL_MSG_FLOC_BLOCKER_DESCRIPTION', '', 'com_admin', 1, 'message', '', '', NULL, NULL, '3.9.27', 1);

DROP TABLE IF EXISTS `#__privacy_consents`;
CREATE TABLE `#__privacy_consents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `state` int(10) NOT NULL DEFAULT 1,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `remind` tinyint(4) NOT NULL DEFAULT 0,
  `token` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__privacy_requests`;
CREATE TABLE `#__privacy_requests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(100) NOT NULL DEFAULT '',
  `requested_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `request_type` varchar(25) NOT NULL DEFAULT '',
  `confirm_token` varchar(100) NOT NULL DEFAULT '',
  `confirm_token_created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '3.9.27-2021-04-20');

DROP TABLE IF EXISTS `#__tags`;
CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `level` int(10) unsigned NOT NULL DEFAULT 0,
  `path` varchar(400) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 11, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 0, '2021-07-09 07:35:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 1, 1, 2, 1, 'joomla', 'Joomla', 'joomla', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info","image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', '', '{"author":"","robots":""}', 42, '2021-07-09 07:35:35', '', 0, '0000-00-00 00:00:00', '', '', 16, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 1, 3, 4, 1, 'alpha', 'alpha', 'alpha', '', '', 1, 0, '2020-09-25 08:23:19', 1, '{}', '', '', '{}', 42, '2021-07-09 07:35:35', '', 0, '2021-07-09 07:35:35', '{}', '{}', 1, '*', 1, '2021-07-09 07:35:35', '2021-07-09 07:35:35'),
(4, 1, 5, 6, 1, 'news', 'news', 'news', '', '', 1, 0, '2020-09-25 08:23:19', 1, '{}', '', '', '{}', 42, '2021-07-09 07:35:35', '', 0, '2021-07-09 07:35:35', '{}', '{}', 11, '*', 1, '2021-07-09 07:35:35', '2021-07-09 07:35:35'),
(5, 1, 7, 8, 1, 't4-framework', 't4 framework', 't4-framework', '', '', 1, 0, '2020-09-25 08:23:19', 1, '{}', '', '', '{}', 42, '2021-07-09 07:35:35', '', 0, '2021-07-09 07:35:35', '{}', '{}', 0, '*', 1, '2021-07-09 07:35:35', '2021-07-09 07:35:35'),
(6, 1, 9, 10, 1, 'joomlart', 'joomlart', 'joomlart', '', '', 1, 0, '2020-09-25 08:23:19', 1, '{}', '', '', '{}', 42, '2021-07-09 07:35:35', '', 0, '2021-07-09 07:35:35', '{}', '{}', 0, '*', 1, '2021-07-09 07:35:35', '2021-07-09 07:35:35');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_client_id` (`client_id`),
  KEY `idx_client_id_home` (`client_id`,`home`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(4, 'beez3', 0, '0', 'Beez3 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.png","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(7, 'protostar', 0, '0', 'protostar - Default', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
(8, 'isis', 1, '1', 'isis - Default', '{"templateColor":"","logoFile":""}'),
(9, 'ja_alpha', 0, '1', 'ja_alpha - Default', '{"tplhelper":"{}","typelist-site":"default","typelist-navigation":"default","typelist-theme":"default","typelist-layout":"default-sidebar","sub-layout":"","system_optimizecss_exclude":"","system_optimizejs_exclude":"","system_advancedCodeAfterHead":"","system_advancedCodeBeforeHead":"","system_advancedCodeAfterBody":"","system_advancedCodeBeforeBody":"","system_addons":["font.awesome5","font.awesome4","font.iconmoon","js.ekko-lightbox","js.html5lightbox","js.owlcarousel","js.isotope"]}'),
(10, 'ja_alpha', 0, '0', 'ja_alpha - Default No Sidebar', '{"tplhelper":"{}","typelist-site":"default","typelist-navigation":"default","typelist-theme":"default","typelist-layout":"default","sub-layout":"","system_optimizecss_exclude":"","system_optimizejs_exclude":"","system_advancedCodeAfterHead":"","system_advancedCodeBeforeHead":"","system_advancedCodeAfterBody":"","system_advancedCodeBeforeBody":"","system_addons":["font.awesome5","font.awesome4","font.iconmoon","Owl Carousel","font.ionicons","js.ekko-lightbox","js.html5lightbox"]}'),
(11, 'ja_alpha', 0, '0', 'ja_alpha - Services', '{"tplhelper":"{}","typelist-site":"default","typelist-navigation":"default","typelist-theme":"default","typelist-layout":"services","sub-layout":"default-sidebar","system_optimizecss_exclude":"","system_optimizejs_exclude":"","system_advancedCodeAfterHead":"","system_advancedCodeBeforeHead":"","system_advancedCodeAfterBody":"","system_advancedCodeBeforeBody":"","system_addons":["font.awesome5","font.awesome4","font.iconmoon","js.ekko-lightbox","js.html5lightbox","js.owlcarousel"]}'),
(12, 'ja_alpha', 0, '0', 'ja_alpha - Home', '{"tplhelper":"{}","typelist-site":"default","typelist-navigation":"default","typelist-theme":"default","typelist-layout":"home","sub-layout":"default-sidebar","system_optimizecss_exclude":"","system_optimizejs_exclude":"","system_advancedCodeAfterHead":"","system_advancedCodeBeforeHead":"","system_advancedCodeAfterBody":"","system_advancedCodeBeforeBody":"","system_addons":["font.awesome5","font.awesome4","font.iconmoon","js.ekko-lightbox","js.html5lightbox","js.owlcarousel","js.isotope"]}'),
(13, 'ja_alpha', 0, '0', 'ja_alpha - Subpage Sidebar', '{"tplhelper":"{}","typelist-site":"default","typelist-navigation":"default","typelist-theme":"default","typelist-layout":"default","sub-layout":"default-sidebar","system_optimizecss_exclude":"","system_optimizejs_exclude":"","system_advancedCodeAfterHead":"","system_advancedCodeBeforeHead":"","system_advancedCodeAfterBody":"","system_advancedCodeBeforeBody":"","system_addons":["font.awesome5","font.awesome4","font.iconmoon","Owl Carousel","font.ionicons","js.ekko-lightbox","js.html5lightbox"]}');

DROP TABLE IF EXISTS `#__ucm_base`;
CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_base` (`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`) VALUES
(1, 1, 1, 0),
(2, 16, 1, 0),
(3, 17, 1, 0),
(4, 14, 1, 0),
(5, 9, 1, 0),
(6, 6, 1, 0),
(7, 11, 1, 0);

DROP TABLE IF EXISTS `#__ucm_content`;
CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(400) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(400) NOT NULL DEFAULT '',
  `core_alias` varchar(400) binary NOT NULL DEFAULT '',
  `core_body` mediumtext DEFAULT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT 0,
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `core_access` int(10) unsigned NOT NULL DEFAULT 0,
  `core_params` text DEFAULT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT 0,
  `core_metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL DEFAULT '',
  `core_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_content_item_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `core_images` text DEFAULT NULL,
  `core_urls` text DEFAULT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT 0,
  `core_version` int(10) unsigned NOT NULL DEFAULT 1,
  `core_ordering` int(11) NOT NULL DEFAULT 0,
  `core_metakey` text DEFAULT NULL,
  `core_metadesc` text DEFAULT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT 0,
  `core_xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`(100)),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`(100)),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`(100)),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 COMMENT='Contains core content data in name spaced fields' DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_content` (`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`) VALUES
(1, 'com_content.article', 'Getting Started', 'getting-started', '<p>It\'s easy to get started creating your website. Knowing some of the basics will help.</p><h3>What is a Content Management System?</h3><p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.</p><p>In this site, the content is stored in a <em>database</em>. The look and feel are created by a <em>template</em>. Joomla! brings together the template and your content to create web pages.</p><h3>Logging in</h3><p>To login to your site use the user name and password that were created as part of the installation process. Once logged-in you will be able to create and edit articles and modify some settings.</p><h3>Creating an article</h3><p>Once you are logged-in, a new menu will be visible. To create a new article, click on the "Submit Article" link on that menu.</p><p>The new article interface gives you a lot of options, but all you need to do is add a title and put something in the content area. To make it easy to find, set the state to published.</p><div>You can edit an existing article by clicking on the edit icon (this only displays to users who have the right to edit).</div><h3>Template, site settings, and modules</h3><p>The look and feel of your site is controlled by a template. You can change the site name, background colour, highlights colour and more by editing the template settings. Click the "Template Settings" in the user menu.</p><p>The boxes around the main content of the site are called modules. You can modify modules on the current page by moving your cursor to the module and clicking the edit link. Always be sure to save and close any module you edit.</p><p>You can change some site settings such as the site name and description by clicking on the "Site Settings" link.</p><p>More advanced options for templates, site settings, modules, and more are available in the site administrator.</p><h3>Site and Administrator</h3><p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the "Site Administrator" link on the "User Menu" menu (visible once you login) or by adding /administrator to the end of your domain name. The same user name and password are used for both sites.</p><h3>Learn more</h3><p>There is much more to learn about how to use Joomla! to create the website you envision. You can learn much more at the <a href="https://docs.joomla.org/" target="_blank">Joomla! documentation site</a> and on the<a href="https://forum.joomla.org/" target="_blank"> Joomla! forums</a>.</p>', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2021-07-09 07:35:35', 0, '0000-00-00 00:00:00', '*', '2021-07-09 07:35:35', '0000-00-00 00:00:00', 1, 62, '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 1, 0, '', '', 2, '', 1),
(2, 'com_content.article', 'Pellentesque habitant morbi', 'pellentesque-habitant-morbi', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', '*', '2021-07-09 07:35:35', '0000-00-00 00:00:00', 16, 96, '{"image_intro":"images\\/joomlart\\/blog\\/intro-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 5, 0, '', '', 11, '', 1),
(3, 'com_content.article', 'Changes Coming to SMB Healthcare Tax Credit', 'changes-coming-to-smb-healthcare-tax-credit', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', '*', '2021-07-09 07:35:35', '0000-00-00 00:00:00', 17, 97, '{"image_intro":"images\\/joomlart\\/blog\\/intro-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 4, 0, '', '', 11, '', 1),
(4, 'com_content.article', 'Mauris placerat eleifend leo', 'the-crisis-of-competency-in-accounting-and-finance', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', '*', '2021-07-09 07:35:35', '0000-00-00 00:00:00', 14, 98, '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 4, 0, '', '', 11, '', 1),
(5, 'com_content.article', 'Pellentesque habitant morbi', 'pellentesque-habitant-morbi', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2021-07-09 07:35:35', 42, '2021-07-09 07:35:35', '*', '2021-07-09 07:35:35', '0000-00-00 00:00:00', 9, 99, '{"image_intro":"images\\/joomlart\\/blog\\/intro-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 18, 7, 0, '', '', 9, '', 1),
(6, 'com_content.article', 'The Crisis of Competency in Accounting and Finance', 'the-crisis-of-competency-in-accounting-and-finance', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', '*', '2021-07-09 07:35:35', '0000-00-00 00:00:00', 6, 100, '{"image_intro":"images\\/joomlart\\/blog\\/intro-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 4, 3, 0, '', '', 10, '', 1),
(7, 'com_content.article', 'Mauris placerat eleifend leo', 'the-crisis-of-competency-in-accounting-and-finance', '<p>\r\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\r\n</p>\r\n', 1, '0000-00-00 00:00:00', 0, 1, '{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2021-07-09 07:35:35', 0, '2021-07-09 07:35:35', '*', '2021-07-09 07:35:35', '0000-00-00 00:00:00', 11, 101, '{"image_intro":"images\\/joomlart\\/blog\\/intro-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/detail-7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 4, 0, '', '', 9, '', 1);

DROP TABLE IF EXISTS `#__ucm_history`;
CREATE TABLE `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `character_count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB AUTO_INCREMENT=185 DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(1, 2, 10, 'Initial content', '2021-07-09 07:35:35', 42, 558, 'be28228b479aa67bad3dc1db2975232a033d5f0f', '{"id":2,"parent_id":"1","lft":"1","rgt":2,"level":1,"path":"joomla","title":"Joomla","alias":"joomla","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"0000-00-00 00:00:00","access":1,"params":null,"metadesc":null,"metakey":null,"metadata":null,"created_user_id":"849","created_time":"2013-11-16 00:00:00","created_by_alias":"","modified_user_id":"0","modified_time":"0000-00-00 00:00:00","images":null,"urls":null,"hits":"0","language":"*","version":"1","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00"}', 0),
(2, 1, 1, 'Initial content', '2021-07-09 07:35:35', 42, 4539, '4f6bf8f67e89553853c3b6e8ed0a6111daaa7a2f', '{"id":1,"asset_id":54,"title":"Getting Started","alias":"getting-started","introtext":"<p>It\'s easy to get started creating your website. Knowing some of the basics will help.<\\/p>\\r\\n<h3>What is a Content Management System?<\\/h3>\\r\\n<p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.<\\/p>\\r\\n<p>In this site, the content is stored in a <em>database<\\/em>. The look and feel are created by a <em>template<\\/em>. Joomla! brings together the template and your content to create web pages.<\\/p>\\r\\n<h3>Logging in<\\/h3>\\r\\n<p>To login to your site use the user name and password that were created as part of the installation process. Once logged-in you will be able to create and edit articles and modify some settings.<\\/p>\\r\\n<h3>Creating an article<\\/h3>\\r\\n<p>Once you are logged-in, a new menu will be visible. To create a new article, click on the \\"Submit Article\\" link on that menu.<\\/p>\\r\\n<p>The new article interface gives you a lot of options, but all you need to do is add a title and put something in the content area. To make it easy to find, set the state to published.<\\/p>\\r\\n<div>You can edit an existing article by clicking on the edit icon (this only displays to users who have the right to edit).<\\/div>\\r\\n<h3>Template, site settings, and modules<\\/h3>\\r\\n<p>The look and feel of your site is controlled by a template. You can change the site name, background colour, highlights colour and more by editing the template settings. Click the \\"Template Settings\\" in the user menu.\\u00a0<\\/p>\\r\\n<p>The boxes around the main content of the site are called modules. \\u00a0You can modify modules on the current page by moving your cursor to the module and clicking the edit link. Always be sure to save and close any module you edit.<\\/p>\\r\\n<p>You can change some site settings such as the site name and description by clicking on the \\"Site Settings\\" link.<\\/p>\\r\\n<p>More advanced options for templates, site settings, modules, and more are available in the site administrator.<\\/p>\\r\\n<h3>Site and Administrator<\\/h3>\\r\\n<p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the \\"Site Administrator\\" link on the \\"User Menu\\" menu (visible once you login) or by adding \\/administrator to the end of your domain name. The same user name and password are used for both sites.<\\/p>\\r\\n<h3>Learn more<\\/h3>\\r\\n<p>There is much more to learn about how to use Joomla! to create the website you envision. You can learn much more at the <a href=\\"https:\\/\\/docs.joomla.org\\" target=\\"_blank\\">Joomla! documentation site<\\/a> and on the<a href=\\"https:\\/\\/forum.joomla.org\\/\\" target=\\"_blank\\"> Joomla! forums<\\/a>.<\\/p>","fulltext":"","state":1,"catid":"2","created":"2013-11-16 00:00:00","created_by":"849","created_by_alias":"","modified":"","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2013-11-16 00:00:00","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(3, 8, 5, '', '2021-07-09 07:35:35', 42, 545, 'f0b76856eb7ac06359140e5e0638d76f7ffd6717', '{"id":8,"asset_id":68,"parent_id":"1","lft":"11","rgt":12,"level":1,"path":null,"extension":"com_content","title":"News","alias":"news","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-22 02:46:16","modified_user_id":null,"modified_time":"2020-09-22 02:46:16","hits":null,"language":"*","version":null}', 0),
(4, 2, 5, '', '2021-07-09 07:35:35', 42, 579, '69aa4be13bd9040772050b7db948a7654dd761cc', '{"id":2,"asset_id":"27","parent_id":"1","lft":"1","rgt":"2","level":"1","path":"uncategorised","extension":"com_content","title":"Others","alias":"others","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2020-09-22 02:46:21","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-21 04:45:00","modified_user_id":"42","modified_time":"2020-09-22 02:46:35","hits":"0","language":"*","version":"1"}', 0),
(5, 2, 1, '', '2021-07-09 07:35:35', 42, 2104, 'e2924d3822fc48cb75e00d768a49ed2bf5c05811', '{"id":2,"asset_id":69,"title":"Error Page","alias":"error-page","introtext":"<div class=\\"alert alert-info\\">\\r\\n  <center>Each <strong>JA Joomla Template<\\/strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style<\\/strong>.<\\/center><\\/div>\\r\\n<p style=\\"text-align: center;\\"><img style=\\"display: inline-block; width: 700px;\\" src=\\"images\\/joomlart\\/others\\/page-404.png\\" alt=\\"\\" \\/><\\/p>","fulltext":"","state":1,"catid":"2","created":"2020-09-22 04:19:40","created_by":"42","created_by_alias":"","modified":"2020-09-22 04:19:40","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-22 04:19:40","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(6, 3, 1, '', '2021-07-09 07:35:35', 42, 2124, '1eeb2d86fc003b34f6695b84fff48d5c83993454', '{"id":3,"asset_id":70,"title":"Offline Page","alias":"offline-page","introtext":"<div class=\\"alert alert-info\\">\\r\\n  <center>Each <strong>JA Joomla Template<\\/strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style<\\/strong>.<\\/center>\\r\\n<\\/div>\\r\\n<p style=\\"text-align: center;\\"><img style=\\"display: inline-block; width: 500px;\\" src=\\"images\\/joomlart\\/others\\/offline-page.png\\" alt=\\"\\" \\/><\\/p>","fulltext":"","state":1,"catid":"2","created":"2020-09-22 04:19:59","created_by":"42","created_by_alias":"","modified":"2020-09-22 04:19:59","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-22 04:19:59","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(7, 4, 1, '', '2021-07-09 07:35:35', 42, 25528, '9b84cb3f8d4b4cd7adc5b88969b11631c28c2f98', '{"id":4,"asset_id":71,"title":"Typography","alias":"typography","introtext":"<!-- CORE TYPOGRAPHY\\r\\n\\t=======================================================-->\\r\\n<div class=\\"core-typo\\">\\r\\n\\t<div class=\\"docs-section\\">\\r\\n\\t\\t<h2 id=\\"headings\\"><div>Headings<a class=\\"anchorjs-link \\" href=\\"#headings\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>All HTML headings, <code class=\\"highlighter-rouge\\">&lt;h1&gt;<\\/code> through <code class=\\"highlighter-rouge\\">&lt;h6&gt;<\\/code>, are available.<\\/p>\\r\\n\\r\\n\\t\\t<table class=\\"table table-bordered\\">\\r\\n\\t\\t  <thead>\\r\\n\\t\\t    <tr>\\r\\n\\t\\t      <th>Heading<\\/th>\\r\\n\\t\\t      <th>Example<\\/th>\\r\\n\\t\\t    <\\/tr>\\r\\n\\t\\t  <\\/thead>\\r\\n\\t\\t  <tbody>\\r\\n\\t\\t    <tr>\\r\\n\\t\\t      <td>\\r\\n\\t\\t        <p><code class=\\"highlighter-rouge\\">&lt;h1&gt;&lt;\\/h1&gt;<\\/code><\\/p>\\r\\n\\t\\t      <\\/td>\\r\\n\\t\\t      <td><span class=\\"h1\\">h1. Bootstrap heading<\\/span><\\/td>\\r\\n\\t\\t    <\\/tr>\\r\\n\\t\\t    <tr>\\r\\n\\t\\t      <td>\\r\\n\\t\\t        <p><code class=\\"highlighter-rouge\\">&lt;h2&gt;&lt;\\/h2&gt;<\\/code><\\/p>\\r\\n\\r\\n\\t\\t      <\\/td>\\r\\n\\t\\t      <td><span class=\\"h2\\">h2. Bootstrap heading<\\/span><\\/td>\\r\\n\\t\\t    <\\/tr>\\r\\n\\t\\t    <tr>\\r\\n\\t\\t      <td>\\r\\n\\t\\t        <p><code class=\\"highlighter-rouge\\">&lt;h3&gt;&lt;\\/h3&gt;<\\/code><\\/p>\\r\\n\\r\\n\\t\\t      <\\/td>\\r\\n\\t\\t      <td><span class=\\"h3\\">h3. Bootstrap heading<\\/span><\\/td>\\r\\n\\t\\t    <\\/tr>\\r\\n\\t\\t    <tr>\\r\\n\\t\\t      <td>\\r\\n\\t\\t        <p><code class=\\"highlighter-rouge\\">&lt;h4&gt;&lt;\\/h4&gt;<\\/code><\\/p>\\r\\n\\r\\n\\t\\t      <\\/td>\\r\\n\\t\\t      <td><span class=\\"h4\\">h4. Bootstrap heading<\\/span><\\/td>\\r\\n\\t\\t    <\\/tr>\\r\\n\\t\\t    <tr>\\r\\n\\t\\t      <td>\\r\\n\\t\\t        <p><code class=\\"highlighter-rouge\\">&lt;h5&gt;&lt;\\/h5&gt;<\\/code><\\/p>\\r\\n\\r\\n\\t\\t      <\\/td>\\r\\n\\t\\t      <td><span class=\\"h5\\">h5. Bootstrap heading<\\/span><\\/td>\\r\\n\\t\\t    <\\/tr>\\r\\n\\t\\t    <tr>\\r\\n\\t\\t      <td>\\r\\n\\t\\t        <p><code class=\\"highlighter-rouge\\">&lt;h6&gt;&lt;\\/h6&gt;<\\/code><\\/p>\\r\\n\\r\\n\\t\\t      <\\/td>\\r\\n\\t\\t      <td><span class=\\"h6\\">h6. Bootstrap heading<\\/span><\\/td>\\r\\n\\t\\t    <\\/tr>\\r\\n\\t\\t  <\\/tbody>\\r\\n\\t\\t<\\/table>\\r\\n\\r\\n\\t\\t<p><code class=\\"highlighter-rouge\\">.h1<\\/code> through <code class=\\"highlighter-rouge\\">.h6<\\/code> classes are also available, for when you want to match the font styling of a heading but cannot use the associated HTML element.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<p class=\\"h1\\">h1. Bootstrap heading<\\/p>\\r\\n\\t\\t<p class=\\"h2\\">h2. Bootstrap heading<\\/p>\\r\\n\\t\\t<p class=\\"h3\\">h3. Bootstrap heading<\\/p>\\r\\n\\t\\t<p class=\\"h4\\">h4. Bootstrap heading<\\/p>\\r\\n\\t\\t<p class=\\"h5\\">h5. Bootstrap heading<\\/p>\\r\\n\\t\\t<p class=\\"h6\\">h6. Bootstrap heading<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h3 id=\\"customizing-headings\\"><div>Customizing headings<a class=\\"anchorjs-link \\" href=\\"#customizing-headings\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h3>\\r\\n\\r\\n\\t\\t<p>Use the included utility classes to recreate the small secondary heading text from Bootstrap 3.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t  <span class=\\"h3\\">\\r\\n\\t\\t    Fancy display heading\\r\\n\\t\\t    <small class=\\"text-muted\\">With faded secondary text<\\/small>\\r\\n\\t\\t  <\\/span>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h2 id=\\"display-headings\\"><div>Display headings<a class=\\"anchorjs-link \\" href=\\"#display-headings\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>Traditional heading elements are designed to work best in the meat of your page content. When you need a heading to stand out, consider using a <strong>display heading<\\/strong>\\u2014a larger, slightly more opinionated heading style.<\\/p>\\r\\n\\r\\n\\t  <table class=\\"table table-bordered\\">\\r\\n\\t    <tbody>\\r\\n\\t      <tr>\\r\\n\\t        <td><span class=\\"display-1\\">Display 1<\\/span><\\/td>\\r\\n\\t      <\\/tr>\\r\\n\\t      <tr>\\r\\n\\t      <td><span class=\\"display-2\\">Display 2<\\/span><\\/td>\\r\\n\\t      <\\/tr>\\r\\n\\t      <tr>\\r\\n\\t      <td><span class=\\"display-3\\">Display 3<\\/span><\\/td>\\r\\n\\t      <\\/tr>\\r\\n\\t      <tr>\\r\\n\\t      <td><span class=\\"display-4\\">Display 4<\\/span><\\/td>\\r\\n\\t      <\\/tr>\\r\\n\\t    <\\/tbody>\\r\\n\\t  <\\/table>\\r\\n\\r\\n\\t\\t<h2 id=\\"lead\\"><div>Lead<a class=\\"anchorjs-link \\" href=\\"#lead\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>Make a paragraph stand out by adding <code class=\\"highlighter-rouge\\">.lead<\\/code>.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<p class=\\"lead\\">\\r\\n\\t\\t  Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.\\r\\n\\t\\t<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h2 id=\\"inline-text-elements\\"><div>Inline text elements<a class=\\"anchorjs-link \\" href=\\"#inline-text-elements\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>Styling for common inline HTML5 elements.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<p>You can use the mark tag to <mark>highlight<\\/mark> text.<\\/p>\\r\\n\\t\\t<p><del>This line of text is meant to be treated as deleted text.<\\/del><\\/p>\\r\\n\\t\\t<p><s>This line of text is meant to be treated as no longer accurate.<\\/s><\\/p>\\r\\n\\t\\t<p><ins>This line of text is meant to be treated as an addition to the document.<\\/ins><\\/p>\\r\\n\\t\\t<p><u>This line of text will render as underlined<\\/u><\\/p>\\r\\n\\t\\t<p><small>This line of text is meant to be treated as fine print.<\\/small><\\/p>\\r\\n\\t\\t<p><strong>This line rendered as bold text.<\\/strong><\\/p>\\r\\n\\t\\t<p><em>This line rendered as italicized text.<\\/em><\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<p><code class=\\"highlighter-rouge\\">.mark<\\/code> and <code class=\\"highlighter-rouge\\">.small<\\/code> classes are also available to apply the same styles as <code class=\\"highlighter-rouge\\">&lt;mark&gt;<\\/code> and <code class=\\"highlighter-rouge\\">&lt;small&gt;<\\/code> while avoiding any unwanted semantic implications that the tags would bring.<\\/p>\\r\\n\\r\\n\\t\\t<p>While not shown above, feel free to use <code class=\\"highlighter-rouge\\">&lt;b&gt;<\\/code> and <code class=\\"highlighter-rouge\\">&lt;i&gt;<\\/code> in HTML5. <code class=\\"highlighter-rouge\\">&lt;b&gt;<\\/code> is meant to highlight words or phrases without conveying additional importance while <code class=\\"highlighter-rouge\\">&lt;i&gt;<\\/code> is mostly for voice, technical terms, etc.<\\/p>\\r\\n\\r\\n\\t\\t<h2 id=\\"text-utilities\\"><div>Text utilities<a class=\\"anchorjs-link \\" href=\\"#text-utilities\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>Change text alignment, transform, style, weight, and color with our <a href=\\"#text-utilities-dm\\">text utilities<\\/a> and <a href=\\"#color-utilities-dm\\">color utilities<\\/a>.<\\/p>\\r\\n\\r\\n\\t\\t<h2 id=\\"abbreviations\\"><div>Abbreviations<a class=\\"anchorjs-link \\" href=\\"#abbreviations\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>Stylized implementation of HTML\\u2019s <code class=\\"highlighter-rouge\\">&lt;abbr&gt;<\\/code> element for abbreviations and acronyms to show the expanded version on hover. Abbreviations have a default underline and gain a help cursor to provide additional context on hover and to users of assistive technologies.<\\/p>\\r\\n\\r\\n\\t\\t<p>Add <code class=\\"highlighter-rouge\\">.initialism<\\/code> to an abbreviation for a slightly smaller font-size.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<p><abbr title=\\"attribute\\">attr<\\/abbr><\\/p>\\r\\n\\t\\t<p><abbr title=\\"HyperText Markup Language\\" class=\\"initialism\\">HTML<\\/abbr><\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h2 id=\\"blockquotes\\"><div>Blockquotes<a class=\\"anchorjs-link \\" href=\\"#blockquotes\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>For quoting blocks of content from another source within your document. Wrap <code class=\\"highlighter-rouge\\">&lt;blockquote class=\\"blockquote\\"&gt;<\\/code> around any <abbr title=\\"HyperText Markup Language\\">HTML<\\/abbr> as the quote.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<blockquote class=\\"blockquote\\">\\r\\n\\t\\t  <p class=\\"mb-0\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t<\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h3 id=\\"naming-a-source\\"><div>Naming a source<a class=\\"anchorjs-link \\" href=\\"#naming-a-source\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h3>\\r\\n\\r\\n\\t\\t<p>Add a <code class=\\"highlighter-rouge\\">&lt;footer class=\\"blockquote-footer\\"&gt;<\\/code> for identifying the source. Wrap the name of the source work in <code class=\\"highlighter-rouge\\">&lt;cite&gt;<\\/code>.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<blockquote class=\\"blockquote\\">\\r\\n\\t\\t  <p class=\\"mb-0\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n\\t\\t<\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h3 id=\\"alignment\\"><div>Alignment<a class=\\"anchorjs-link \\" href=\\"#alignment\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h3>\\r\\n\\r\\n\\t\\t<p>Use text utilities as needed to change the alignment of your blockquote.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<blockquote class=\\"blockquote text-center\\">\\r\\n\\t\\t  <p class=\\"mb-0\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n\\t\\t<\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<blockquote class=\\"blockquote text-right\\">\\r\\n\\t\\t  <p class=\\"mb-0\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n\\t\\t<\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h2 id=\\"lists\\"><div>Lists<a class=\\"anchorjs-link \\" href=\\"#lists\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<h3 id=\\"unstyled\\"><div>Unstyled<a class=\\"anchorjs-link \\" href=\\"#unstyled\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h3>\\r\\n\\r\\n\\t\\t<p>Remove the default <code class=\\"highlighter-rouge\\">list-style<\\/code> and left margin on list items (immediate children only). <strong>This only applies to immediate children list items<\\/strong>, meaning you will need to add the class for any nested lists as well.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<ul class=\\"list-unstyled\\">\\r\\n\\t\\t  <li>Lorem ipsum dolor sit amet<\\/li>\\r\\n\\t\\t  <li>Consectetur adipiscing elit<\\/li>\\r\\n\\t\\t  <li>Integer molestie lorem at massa<\\/li>\\r\\n\\t\\t  <li>Facilisis in pretium nisl aliquet<\\/li>\\r\\n\\t\\t  <li>Nulla volutpat aliquam velit\\r\\n\\t\\t    <ul>\\r\\n\\t\\t      <li>Phasellus iaculis neque<\\/li>\\r\\n\\t\\t      <li>Purus sodales ultricies<\\/li>\\r\\n\\t\\t      <li>Vestibulum laoreet porttitor sem<\\/li>\\r\\n\\t\\t      <li>Ac tristique libero volutpat at<\\/li>\\r\\n\\t\\t    <\\/ul>\\r\\n\\t\\t  <\\/li>\\r\\n\\t\\t  <li>Faucibus porta lacus fringilla vel<\\/li>\\r\\n\\t\\t  <li>Aenean sit amet erat nunc<\\/li>\\r\\n\\t\\t  <li>Eget porttitor lorem<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h3 id=\\"inline\\"><div>Inline<a class=\\"anchorjs-link \\" href=\\"#inline\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h3>\\r\\n\\r\\n\\t\\t<p>Remove a list\\u2019s bullets and apply some light <code class=\\"highlighter-rouge\\">margin<\\/code> with a combination of two classes, <code class=\\"highlighter-rouge\\">.list-inline<\\/code> and <code class=\\"highlighter-rouge\\">.list-inline-item<\\/code>.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<ul class=\\"list-inline\\">\\r\\n\\t\\t  <li class=\\"list-inline-item\\">Lorem ipsum<\\/li>\\r\\n\\t\\t  <li class=\\"list-inline-item\\">Phasellus iaculis<\\/li>\\r\\n\\t\\t  <li class=\\"list-inline-item\\">Nulla volutpat<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h3 id=\\"description-list-alignment\\"><div>Description list alignment<a class=\\"anchorjs-link \\" href=\\"#description-list-alignment\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h3>\\r\\n\\r\\n\\t\\t<p>Align terms and descriptions horizontally by using our grid system\\u2019s predefined classes (or semantic mixins). For longer terms, you can optionally add a <code class=\\"highlighter-rouge\\">.text-truncate<\\/code> class to truncate the text with an ellipsis.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<dl class=\\"row\\">\\r\\n\\t\\t  <dt class=\\"col-sm-3\\">Description lists<\\/dt>\\r\\n\\t\\t  <dd class=\\"col-sm-9\\">A description list is perfect for defining terms.<\\/dd>\\r\\n\\r\\n\\t\\t  <dt class=\\"col-sm-3\\">Euismod<\\/dt>\\r\\n\\t\\t  <dd class=\\"col-sm-9\\">\\r\\n\\t\\t    <p>Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.<\\/p>\\r\\n\\t\\t    <p>Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t  <\\/dd>\\r\\n\\r\\n\\t\\t  <dt class=\\"col-sm-3\\">Malesuada porta<\\/dt>\\r\\n\\t\\t  <dd class=\\"col-sm-9\\">Etiam porta sem malesuada magna mollis euismod.<\\/dd>\\r\\n\\r\\n\\t\\t  <dt class=\\"col-sm-3 text-truncate\\">Truncated term is truncated<\\/dt>\\r\\n\\t\\t  <dd class=\\"col-sm-9\\">Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.<\\/dd>\\r\\n\\r\\n\\t\\t  <dt class=\\"col-sm-3\\">Nesting<\\/dt>\\r\\n\\t\\t  <dd class=\\"col-sm-9\\">\\r\\n\\t\\t    <dl class=\\"row\\">\\r\\n\\t\\t      <dt class=\\"col-sm-4\\">Nested definition list<\\/dt>\\r\\n\\t\\t      <dd class=\\"col-sm-8\\">Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.<\\/dd>\\r\\n\\t\\t    <\\/dl>\\r\\n\\t\\t  <\\/dd>\\r\\n\\t\\t<\\/dl>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h2 id=\\"responsive-typography\\"><div>Responsive typography<a class=\\"anchorjs-link \\" href=\\"#responsive-typography\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p><em>Responsive typography<\\/em> refers to scaling text and components by simply adjusting the root element\\u2019s <code class=\\"highlighter-rouge\\">font-size<\\/code> within a series of media queries. Bootstrap doesn\\u2019t do this for you, but it\\u2019s fairly easy to add if you need it.<\\/p>\\r\\n\\r\\n\\t\\t<p>Here\\u2019s an example of it in practice. Choose whatever <code class=\\"highlighter-rouge\\">font-size<\\/code>s and media queries you wish.<\\/p>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div id=\\"text-utilities-dm\\">\\r\\n\\r\\n\\t\\t<h2 id=\\"text-alignment\\"><div>Text alignment<a class=\\"anchorjs-link \\" href=\\"#text-alignment\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>Easily realign text to components with text alignment classes.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<p class=\\"text-justify\\">Ambitioni dedisse scripsisse iudicaretur. Cras mattis iudicium purus sit amet fermentum. Donec sed odio operae, eu vulputate felis rhoncus. Praeterea iter est quasdam res quas ex communi. At nos hinc posthac, sitientis piros Afros. Petierunt uti sibi concilium totius Galliae in diem certam indicere. Cras mattis iudicium purus sit amet fermentum.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<p>For left, right, and center alignment, responsive classes are available that use the same viewport width breakpoints as the grid system.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<p class=\\"text-left\\">Left aligned text on all viewport sizes.<\\/p>\\r\\n\\t\\t<p class=\\"text-center\\">Center aligned text on all viewport sizes.<\\/p>\\r\\n\\t\\t<p class=\\"text-right\\">Right aligned text on all viewport sizes.<\\/p>\\r\\n\\r\\n\\t\\t<p class=\\"text-sm-left\\">Left aligned text on viewports sized SM (small) or wider.<\\/p>\\r\\n\\t\\t<p class=\\"text-md-left\\">Left aligned text on viewports sized MD (medium) or wider.<\\/p>\\r\\n\\t\\t<p class=\\"text-lg-left\\">Left aligned text on viewports sized LG (large) or wider.<\\/p>\\r\\n\\t\\t<p class=\\"text-xl-left\\">Left aligned text on viewports sized XL (extra-large) or wider.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h2 id=\\"text-wrapping-and-overflow\\"><div>Text wrapping and overflow<a class=\\"anchorjs-link \\" href=\\"#text-wrapping-and-overflow\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>Prevent text from wrapping with a <code class=\\"highlighter-rouge\\">.text-nowrap<\\/code> class.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<div class=\\"text-nowrap bd-highlight\\" style=\\"width: 8rem;\\">\\r\\n\\t\\t  This text should overflow the parent.\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<p>For longer content, you can add a <code class=\\"highlighter-rouge\\">.text-truncate<\\/code> class to truncate the text with an ellipsis. <strong>Requires <code class=\\"highlighter-rouge\\">display: inline-block<\\/code> or <code class=\\"highlighter-rouge\\">display: block<\\/code>.<\\/strong><\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<!-- Block level -->\\r\\n\\t\\t<div class=\\"row\\">\\r\\n\\t\\t  <div class=\\"col-2 text-truncate\\">\\r\\n\\t\\t    Praeterea iter est quasdam res quas ex communi.\\r\\n\\t\\t  <\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<!-- Inline level -->\\r\\n\\t\\t<span class=\\"d-inline-block text-truncate\\" style=\\"max-width: 150px;\\">\\r\\n\\t\\t  Praeterea iter est quasdam res quas ex communi.\\r\\n\\t\\t<\\/span>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<h2 id=\\"text-transform\\"><div>Text transform<a class=\\"anchorjs-link \\" href=\\"#text-transform\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>Transform text in components with text capitalization classes.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t<p class=\\"text-lowercase\\">Lowercased text.<\\/p>\\r\\n\\t\\t<p class=\\"text-uppercase\\">Uppercased text.<\\/p>\\r\\n\\t\\t<p class=\\"text-capitalize\\">CapiTaliZed text.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<p>Note how <code class=\\"highlighter-rouge\\">text-capitalize<\\/code> only changes the first letter of each word, leaving the case of any other letters unaffected.<\\/p>\\r\\n\\r\\n\\t\\t<h2 id=\\"font-weight-and-italics\\"><div>Font weight and italics<a class=\\"anchorjs-link \\" href=\\"#font-weight-and-italics\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t<p>Quickly change the weight (boldness) of text or italicize text.<\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t\\t<div class=\\"row\\">\\r\\n\\t\\t\\t\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t\\t\\t\\t<p class=\\"font-weight-bold\\">Bold text.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"font-weight-normal\\">Normal weight text.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t\\t\\t\\t<p class=\\"font-weight-light\\">Light weight text.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"font-italic\\">Italic text.<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div id=\\"text-color-dm\\">\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t\\t<div class=\\"row\\">\\r\\n\\t\\t\\t\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-primary\\">.text-primary<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-secondary\\">.text-secondary<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-success\\">.text-success<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-danger\\">.text-danger<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-warning\\">.text-warning<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-info\\">.text-info<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-light bg-dark\\">.text-light<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-dark\\">.text-dark<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-muted\\">.text-muted<\\/p>\\r\\n\\t\\t\\t\\t\\t<p class=\\"text-white bg-dark\\">.text-white<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t<p>Contextual text classes also work well on anchors with the provided hover and focus states. <strong>Note that the <code class=\\"highlighter-rouge\\">.text-white<\\/code> and <code class=\\"highlighter-rouge\\">.text-muted<\\/code> class has no link styling.<\\/strong><\\/p>\\r\\n\\r\\n\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t\\t<div class=\\"row\\">\\r\\n\\t\\t\\t\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-primary\\">Primary link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-secondary\\">Secondary link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-success\\">Success link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-danger\\">Danger link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-warning\\">Warning link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-info\\">Info link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-light bg-dark\\">Light link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-dark\\">Dark link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-muted\\">Muted link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t\\t<p><a href=\\"#\\" class=\\"text-white bg-dark\\">White link<\\/a><\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t\\t<h2 id=\\"background-color\\"><div>Background color<a class=\\"anchorjs-link \\" href=\\"#background-color\\" aria-label=\\"Anchor\\" data-anchorjs-icon=\\"#\\" style=\\"padding-left: 0.375em;\\"><\\/a><\\/div><\\/h2>\\r\\n\\r\\n\\t\\t\\t<p>Similar to the contextual text color classes, easily set the background of an element to any contextual class. Anchor components will darken on hover, just like the text classes. Background utilities <strong>do not set <code class=\\"highlighter-rouge\\">color<\\/code><\\/strong>, so in some cases you\\u2019ll want to use <code class=\\"highlighter-rouge\\">.text-*<\\/code> utilities.<\\/p>\\r\\n\\r\\n\\t\\t\\t<div class=\\"t4-typo-example\\">\\r\\n\\t\\t\\t<div class=\\"p-3 mb-2 bg-primary text-white\\">.bg-primary<\\/div>\\r\\n\\t\\t\\t<div class=\\"p-3 mb-2 bg-secondary text-white\\">.bg-secondary<\\/div>\\r\\n\\t\\t\\t<div class=\\"p-3 mb-2 bg-success text-white\\">.bg-success<\\/div>\\r\\n\\t\\t\\t<div class=\\"p-3 mb-2 bg-danger text-white\\">.bg-danger<\\/div>\\r\\n\\t\\t\\t<div class=\\"p-3 mb-2 bg-warning text-dark\\">.bg-warning<\\/div>\\r\\n\\t\\t\\t<div class=\\"p-3 mb-2 bg-info text-white\\">.bg-info<\\/div>\\r\\n\\t\\t\\t<div class=\\"p-3 mb-2 bg-light text-dark\\">.bg-light<\\/div>\\r\\n\\t\\t\\t<div class=\\"p-3 mb-2 bg-dark text-white\\">.bg-dark<\\/div>\\r\\n\\t\\t\\t<div class=\\"p-3 mb-2 bg-white text-dark\\">.bg-white<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t\\t<div class=\\"bd-callout bd-callout-info\\">\\r\\n\\t\\t\\t<h4 id=\\"dealing-with-specificity\\">Dealing with specificity<\\/h4>\\r\\n\\r\\n\\t\\t\\t<p>Sometimes contextual classes cannot be applied due to the specificity of another selector. In some cases, a sufficient workaround is to wrap your element\\u2019s content in a <code class=\\"highlighter-rouge\\">&lt;div&gt;<\\/code> with the class.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\r\\n\\t\\t\\t<div class=\\"bd-callout bd-callout-warning\\">\\r\\n\\t\\t\\t<h5 id=\\"conveying-meaning-to-assistive-technologies\\">Conveying meaning to assistive technologies<\\/h5>\\r\\n\\r\\n\\t\\t\\t<p>Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies \\u2013 such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the <code class=\\"highlighter-rouge\\">.sr-only<\\/code> class.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"2","created":"2020-09-22 04:28:52","created_by":"42","created_by_alias":"","modified":"2020-09-22 04:28:52","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-22 04:28:52","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(8, 1, 2, '', '2021-07-09 07:35:35', 42, 2056, 'b8baf2fc562c49a195419220bfe44e7b3767af88', '{"id":1,"name":"Get In Touch","alias":"get-in-touch","con_position":"","address":"Dr. Florian Proell & Colleagues, Cicerostra\\u00dfe 21, 10709 Berlin","suburb":"","state":"","country":"","postcode":"","telephone":"(+49) 30 880911 0","fax":"","misc":"<p>A small river named Duden flows by their place and supplies it with the necessary regelialia. It is a paradisematic country, in which roasted parts of sentences fly into your mouth.<\\/p>","image":"","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":null,"checked_out_time":null,"ordering":1,"params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkb_name\\":\\"instagram\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkc_name\\":\\"twitter\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"(+49) 30 880911 0","webpage":"https:\\/\\/joomlart.com","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2020-09-22 07:22:36","created_by":"42","created_by_alias":"","modified":"2020-09-22 07:22:36","modified_by":null,"metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":1,"hits":null}', 0),
(9, 1, 2, '', '2021-07-09 07:35:35', 42, 2111, '7d276922c21bffaa9804d455f0fd0a91fb35683b', '{"id":1,"name":"Get In Touch","alias":"get-in-touch","con_position":"","address":"Dr. Florian Proell & Colleagues, Cicerostra\\u00dfe 21, 10709 Berlin","suburb":"","state":"","country":"","postcode":"","telephone":"(+49) 30 880911 0","fax":"","misc":"<p>A small river named Duden flows by their place and supplies it with the necessary regelialia. It is a paradisematic country, in which roasted parts of sentences fly into your mouth.<\\/p>","image":"images\\/joomlart\\/others\\/contact.jpg","email_to":"no-reply@gmail.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2020-09-22 07:51:23","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_info\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"add_mailto_link\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_image\\":\\"\\",\\"show_misc\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkb_name\\":\\"instagram\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkc_name\\":\\"twitter\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/joomlart.com\\",\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"(+49) 30 880911 0","webpage":"https:\\/\\/joomlart.com","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2020-09-22 07:22:36","created_by":"42","created_by_alias":"","modified":"2020-09-22 07:51:43","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":2,"hits":"4"}', 0),
(10, 3, 1, '', '2021-07-09 07:35:35', 42, 2095, '564e16dd72b6670ebb7f99bacb555f707a66f4ee', '{"id":3,"asset_id":"70","title":"Offline Page","alias":"offline-page","introtext":"<div class=\\"alert alert-info\\">\\r\\n  <center>Each <strong>JA Joomla Template<\\/strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style<\\/strong>.<\\/center>\\r\\n<\\/div>\\r\\n<p style=\\"text-align: center;\\"><img src=\\"images\\/joomlart\\/others\\/offline-page.png\\" alt=\\"\\" \\/><\\/p>","fulltext":"","state":1,"catid":"2","created":"2020-09-22 04:19:59","created_by":"42","created_by_alias":"","modified":"2020-09-23 08:28:34","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-23 08:28:22","publish_up":"2020-09-22 04:19:59","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"11","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(11, 2, 1, '', '2021-07-09 07:35:35', 42, 2074, '221d4c2752e42ab4ccc5e8c79b462955cb3316a1', '{"id":2,"asset_id":"69","title":"Error Page","alias":"error-page","introtext":"<div class=\\"alert alert-info\\">\\r\\n  <center>Each <strong>JA Joomla Template<\\/strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style<\\/strong>.<\\/center><\\/div>\\r\\n<p style=\\"text-align: center;\\"><img src=\\"images\\/joomlart\\/others\\/page-404.png\\" alt=\\"\\" \\/><\\/p>","fulltext":"","state":1,"catid":"2","created":"2020-09-22 04:19:40","created_by":"42","created_by_alias":"","modified":"2020-09-23 08:29:03","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-23 08:28:54","publish_up":"2020-09-22 04:19:40","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"6","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(12, 5, 1, '', '2021-07-09 07:35:35', 42, 2906, '17f1591778311413183af049ce370fa293006370', '{"id":5,"asset_id":75,"title":"Why Hiring Managers Are Sweetening the Pot","alias":"why-hiring-managers-are-sweetening-the-pot","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.\\r\\n\\r\\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.\\r\\n\\r\\n","state":1,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-23 08:42:54","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(13, 6, 1, '', '2021-07-09 07:35:35', 42, 2925, '5fe177db09c4a41fb2919c3fa0556056398adf62', '{"id":6,"asset_id":76,"title":"Why Hiring Managers Are Sweetening the Pot (2)","alias":"why-hiring-managers-are-sweetening-the-pot-2","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.\\r\\n\\r\\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.\\r\\n\\r\\n","state":0,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 01:52:57","modified_by":"0","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(14, 7, 1, '', '2021-07-09 07:35:35', 42, 2925, 'af8ff5ff5c487160bd7b877f3a38863ca29d5e07', '{"id":7,"asset_id":77,"title":"Why Hiring Managers Are Sweetening the Pot (3)","alias":"why-hiring-managers-are-sweetening-the-pot-3","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.\\r\\n\\r\\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.\\r\\n\\r\\n","state":0,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 01:53:08","modified_by":"0","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(15, 8, 1, '', '2021-07-09 07:35:35', 42, 2925, '5b01cda3ad9f4d95257817b4a2230fab70e98c9a', '{"id":8,"asset_id":78,"title":"Why Hiring Managers Are Sweetening the Pot (4)","alias":"why-hiring-managers-are-sweetening-the-pot-4","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.\\r\\n\\r\\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.\\r\\n\\r\\n","state":0,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 01:53:08","modified_by":"0","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(16, 5, 1, '', '2021-07-09 07:35:35', 42, 4551, '884539860a14223140a59ac66ce6c3b253b50ab7', '{"id":5,"asset_id":"75","title":"Why Hiring Managers Are Sweetening the Pot","alias":"why-hiring-managers-are-sweetening-the-pot","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 03:08:29","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 03:05:11","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(17, 5, 1, '', '2021-07-09 07:35:35', 42, 4593, '04c180d6c1a31f85a255a91da21b82840212c413', '{"id":5,"asset_id":"75","title":"Why Hiring Managers Are Sweetening the Pot","alias":"why-hiring-managers-are-sweetening-the-pot","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 03:22:54","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 03:08:29","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(18, 5, 1, '', '2021-07-09 07:35:35', 42, 4667, 'cca66149aa8fdb93c4047d5bfac851b371dc0f42', '{"id":5,"asset_id":"75","title":"Why Hiring Managers Are Sweetening the Pot","alias":"why-hiring-managers-are-sweetening-the-pot","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 03:30:47","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 03:30:19","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"6","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(19, 5, 1, '', '2021-07-09 07:35:35', 42, 4675, '305bce11e3271e41aa200122b7f65ac529261099', '{"id":5,"asset_id":"75","title":"Why Hiring Managers Are Sweetening the Pot","alias":"why-hiring-managers-are-sweetening-the-pot","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 03:31:45","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 03:30:47","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"7","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(20, 9, 5, '', '2021-07-09 07:35:35', 42, 573, 'b6378200ec64b22c03c799b65cd79aa771c7bb23', '{"id":9,"asset_id":79,"parent_id":"8","lft":"12","rgt":13,"level":2,"path":null,"extension":"com_content","title":"Strategic planning","alias":"strategic-planning","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-24 04:01:56","modified_user_id":null,"modified_time":"2020-09-24 04:01:56","hits":null,"language":"*","version":null}', 0),
(21, 10, 5, '', '2021-07-09 07:35:35', 42, 570, '5c2ea2e21bf425596714f333b92e217a578b84b4', '{"id":10,"asset_id":80,"parent_id":"8","lft":"14","rgt":15,"level":2,"path":null,"extension":"com_content","title":"Audit & Assurance","alias":"audit-assurance","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-24 04:02:05","modified_user_id":null,"modified_time":"2020-09-24 04:02:05","hits":null,"language":"*","version":null}', 0),
(22, 11, 5, '', '2021-07-09 07:35:35', 42, 566, 'bb76383849976baad8746999a27c4a9b1a033a4c', '{"id":11,"asset_id":81,"parent_id":"8","lft":"16","rgt":17,"level":2,"path":null,"extension":"com_content","title":"Trades & Stocks","alias":"trades-stocks","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-24 04:02:17","modified_user_id":null,"modified_time":"2020-09-24 04:02:17","hits":null,"language":"*","version":null}', 0),
(23, 12, 5, '', '2021-07-09 07:35:35', 42, 572, '565e93f63ced6d92043b3a779d725d945e2d3fe1', '{"id":12,"asset_id":82,"parent_id":"8","lft":"18","rgt":19,"level":2,"path":null,"extension":"com_content","title":"Business Planning","alias":"business-planning","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-24 04:02:42","modified_user_id":null,"modified_time":"2020-09-24 04:02:42","hits":null,"language":"*","version":null}', 0),
(24, 5, 1, '', '2021-07-09 07:35:35', 42, 4675, '4d06d67c632eaf8d9636c523d1a6edfa43b3a2f3', '{"id":5,"asset_id":"75","title":"Why Hiring Managers Are Sweetening the Pot","alias":"why-hiring-managers-are-sweetening-the-pot","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:03:02","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:02:55","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"9","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(25, 6, 1, '', '2021-07-09 07:35:35', 42, 4692, '80fd4908946925246d56d54acbbe053c811c0cdb', '{"id":6,"asset_id":"76","title":"The Crisis of Competency in Accounting and Finance","alias":"the-crisis-of-competency-in-accounting-and-finance","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"10","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:06:49","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:06:10","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"3","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(26, 7, 1, '', '2021-07-09 07:35:35', 42, 4607, 'c7e5009916a969f93d1486e641631b841798ace7', '{"id":7,"asset_id":"77","title":"Death by PowerPoint","alias":"death-by-powerpoint","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:07:53","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:07:07","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(27, 7, 1, '', '2021-07-09 07:35:35', 42, 4608, 'ddbf18730500cb525170feee3914f189566e1f92', '{"id":7,"asset_id":"77","title":"Death by PowerPoint","alias":"death-by-powerpoint","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"11","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:08:15","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:07:53","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(28, 8, 1, '', '2021-07-09 07:35:35', 42, 4677, 'b866a45cf3a8750c3b6cfb3c9035a27016292989', '{"id":8,"asset_id":"78","title":"Changes Coming to SMB Healthcare Tax Credit","alias":"changes-coming-to-smb-healthcare-tax-credit","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"8","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:08:54","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:08:21","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(29, 8, 1, '', '2021-07-09 07:35:35', 42, 4678, '8aebba32e47d4413e4b27586c212087c8bf717c5', '{"id":8,"asset_id":"78","title":"Changes Coming to SMB Healthcare Tax Credit","alias":"changes-coming-to-smb-healthcare-tax-credit","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"12","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:09:08","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:08:54","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(30, 9, 1, '', '2021-07-09 07:35:35', 42, 4674, 'bc242e6c7a113a8000ed256bba026b49c2ae7025', '{"id":9,"asset_id":83,"title":"Changes Coming to SMB Healthcare Tax Credit","alias":"changes-coming-to-smb-healthcare-tax-credit","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":0,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:09:40","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"3","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(31, 10, 1, '', '2021-07-09 07:35:35', 42, 4605, '6dd72575b796633506136fcec2af1f8552639ec6', '{"id":10,"asset_id":84,"title":"Death by PowerPoint","alias":"death-by-powerpoint","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":0,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:09:40","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"3","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(32, 11, 1, '', '2021-07-09 07:35:35', 42, 4689, '57beb5bb31ffb84cb832ab8a6b8a5db0fc36d2ef', '{"id":11,"asset_id":85,"title":"The Crisis of Competency in Accounting and Finance","alias":"the-crisis-of-competency-in-accounting-and-finance","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":0,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:09:40","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"2","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(33, 12, 1, '', '2021-07-09 07:35:35', 42, 4679, '31aff4ce4b65be2dee040f872b8d586b227a8f3d', '{"id":12,"asset_id":86,"title":"Why Hiring Managers Are Sweetening the Pot (2)","alias":"why-hiring-managers-are-sweetening-the-pot-2","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":0,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:09:40","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"6","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(34, 9, 1, '', '2021-07-09 07:35:35', 42, 4645, '95e7464ae408c69c2dc22b37d677d35543e18a76', '{"id":9,"asset_id":"83","title":"Pellentesque habitant morbi","alias":"pellentesque-habitant-morbi","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:12:31","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:12:06","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(35, 10, 1, '', '2021-07-09 07:35:35', 42, 4622, '9168535594949555ee1e6e3e928759e297ae1421', '{"id":10,"asset_id":"84","title":"Donec non enim in turpis pulvinar","alias":"death-by-powerpoint","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:13:04","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:12:52","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(36, 10, 1, '', '2021-07-09 07:35:35', 42, 4622, 'f5a070ff95b0923654b04cd34cdb0dda780fb227', '{"id":10,"asset_id":"84","title":"Donec non enim in turpis pulvinar","alias":"death-by-powerpoint","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:20:23","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:20:04","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(37, 11, 1, '', '2021-07-09 07:35:35', 42, 4670, 'f2a6f6f194d24a321177dcf3533d34249641f148', '{"id":11,"asset_id":"85","title":"Mauris placerat eleifend leo","alias":"the-crisis-of-competency-in-accounting-and-finance","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:21:01","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:20:29","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-7.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(38, 12, 1, '', '2021-07-09 07:35:35', 42, 4691, 'c3723fe8f73cb00e6c503954dba3e5c6ae5a661e', '{"id":12,"asset_id":"86","title":"Pellentesque habitant morbi tristique senectus et netus","alias":"why-hiring-managers-are-sweetening-the-pot-2","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:21:46","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-24 04:21:18","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-9.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(39, 13, 1, '', '2021-07-09 07:35:35', 42, 4689, 'df2e9f92d06263f4952ca654a92b679963810ada', '{"id":13,"asset_id":87,"title":"Pellentesque habitant morbi tristique senectus et netus","alias":"why-hiring-managers-are-sweetening-the-pot-2","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":0,"catid":"11","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:22:30","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-9.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"7","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(40, 14, 1, '', '2021-07-09 07:35:35', 42, 4668, '3a64ce792668b1dc554f7b43f9d255cc78a9b285', '{"id":14,"asset_id":88,"title":"Mauris placerat eleifend leo","alias":"the-crisis-of-competency-in-accounting-and-finance","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":0,"catid":"11","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:22:30","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-7.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"3","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(41, 15, 1, '', '2021-07-09 07:35:35', 42, 4622, '46332a640eac09f17b5741e3b357f9a47f23f344', '{"id":15,"asset_id":89,"title":"Donec non enim in turpis pulvinar","alias":"death-by-powerpoint-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":0,"catid":"11","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:22:30","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"5","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(42, 16, 1, '', '2021-07-09 07:35:35', 42, 4644, '1657f2fe300ddff424f60cdb677c65bca47b8fe1', '{"id":16,"asset_id":90,"title":"Pellentesque habitant morbi","alias":"pellentesque-habitant-morbi","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":0,"catid":"11","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:22:30","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"4","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(43, 17, 1, '', '2021-07-09 07:35:35', 42, 4676, 'f003187f35350796007d1f8b868d9bebeebcba23', '{"id":17,"asset_id":91,"title":"Changes Coming to SMB Healthcare Tax Credit","alias":"changes-coming-to-smb-healthcare-tax-credit","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":0,"catid":"11","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-24 04:22:30","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"3","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(44, 1, 9, '', '2021-07-09 07:35:35', 42, 784, '3df149e5a8d6e47c778a1c5cff513dae5292dcfb', '{"id":1,"cid":"0","type":"0","name":"Ads 1","alias":"ads-1","imptotal":0,"impmade":"0","clicks":"0","clickurl":"http:\\/\\/localhost\\/ja_dev\\/ja_dev\\/ja_alpha\\/index.php","state":"1","catid":"3","description":"","custombannercode":"","sticky":"0","ordering":1,"metakey":"","params":"{\\"imageurl\\":\\"images\\\\\\/joomlart\\\\\\/others\\\\\\/ads-1.jpg\\",\\"width\\":\\"\\",\\"height\\":\\"\\",\\"alt\\":\\"\\"}","own_prefix":"0","metakey_prefix":"","purchase_type":"-1","track_clicks":"0","track_impressions":"0","checked_out":null,"checked_out_time":null,"publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","reset":"2020-10-25 00:00:00","created":"2020-09-25 07:43:04","language":"*","created_by":"42","created_by_alias":"","modified":"0000-00-00 00:00:00","modified_by":null,"version":1}', 0),
(45, 1, 9, '', '2021-07-09 07:35:35', 42, 770, '30c9bd5889b920a7c911d6caa01eae682a8930d0', '{"id":1,"cid":"0","type":"0","name":"Ads 1","alias":"ads-1","imptotal":0,"impmade":"0","clicks":"0","clickurl":"https:\\/\\/joomlart.com","state":"1","catid":"3","description":"","custombannercode":"","sticky":"0","ordering":"1","metakey":"","params":"{\\"imageurl\\":\\"images\\\\\\/joomlart\\\\\\/others\\\\\\/ads-1.jpg\\",\\"width\\":\\"\\",\\"height\\":\\"\\",\\"alt\\":\\"\\"}","own_prefix":"0","metakey_prefix":"","purchase_type":"-1","track_clicks":"0","track_impressions":"0","checked_out":"42","checked_out_time":"2020-09-25 07:43:04","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","reset":"2020-10-25 00:00:00","created":"2020-09-25 07:43:04","language":"*","created_by":"42","created_by_alias":"","modified":"2020-09-25 07:43:18","modified_by":"42","version":2}', 0),
(46, 3, 8, '', '2021-07-09 07:35:35', 42, 550, '7707d81b17d6517a96c2fcead8c2e9350e625ead', '{"id":3,"parent_id":"1","lft":"3","rgt":4,"level":1,"path":"alpha","title":"alpha","alias":"alpha","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"2020-09-25 08:23:19","access":1,"params":"{}","metadesc":"","metakey":"","metadata":"{}","created_user_id":"42","created_time":"2020-09-25 08:23:19","created_by_alias":"","modified_user_id":"0","modified_time":"2020-09-25 08:23:19","images":"{}","urls":"{}","hits":"0","language":"*","version":"1","publish_up":"2020-09-25 08:23:19","publish_down":"2020-09-25 08:23:19"}', 0),
(47, 4, 8, '', '2021-07-09 07:35:35', 42, 547, 'ee5748286d5a1d9ac5768e2429946e9d00eb67ef', '{"id":4,"parent_id":"1","lft":"5","rgt":6,"level":1,"path":"news","title":"news","alias":"news","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"2020-09-25 08:23:19","access":1,"params":"{}","metadesc":"","metakey":"","metadata":"{}","created_user_id":"42","created_time":"2020-09-25 08:23:19","created_by_alias":"","modified_user_id":"0","modified_time":"2020-09-25 08:23:19","images":"{}","urls":"{}","hits":"0","language":"*","version":"1","publish_up":"2020-09-25 08:23:19","publish_down":"2020-09-25 08:23:19"}', 0),
(48, 5, 8, '', '2021-07-09 07:35:35', 42, 571, '4688ebc73402e7fb22763e93c97271f1aa521963', '{"id":5,"parent_id":"1","lft":"7","rgt":8,"level":1,"path":"t4-framework","title":"t4 framework","alias":"t4-framework","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"2020-09-25 08:23:19","access":1,"params":"{}","metadesc":"","metakey":"","metadata":"{}","created_user_id":"42","created_time":"2020-09-25 08:23:19","created_by_alias":"","modified_user_id":"0","modified_time":"2020-09-25 08:23:19","images":"{}","urls":"{}","hits":"0","language":"*","version":"1","publish_up":"2020-09-25 08:23:19","publish_down":"2020-09-25 08:23:19"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(49, 6, 8, '', '2021-07-09 07:35:35', 42, 560, '12062aa4da24926d5c65c66f4e5b2528aee1852e', '{"id":6,"parent_id":"1","lft":"9","rgt":10,"level":1,"path":"joomlart","title":"joomlart","alias":"joomlart","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"2020-09-25 08:23:19","access":1,"params":"{}","metadesc":"","metakey":"","metadata":"{}","created_user_id":"42","created_time":"2020-09-25 08:23:19","created_by_alias":"","modified_user_id":"0","modified_time":"2020-09-25 08:23:19","images":"{}","urls":"{}","hits":"0","language":"*","version":"1","publish_up":"2020-09-25 08:23:19","publish_down":"2020-09-25 08:23:19"}', 0),
(50, 16, 1, '', '2021-07-09 07:35:35', 42, 4647, 'b57645a04cb5968e34607bc2f94492c3c2d032d9', '{"id":16,"asset_id":"90","title":"Pellentesque habitant morbi","alias":"pellentesque-habitant-morbi","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"11","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-25 08:23:19","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-25 08:22:33","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":"","note":""}', 0),
(51, 17, 1, '', '2021-07-09 07:35:35', 42, 4679, '5f4dec574bcda8a01d3fa61e5d906e76461a820c', '{"id":17,"asset_id":"91","title":"Changes Coming to SMB Healthcare Tax Credit","alias":"changes-coming-to-smb-healthcare-tax-credit","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"11","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-25 08:23:46","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-25 08:23:30","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":"","note":""}', 0),
(52, 14, 1, '', '2021-07-09 07:35:35', 42, 4671, '83802921a395a9c780f5cc7788ff582d7aa2b1d4', '{"id":14,"asset_id":"88","title":"Mauris placerat eleifend leo","alias":"the-crisis-of-competency-in-accounting-and-finance","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"11","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-25 08:24:03","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-25 08:23:53","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-7.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":"","note":""}', 0),
(53, 9, 1, '', '2021-07-09 07:35:35', 42, 4645, 'bb817ae93fedf5e125596a83e407bd759b73565f', '{"id":9,"asset_id":"83","title":"Pellentesque habitant morbi","alias":"pellentesque-habitant-morbi","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-25 08:24:20","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-25 08:24:09","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"9","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":"","note":""}', 0),
(54, 11, 1, '', '2021-07-09 07:35:35', 42, 4670, '6fa388faa6fe00149dbd0e85dbae82adb57260fa', '{"id":11,"asset_id":"85","title":"Mauris placerat eleifend leo","alias":"the-crisis-of-competency-in-accounting-and-finance","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-09-25 08:25:15","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-25 08:25:04","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-7.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":"","note":""}', 0),
(55, 13, 5, '', '2021-07-09 07:35:35', 42, 557, '4de3f0181a91a93bf31718106fad085160227729', '{"id":13,"asset_id":102,"parent_id":"1","lft":"21","rgt":22,"level":1,"path":null,"extension":"com_content","title":"Portfolio","alias":"portfolio","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:10:30","modified_user_id":null,"modified_time":"2020-09-28 02:10:30","hits":null,"language":"*","version":null}', 0),
(56, 14, 5, '', '2021-07-09 07:35:35', 42, 560, '52c34ee007f4824d3523f050501f75eccba15eed', '{"id":14,"asset_id":103,"parent_id":"13","lft":"22","rgt":23,"level":2,"path":null,"extension":"com_content","title":"Accounting","alias":"accounting","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:10:39","modified_user_id":null,"modified_time":"2020-09-28 02:10:39","hits":null,"language":"*","version":null}', 0),
(57, 15, 5, '', '2021-07-09 07:35:35', 42, 556, '0b61223451583070c4474230492edebaf2d532cc', '{"id":15,"asset_id":104,"parent_id":"13","lft":"24","rgt":25,"level":2,"path":null,"extension":"com_content","title":"Cashflow","alias":"cashflow","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:10:48","modified_user_id":null,"modified_time":"2020-09-28 02:10:48","hits":null,"language":"*","version":null}', 0),
(58, 16, 5, '', '2021-07-09 07:35:35', 42, 558, 'aa21fb0657353392a034e540cdeed824e74c33d4', '{"id":16,"asset_id":105,"parent_id":"13","lft":"26","rgt":27,"level":2,"path":null,"extension":"com_content","title":"Financial","alias":"financial","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:10:56","modified_user_id":null,"modified_time":"2020-09-28 02:10:56","hits":null,"language":"*","version":null}', 0),
(59, 17, 5, '', '2021-07-09 07:35:35', 42, 558, '617a78db8e69d702fd8ee994b8e75c69156aaf63', '{"id":17,"asset_id":106,"parent_id":"13","lft":"28","rgt":29,"level":2,"path":null,"extension":"com_content","title":"Invoicing","alias":"invoicing","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:11:06","modified_user_id":null,"modified_time":"2020-09-28 02:11:06","hits":null,"language":"*","version":null}', 0),
(60, 18, 5, '', '2021-07-09 07:35:35', 42, 556, '067711345f48f12671eaf5ba43812afc58eeaed6', '{"id":18,"asset_id":107,"parent_id":"13","lft":"30","rgt":31,"level":2,"path":null,"extension":"com_content","title":"Services","alias":"services","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:11:16","modified_user_id":null,"modified_time":"2020-09-28 02:11:16","hits":null,"language":"*","version":null}', 0),
(61, 19, 5, '', '2021-07-09 07:35:35', 42, 554, 'ef465e91de61c4ce8db7c93c941b3ca02e8c5f94', '{"id":19,"asset_id":108,"parent_id":"13","lft":"32","rgt":33,"level":2,"path":null,"extension":"com_content","title":"Trading","alias":"trading","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:11:25","modified_user_id":null,"modified_time":"2020-09-28 02:11:25","hits":null,"language":"*","version":null}', 0),
(62, 13, 5, '', '2021-07-09 07:35:35', 42, 617, 'fa2367e16d4f48533e2808601d32ff5c6f3f21af', '{"id":13,"asset_id":"102","parent_id":"1","lft":"21","rgt":"34","level":"1","path":"portfolio","extension":"com_content","title":"Portfolio","alias":"portfolio","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2020-09-28 02:38:04","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t4_extrafields\\":\\"porfolio\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:10:30","modified_user_id":"42","modified_time":"2020-09-28 02:38:11","hits":"0","language":"*","version":"1"}', 0),
(64, 14, 5, '', '2021-07-09 07:35:35', 42, 632, '36225b5831cacb71f99edfb4811121d13c29f31d', '{"id":14,"asset_id":"103","parent_id":"13","lft":"22","rgt":"23","level":"2","path":"portfolio\\/accounting","extension":"com_content","title":"Accounting","alias":"accounting","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2020-09-28 02:44:24","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t4_extrafields\\":\\"porfolio\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:10:39","modified_user_id":"42","modified_time":"2020-09-28 02:44:30","hits":"0","language":"*","version":"1"}', 0),
(65, 15, 5, '', '2021-07-09 07:35:35', 42, 626, '135cf16a7adab56acaedaaa9f83aae7d4ecc4a23', '{"id":15,"asset_id":"104","parent_id":"13","lft":"24","rgt":"25","level":"2","path":"portfolio\\/cashflow","extension":"com_content","title":"Cashflow","alias":"cashflow","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2020-09-28 02:44:39","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t4_extrafields\\":\\"porfolio\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:10:48","modified_user_id":"42","modified_time":"2020-09-28 02:44:46","hits":"0","language":"*","version":"1"}', 0),
(66, 16, 5, '', '2021-07-09 07:35:35', 42, 629, '20a98ae569052f3642f54f78872d58862ce47f8d', '{"id":16,"asset_id":"105","parent_id":"13","lft":"26","rgt":"27","level":"2","path":"portfolio\\/financial","extension":"com_content","title":"Financial","alias":"financial","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2020-09-28 02:44:56","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t4_extrafields\\":\\"porfolio\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:10:56","modified_user_id":"42","modified_time":"2020-09-28 02:45:04","hits":"0","language":"*","version":"1"}', 0),
(67, 17, 5, '', '2021-07-09 07:35:35', 42, 629, 'c8be33f6c4a1f860c6c056bcc494ba92053a23a9', '{"id":17,"asset_id":"106","parent_id":"13","lft":"28","rgt":"29","level":"2","path":"portfolio\\/invoicing","extension":"com_content","title":"Invoicing","alias":"invoicing","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2020-09-28 02:45:11","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t4_extrafields\\":\\"porfolio\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:11:06","modified_user_id":"42","modified_time":"2020-09-28 02:45:19","hits":"0","language":"*","version":"1"}', 0),
(68, 18, 5, '', '2021-07-09 07:35:35', 42, 626, '4bf4807484f9ddd30eb223fede7dc3f4741d9187', '{"id":18,"asset_id":"107","parent_id":"13","lft":"30","rgt":"31","level":"2","path":"portfolio\\/services","extension":"com_content","title":"Services","alias":"services","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2020-09-28 02:45:30","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t4_extrafields\\":\\"porfolio\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:11:16","modified_user_id":"42","modified_time":"2020-09-28 02:45:37","hits":"0","language":"*","version":"1"}', 0),
(69, 19, 5, '', '2021-07-09 07:35:35', 42, 623, '41687b6bb483eed6d930cef23554c64ee3bfe606', '{"id":19,"asset_id":"108","parent_id":"13","lft":"32","rgt":"33","level":"2","path":"portfolio\\/trading","extension":"com_content","title":"Trading","alias":"trading","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2020-09-28 02:45:43","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t4_extrafields\\":\\"porfolio\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-09-28 02:11:25","modified_user_id":"42","modified_time":"2020-09-28 02:45:51","hits":"0","language":"*","version":"1"}', 0),
(77, 19, 1, '', '2021-07-09 07:35:35', 42, 3630, 'e8ddbb796c05d1dd2d2bc070ddf2d2f9c70bd853', '{"id":19,"asset_id":111,"title":"Helping Companies With Healthcare Inustry (2)","alias":"helping-companies-with-healthcare-inustry-2","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes\\r\\n<\\/p>\\r\\n<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes\\r\\n<\\/p>\\r\\n","fulltext":"","state":0,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-28 04:09:40","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-28 02:38:39","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"4\\",\\"gallery-title\\":\\"\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"tour-gallery\\":[]}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(78, 19, 1, '', '2021-07-09 07:35:35', 42, 3666, '8f80376d30bd008d9928230cc2ca974dd1fdf02d', '{"id":19,"asset_id":"111","title":"Helping Companies With Healthcare Inustry (2)","alias":"helping-companies-with-healthcare-inustry-2","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes\\r\\n<\\/p>\\r\\n<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes\\r\\n<\\/p>\\r\\n","fulltext":"","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-28 04:09:50","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-28 04:09:40","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"4\\",\\"gallery-title\\":\\"\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"tour-gallery\\":[]}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(82, 18, 1, '', '2021-07-09 07:35:35', 42, 4584, '92d69d0755370b17d10400d6ffe6ddd4cd37eef5', '{"id":18,"asset_id":"109","title":"Helping Companies With Healthcare Inustry","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes\\r\\n<\\/p>\\r\\n","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-28 04:47:01","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-28 04:41:36","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"4\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":[]}","version":12,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"14","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(83, 18, 1, '', '2021-07-09 07:35:35', 42, 4626, '0f77af807ad797c76f2768cda8c115d152c33073', '{"id":18,"asset_id":"109","title":"Helping Companies With Healthcare Inustry","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes\\r\\n<\\/p>\\r\\n","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-28 07:15:27","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-28 07:15:07","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"4\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":[]}","version":13,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"20","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(84, 18, 1, '', '2021-07-09 07:35:35', 42, 5158, 'dcbdb5d03d9d9d4dee50588dbc47c62a519b7706', '{"id":18,"asset_id":"109","title":"Helping Companies With Healthcare Inustry","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-28 09:45:26","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-28 07:15:27","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":[]}","version":14,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"40","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(85, 18, 1, '', '2021-07-09 07:35:35', 42, 5557, '8be5e55856beb27afb9563a6d9e838d7f9035a38', '{"id":18,"asset_id":"109","title":"Helping Companies With Healthcare Inustry","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-28 09:46:28","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-28 09:45:26","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":[]}","version":15,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"40","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(86, 18, 1, '', '2021-07-09 07:35:35', 42, 6156, 'e4263303a1050999d361af3220bc5ba126e9ecfe', '{"id":18,"asset_id":"109","title":"Helping Companies With Healthcare Inustry","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-28 09:52:35","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-28 09:46:28","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":16,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"41","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(87, 18, 1, '', '2021-07-09 07:35:35', 42, 6356, '4918b629b9a4ff70af1ce6f83e1dc12acc860513', '{"id":18,"asset_id":"109","title":"Helping Companies With Healthcare Inustry","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-28 09:58:31","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-28 09:52:35","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery5\\":{\\"gallery_img\\":\\"images\\\\\\/powered_by.png\\",\\"gallery_alt\\":\\"\\"},\\"portfolio-gallery6\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"\\"}}}","version":17,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"49","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(88, 18, 1, '', '2021-07-09 07:35:35', 42, 6385, '596211cc616208de5f8753066583b3cf2bceb601', '{"id":18,"asset_id":"109","title":"Helping Companies With Healthcare Inustry","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-29 01:52:33","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-29 01:52:18","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery5\\":{\\"gallery_img\\":\\"images\\\\\\/powered_by.png\\",\\"gallery_alt\\":\\"\\"},\\"portfolio-gallery6\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"\\"}}}","version":18,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"54","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(89, 18, 1, '', '2021-07-09 07:35:35', 42, 6185, '84e61cafc92dae2b5060c2e2cafa5fff419dc1d9', '{"id":18,"asset_id":"109","title":"Helping Companies With Healthcare Inustry","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-29 01:54:30","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-29 01:52:33","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":19,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"56","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(90, 20, 1, '', '2021-07-09 07:35:35', 42, 3677, 'ca76144e9b83d712237f85003e43ca043aa23c43', '{"id":20,"asset_id":113,"title":"Helping Companies With Healthcare Inustry (3)","alias":"helping-companies-with-healthcare-inustry-3","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes\\r\\n<\\/p>\\r\\n<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\u201d \\u2014 Jack Parrish, Davidson Homes\\r\\n<\\/p>\\r\\n","fulltext":"","state":0,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-29 08:51:05","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-28 02:38:39","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":[],\\"gallery-title\\":\\"\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":[]}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(91, 21, 1, '', '2021-07-09 07:35:35', 42, 6153, 'c858e9032bebc9592b30a1749212a53a95b69d04', '{"id":21,"asset_id":114,"title":"Helping Companies With Healthcare Inustry (4)","alias":"helping-companies-with-healthcare-inustry-4","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:26:41","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-28 02:38:39","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(92, 21, 1, '', '2021-07-09 07:35:35', 42, 6179, '526a4516e64d60649f1ba3e7b4180315d6091c74', '{"id":21,"asset_id":"114","title":"Assertively iterate resource maximizing","alias":"assertively-iterate-resource-maximizing","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:27:21","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:26:41","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(93, 21, 1, '', '2021-07-09 07:35:35', 42, 6162, '1d667df14016c933a73c7368e078db3bb0125f3c', '{"id":21,"asset_id":"114","title":"Assertively iterate resource maximizing","alias":"assertively-iterate-resource-maximizing","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:28:12","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:27:21","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Accounting\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(94, 22, 1, '', '2021-07-09 07:35:35', 42, 6132, '561ac0c8a436e38556d1ca2fc2939e2f20bf7689', '{"id":22,"asset_id":115,"title":"Assertively iterate resource maximizing (2)","alias":"assertively-iterate-resource-maximizing-2","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:28:59","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-28 02:38:39","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Accounting\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(95, 22, 1, '', '2021-07-09 07:35:35', 42, 6151, '61b4c3922a767210705b2a7594e985cadce41e67', '{"id":22,"asset_id":"115","title":"Sed ut perspiciatis unde omnis","alias":"sed-ut-perspiciatis-unde-omnis","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:29:52","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:28:59","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(96, 23, 1, '', '2021-07-09 07:35:35', 42, 6121, 'b88531f5eb53d164930c06bf8357389d2596f56f', '{"id":23,"asset_id":116,"title":"Sed ut perspiciatis unde omnis (2)","alias":"sed-ut-perspiciatis-unde-omnis-2","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:30:05","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-28 02:38:39","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(97, 23, 1, '', '2021-07-09 07:35:35', 42, 6149, '83eab9b1405f0b3550c5d593214d894169b918c3', '{"id":23,"asset_id":"116","title":"Architecto beatae duis autems","alias":"architecto-beatae-duis-autems","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:30:41","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:30:05","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(98, 23, 1, '', '2021-07-09 07:35:35', 42, 6141, '907cdbc02921edd4707475dd2e9ea4cc1239f0ba', '{"id":23,"asset_id":"116","title":"Architecto beatae duis autems","alias":"architecto-beatae-duis-autems","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:31:05","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:30:41","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Dignissim\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(99, 24, 1, '', '2021-07-09 07:35:35', 42, 6111, '15f206ffedc6fb4c690e7df476dba08cc4c5490f', '{"id":24,"asset_id":117,"title":"Architecto beatae duis autems (2)","alias":"architecto-beatae-duis-autems-2","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:32:00","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-28 02:38:39","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Dignissim\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(100, 24, 1, '', '2021-07-09 07:35:35', 42, 6136, 'ad6c42e60d437a7edf8ae46153965a3d08197ce1', '{"id":24,"asset_id":"117","title":"Temporibus autem quibusdam","alias":"temporibus-autem-quibusdam","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:32:27","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:32:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Temporibus\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(101, 24, 1, '', '2021-07-09 07:35:35', 42, 6136, '37a672480e8cbd7589cf350834f941ce6e2a2280', '{"id":24,"asset_id":"117","title":"Temporibus autem quibusdam","alias":"temporibus-autem-quibusdam","introtext":"<p>\\r\\n  Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:32:41","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:32:27","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Temporibus\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(102, 24, 1, '', '2021-07-09 07:35:35', 42, 6157, 'b2e614126329e1763a63d19fb447c732e901b83e', '{"id":24,"asset_id":"117","title":"Temporibus autem quibusdam et aut officiis debitis","alias":"temporibus-autem-quibusdam","introtext":"<p>\\r\\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:33:16","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:32:41","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Temporibus\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(103, 23, 1, '', '2021-07-09 07:35:35', 42, 6154, '1b69e106da164b163575c450116103c7e684d463', '{"id":23,"asset_id":"116","title":"Architecto beatae duis autems","alias":"architecto-beatae-duis-autems","introtext":"<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:34:10","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:33:56","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Dignissim\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":4,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(104, 21, 1, '', '2021-07-09 07:35:35', 42, 6157, '159c002458110cbc527cf0ad8bc462d187abfa7f', '{"id":21,"asset_id":"114","title":"Hendrerit saepe eveniet in vulputate velit","alias":"hendrerit-saepe-eveniet-in-vulputate-velit","introtext":"<p>\\r\\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:34:46","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:34:19","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Accounting\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":4,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(105, 22, 1, '', '2021-07-09 07:35:35', 42, 6152, '89981a7b56ffdff373585a2130e1d1443e0ac72a', '{"id":22,"asset_id":"115","title":"Aperiam, eaque ipsa quae ab illo inventore","alias":"sed-ut-perspiciatis-unde-omnis","introtext":"<p>\\r\\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:35:29","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:35:07","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(106, 18, 1, '', '2021-07-09 07:35:35', 42, 6217, '38e1391c48e3f2fc1fc69b8e4c59f003cb0743b9', '{"id":18,"asset_id":"109","title":"Dignissim et autre officiis debitis autrerum sed necessitatibus","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:36:12","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:35:50","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":20,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"66","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(107, 25, 1, '', '2021-07-09 07:35:35', 42, 6185, 'b9416126decf0da93bea4e7383dbf0fc042a21c9', '{"id":25,"asset_id":118,"title":"Dignissim et autre officiis debitis autrerum sed necessitatibus (2)","alias":"helping-companies-with-healthcare-inustry-4","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:36:48","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-28 02:38:39","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(108, 25, 1, '', '2021-07-09 07:35:35', 42, 6216, 'fd93120db5f64657d9e1ebf8142cb564ba47830a', '{"id":25,"asset_id":"118","title":"Totams our aperiam, eaque ipsa quae ab illo inventore","alias":"totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:37:18","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:36:48","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"20\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(109, 18, 1, '', '2021-07-09 07:35:35', 42, 6217, 'd81d5459ff4f2840c86ba7252ae6a53e44c6c92a', '{"id":18,"asset_id":"109","title":"Dignissim et autre officiis debitis autrerum sed necessitatibus","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:48:38","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:48:29","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":21,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"68","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(110, 21, 1, '', '2021-07-09 07:35:35', 42, 6158, 'e4a5f01e3ae7fae5dabfe679a18c59eb803a4903', '{"id":21,"asset_id":"114","title":"Hendrerit saepe eveniet in vulputate velit","alias":"hendrerit-saepe-eveniet-in-vulputate-velit","introtext":"<p>\\r\\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:48:54","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:48:45","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Accounting\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":5,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(111, 22, 1, '', '2021-07-09 07:35:35', 42, 6152, '2ed464cef445b9504d313ea4573143a03c335097', '{"id":22,"asset_id":"115","title":"Aperiam, eaque ipsa quae ab illo inventore","alias":"sed-ut-perspiciatis-unde-omnis","introtext":"<p>\\r\\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:49:08","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:49:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":4,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(112, 23, 1, '', '2021-07-09 07:35:35', 42, 6155, '880dce2c8194972dc8fd7915c9ab468cd778a149', '{"id":23,"asset_id":"116","title":"Architecto beatae duis autems","alias":"architecto-beatae-duis-autems","introtext":"<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:49:26","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:49:15","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Dignissim\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":5,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(113, 24, 1, '', '2021-07-09 07:35:35', 42, 6157, '7d43a4c922f766a641126a63da4d20d26fa40848', '{"id":24,"asset_id":"117","title":"Temporibus autem quibusdam et aut officiis debitis","alias":"temporibus-autem-quibusdam","introtext":"<p>\\r\\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:49:41","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:49:32","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Temporibus\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":5,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(114, 25, 1, '', '2021-07-09 07:35:35', 42, 6217, '0d68f2de818e8cf9ee0ed67393e31e07397add80', '{"id":25,"asset_id":"118","title":"Totams our aperiam, eaque ipsa quae ab illo inventore","alias":"totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":1,"catid":"14","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-09-30 02:49:55","modified_by":"42","checked_out":"42","checked_out_time":"2020-09-30 02:49:46","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(115, 20, 5, '', '2021-07-09 07:35:35', 42, 579, 'a4bb8288eb3d8b1bd6dc9de96d879d8c63ca652e', '{"id":20,"asset_id":125,"parent_id":"1","lft":"35","rgt":36,"level":1,"path":null,"extension":"com_content","title":"Services","alias":"services","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t4_extrafields\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-10-02 04:21:47","modified_user_id":null,"modified_time":"2020-10-02 04:21:47","hits":null,"language":"*","version":null}', 0),
(123, 27, 1, '', '2021-07-09 07:35:35', 42, 5498, 'e177eebc4e9a6fa2bbfaf4af78de65c7ef1b92cc', '{"id":27,"asset_id":128,"title":"Financial Services (2)","alias":"financial-services-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":0,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-02 08:33:01","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-23 08:42:54","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(124, 27, 1, '', '2021-07-09 07:35:35', 42, 5528, 'afb7d56ac4b0208c9fa3f5a62a0d54c034d93d7c', '{"id":27,"asset_id":"128","title":"Strategic planning","alias":"strategic-planning","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-02 08:33:21","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-02 08:33:01","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(125, 28, 1, '', '2021-07-09 07:35:35', 42, 5498, '818ffa8e1abe04f3317910ff8941dc1c60f1a22b', '{"id":28,"asset_id":129,"title":"Strategic planning (2)","alias":"strategic-planning-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":0,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-02 08:33:28","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-23 08:42:54","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(126, 28, 1, '', '2021-07-09 07:35:35', 42, 5524, 'd7471e8252e40ca5fa1b9940260dbe6cd74d0db7', '{"id":28,"asset_id":"129","title":"Audit & Assurance","alias":"audit-assurance","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-02 08:33:43","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-02 08:33:28","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(127, 29, 1, '', '2021-07-09 07:35:35', 42, 5494, '5eb155b7ce398aacbd28343537177e78a5de6db0', '{"id":29,"asset_id":130,"title":"Audit & Assurance (2)","alias":"audit-assurance-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":0,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-02 08:33:50","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-23 08:42:54","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(128, 29, 1, '', '2021-07-09 07:35:35', 42, 5520, '7d11b05ea503bf1b78a2c2ec82050622618be831', '{"id":29,"asset_id":"130","title":"Trades & Stocks","alias":"trades-stocks","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-02 08:34:07","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-02 08:33:50","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(129, 30, 1, '', '2021-07-09 07:35:35', 42, 6214, '6d85eac964d9b24e0d3b7c0ab22fb27000a039c0', '{"id":30,"asset_id":150,"title":"Totams our aperiam, eaque ipsa quae ab illo inventore","alias":"totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"15","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:17","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"3","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(130, 31, 1, '', '2021-07-09 07:35:35', 42, 6154, 'a1dc23d4e97928e61378820d0f0a471d39b7070c', '{"id":31,"asset_id":151,"title":"Temporibus autem quibusdam et aut officiis debitis","alias":"temporibus-autem-quibusdam","introtext":"<p>\\r\\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"15","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:17","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Temporibus\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"1","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(131, 32, 1, '', '2021-07-09 07:35:35', 42, 6152, '1ac4746b4c703572a338bf9595e1485a1303e115', '{"id":32,"asset_id":152,"title":"Architecto beatae duis autems","alias":"architecto-beatae-duis-autems","introtext":"<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"15","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:17","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Dignissim\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"2","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(132, 33, 1, '', '2021-07-09 07:35:35', 42, 6149, 'ee0ee8112bca47ad5c2b4c4cfc8c649b50ce9c6b', '{"id":33,"asset_id":153,"title":"Aperiam, eaque ipsa quae ab illo inventore","alias":"sed-ut-perspiciatis-unde-omnis","introtext":"<p>\\r\\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"15","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:17","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"4","ordering":"3","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(133, 34, 1, '', '2021-07-09 07:35:35', 42, 6155, 'cc6ac9799716f827c24d2951e2c375e1dcf01c61', '{"id":34,"asset_id":154,"title":"Hendrerit saepe eveniet in vulputate velit","alias":"hendrerit-saepe-eveniet-in-vulputate-velit","introtext":"<p>\\r\\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"15","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:17","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Accounting\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"4","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(134, 35, 1, '', '2021-07-09 07:35:35', 42, 6213, '37a4952c74fa123a3e7a9cff3ed0eacd69f0bdfa', '{"id":35,"asset_id":155,"title":"Dignissim et autre officiis debitis autrerum sed necessitatibus","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"15","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:17","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"21","ordering":"5","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(135, 36, 1, '', '2021-07-09 07:35:35', 42, 6214, '304e3c92cd836d78e9ba2bd3fdd8955772239146', '{"id":36,"asset_id":156,"title":"Totams our aperiam, eaque ipsa quae ab illo inventore","alias":"totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"16","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:44","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"3","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(136, 37, 1, '', '2021-07-09 07:35:35', 42, 6154, '2f8d3ad23f05744d63695bfc5b0363348bd60f1a', '{"id":37,"asset_id":157,"title":"Temporibus autem quibusdam et aut officiis debitis","alias":"temporibus-autem-quibusdam","introtext":"<p>\\r\\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"16","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:44","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Temporibus\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"1","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(137, 38, 1, '', '2021-07-09 07:35:35', 42, 6152, 'b593895edcc318ee42d218501566becfd7a84e69', '{"id":38,"asset_id":158,"title":"Architecto beatae duis autems","alias":"architecto-beatae-duis-autems","introtext":"<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"16","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:44","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Dignissim\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"2","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(138, 39, 1, '', '2021-07-09 07:35:35', 42, 6149, '1ab61acf456606dc8660ac20c99aa0603473eb65', '{"id":39,"asset_id":159,"title":"Aperiam, eaque ipsa quae ab illo inventore","alias":"sed-ut-perspiciatis-unde-omnis","introtext":"<p>\\r\\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"16","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:44","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"4","ordering":"3","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(139, 40, 1, '', '2021-07-09 07:35:35', 42, 6155, '3ac8622b04a07235cdf0abbf3d09e180cd0d7b3d', '{"id":40,"asset_id":160,"title":"Hendrerit saepe eveniet in vulputate velit","alias":"hendrerit-saepe-eveniet-in-vulputate-velit","introtext":"<p>\\r\\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"16","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:44","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Accounting\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"4","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(140, 41, 1, '', '2021-07-09 07:35:35', 42, 6213, '07e5ed1f80bff765dcc881a72ca938a9bf36a4b5', '{"id":41,"asset_id":161,"title":"Dignissim et autre officiis debitis autrerum sed necessitatibus","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"16","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:21:44","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"21","ordering":"5","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(141, 42, 1, '', '2021-07-09 07:35:35', 42, 6214, '9fafd285b0dc57fb19597ecbc176167397f4c2c1', '{"id":42,"asset_id":162,"title":"Totams our aperiam, eaque ipsa quae ab illo inventore","alias":"totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"17","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:22:11","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"3","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(142, 43, 1, '', '2021-07-09 07:35:35', 42, 6154, '2c84803104f7fb8c4bc222b32227cb43ae131b9e', '{"id":43,"asset_id":163,"title":"Temporibus autem quibusdam et aut officiis debitis","alias":"temporibus-autem-quibusdam","introtext":"<p>\\r\\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"17","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:22:11","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Temporibus\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"1","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(143, 44, 1, '', '2021-07-09 07:35:35', 42, 6152, 'e9366932fe0319a8683b6c7257742172104dbbe0', '{"id":44,"asset_id":164,"title":"Architecto beatae duis autems","alias":"architecto-beatae-duis-autems","introtext":"<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"17","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:22:11","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Dignissim\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"2","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(144, 45, 1, '', '2021-07-09 07:35:35', 42, 6149, 'de1b468b2e9cae21f1c448eb3fad98b933cd1a8b', '{"id":45,"asset_id":165,"title":"Aperiam, eaque ipsa quae ab illo inventore","alias":"sed-ut-perspiciatis-unde-omnis","introtext":"<p>\\r\\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"17","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:22:11","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"4","ordering":"3","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(145, 46, 1, '', '2021-07-09 07:35:35', 42, 6155, '90aeeb6465cadb3f708909fb08431bdc586b53f4', '{"id":46,"asset_id":166,"title":"Hendrerit saepe eveniet in vulputate velit","alias":"hendrerit-saepe-eveniet-in-vulputate-velit","introtext":"<p>\\r\\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"17","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:22:11","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Accounting\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"4","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(146, 47, 1, '', '2021-07-09 07:35:35', 42, 6213, '3df2992a47ce2d43aeb080d05d23f8742e65fdb8', '{"id":47,"asset_id":167,"title":"Dignissim et autre officiis debitis autrerum sed necessitatibus","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"17","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:22:11","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"21","ordering":"5","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(147, 48, 1, '', '2021-07-09 07:35:35', 42, 6214, 'a877073ed6c7d036af1bc1cdae57975c1f577ad6', '{"id":48,"asset_id":168,"title":"Totams our aperiam, eaque ipsa quae ab illo inventore","alias":"totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"18","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:02","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"3","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(148, 49, 1, '', '2021-07-09 07:35:35', 42, 6154, '4ae8d31eaa0edc8bd95c728f2892f330cb8b4dc3', '{"id":49,"asset_id":169,"title":"Temporibus autem quibusdam et aut officiis debitis","alias":"temporibus-autem-quibusdam","introtext":"<p>\\r\\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"18","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:02","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Temporibus\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"1","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(149, 50, 1, '', '2021-07-09 07:35:35', 42, 6152, 'fbef5e8b35358cad5d5b2968ebca6361a60c16f8', '{"id":50,"asset_id":170,"title":"Architecto beatae duis autems","alias":"architecto-beatae-duis-autems","introtext":"<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"18","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:02","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Dignissim\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"2","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(150, 51, 1, '', '2021-07-09 07:35:35', 42, 6149, '67c95426bed76e6d3f942cb0b116fc17590e32cf', '{"id":51,"asset_id":171,"title":"Aperiam, eaque ipsa quae ab illo inventore","alias":"sed-ut-perspiciatis-unde-omnis","introtext":"<p>\\r\\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"18","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:02","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"4","ordering":"3","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(151, 52, 1, '', '2021-07-09 07:35:35', 42, 6155, 'ae60fcf58fbe14e498169551709a207d692d008b', '{"id":52,"asset_id":172,"title":"Hendrerit saepe eveniet in vulputate velit","alias":"hendrerit-saepe-eveniet-in-vulputate-velit","introtext":"<p>\\r\\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"18","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:02","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Accounting\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"4","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(152, 53, 1, '', '2021-07-09 07:35:35', 42, 6213, '6f9ee52cf353ef2d8f4f96503b7f3bad919dd29b', '{"id":53,"asset_id":173,"title":"Dignissim et autre officiis debitis autrerum sed necessitatibus","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"18","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:02","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"21","ordering":"5","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(153, 54, 1, '', '2021-07-09 07:35:35', 42, 6214, '19dfb94127feede8b334c6e53fe40821775dce3c', '{"id":54,"asset_id":174,"title":"Totams our aperiam, eaque ipsa quae ab illo inventore","alias":"totams-our-aperiam-eaque-ipsa-quae-ab-illo-inventore","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"19","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:22","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"3","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(154, 55, 1, '', '2021-07-09 07:35:35', 42, 6154, 'b35d9e1e967a6baae1404ccd141462548650092d', '{"id":55,"asset_id":175,"title":"Temporibus autem quibusdam et aut officiis debitis","alias":"temporibus-autem-quibusdam","introtext":"<p>\\r\\n  Temporibus autem quibusdam et aut officiis debitis. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"19","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:22","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Temporibus\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"1","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(155, 56, 1, '', '2021-07-09 07:35:35', 42, 6152, '8ca98f8101f6171a5f50a1061c48a970f38cb7e7', '{"id":56,"asset_id":176,"title":"Architecto beatae duis autems","alias":"architecto-beatae-duis-autems","introtext":"<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"19","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:22","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Dignissim\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"2","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(156, 57, 1, '', '2021-07-09 07:35:35', 42, 6149, '0653650c1b0bbbfe2cd8a92d8635d25269af7379', '{"id":57,"asset_id":177,"title":"Aperiam, eaque ipsa quae ab illo inventore","alias":"sed-ut-perspiciatis-unde-omnis","introtext":"<p>\\r\\n  Aperiam, eaque ipsa quae ab illo inventore. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"19","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:22","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Architecto beatae\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"4","ordering":"3","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(157, 58, 1, '', '2021-07-09 07:35:35', 42, 6155, '3702cdc4a7549ddd9bfe5db625c7ee54fae35dd4', '{"id":58,"asset_id":178,"title":"Hendrerit saepe eveniet in vulputate velit","alias":"hendrerit-saepe-eveniet-in-vulputate-velit","introtext":"<p>\\r\\n  Hendrerit saepe eveniet in vulputate velit. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"19","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:22","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Accounting\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"100\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"5","ordering":"4","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(158, 59, 1, '', '2021-07-09 07:35:35', 42, 6213, 'bff4938295b74fad87c1cb2028bfcdad3b63e143', '{"id":59,"asset_id":179,"title":"Dignissim et autre officiis debitis autrerum sed necessitatibus","alias":"helping-companies-with-healthcare-inustry","introtext":"<p>\\r\\n  Dignissim et autre officiis debitis autrerum sed necessitatibus. For one thing, it meant I could live in a more interesting world than the one around me.\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\r\\nSed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.<\\/p>\\r\\n<p>\\r\\n  Architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\r\\n<\\/p>\\r\\n<ul class=\\"features-list cols-2\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n  \\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n<\\/ul>","state":0,"catid":"19","created":"2020-09-28 02:38:39","created_by":"42","created_by_alias":"","modified":"2020-10-14 07:23:22","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2020-09-28 02:38:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"long-desc\\":\\"<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\\\r\\\\n<p>Looking back, I guess I used to play-act all the time. For one thing, it meant I could live in a more interesting world than the one around me.\\\\r\\\\n\\\\u201cWe needed an upgrade, and we quickly began searching for a digital partner that could help us build a more functional, user-friendly site.\\\\u201d \\\\u2014 Jack Parrish, Davidson Homes<\\\\\\/p>\\\\r\\\\n\\\\r\\\\n\\",\\"type\\":\\"Web Design, Web Development\\",\\"client\\":\\"SquareSparc Ltd.\\",\\"day\\":\\"27th Jun, 2020\\",\\"link\\":\\"www.joomlart.com\\",\\"rating\\":\\"80\\",\\"portfolio-task\\":{\\"portfolio-task0\\":{\\"task_title\\":\\"+ 245%\\",\\"task_label\\":\\"Avg. Time on Page\\"},\\"portfolio-task1\\":{\\"task_title\\":\\"+ 467%\\",\\"task_label\\":\\"Avg. Session Duration\\"},\\"portfolio-task2\\":{\\"task_title\\":\\"- 56%\\",\\"task_label\\":\\"Avg. Page Load Time\\"},\\"portfolio-task3\\":{\\"task_title\\":\\"+45%\\",\\"task_label\\":\\"Bounce Rate\\"}},\\"gallery-title\\":\\"Architecto beatae duis autems\\",\\"gallery-desc\\":\\"Sed ut perspiciatis unde omnis iste natus error sit voluptatems accusantium doloremqu laudantiums ut, totams our aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio dignissim. Temporibus autem quibusdam et aut officiis debitis autrerum necesy itatibus saepe evenit uts et ut voluptates repudiandae sint et molestiae non recusandae.\\\\r\\\\n\\\\r\\\\nArchitecto beatae duis autems vell eums iriure dolors in hendrerit saepe eveniet in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at seds eros sed et accumsan et iusto odio works dignissim et autre officiis debitis autrerum sed necessitatibus saepe evenit.\\",\\"portfolio-gallery\\":{\\"portfolio-gallery0\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-1.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery1\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery2\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery3\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-4.jpg\\",\\"gallery_alt\\":\\"intro image\\"},\\"portfolio-gallery4\\":{\\"gallery_img\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"gallery_alt\\":\\"intro image\\"}}}","version":"21","ordering":"5","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(159, 9, 1, '', '2021-07-09 07:35:35', 42, 4802, '4efcf6fbacc683a11a966ecf6dce3de1a1126583', '{"id":9,"asset_id":"83","title":"Pellentesque habitant morbi","alias":"pellentesque-habitant-morbi","introtext":"<p>\\r\\n  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h3>Local Business Opportunities<\\/h3>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<hr class=\\"system-pagebreak\\" title=\\"Break 1\\" \\/>\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n<hr class=\\"system-pagebreak\\" title=\\"Break 2\\" \\/>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<hr class=\\"system-pagebreak\\" title=\\"Break 3\\" \\/>\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<ul class=\\"features-list\\">\\r\\n\\t<li>Donec non enim in turpis pulvinar facilisis.<\\/li>\\r\\n\\t<li>Aenean ultricies mi vitae est.<\\/li>\\r\\n\\t<li>Mauris placerat eleifend leo.<\\/li>\\r\\n\\t<li>Aenean fermentum, elit eget tincidunt condimentum.<\\/li>\\r\\n\\t<li>Pellentesque habitant morbi.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"9","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-20 08:45:17","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-20 08:43:22","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-5.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"15","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":"","note":""}', 0),
(160, 20, 5, '', '2021-07-09 07:35:35', 42, 614, '85b1c6653a637b74e8864f4595fdf4eb50625a29', '{"id":20,"asset_id":"125","parent_id":"1","lft":"35","rgt":"36","level":"1","path":"services","extension":"com_content","title":"Services","alias":"services","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2020-10-21 08:51:01","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\",\\"t4_extrafields\\":\\"services\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2020-10-02 04:21:47","modified_user_id":"42","modified_time":"2020-10-21 08:51:07","hits":"0","language":"*","version":"1"}', 0),
(166, 26, 1, '', '2021-07-09 07:35:35', 42, 6032, '91bf21498a1fcdd79882b87fdf47daa74cc7bf90', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 06:50:31","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 06:50:13","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"\\",\\"faq-list\\":[],\\"clients-title\\":\\"\\",\\"client-list\\":[]}","version":13,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"146","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(167, 26, 1, '', '2021-07-09 07:35:35', 42, 6683, '69e45f5b679404225d84ced334415ff7e4c26dde', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 06:52:53","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 06:50:31","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Donec quam felis?\\",\\"faq_desc\\":\\"Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus.\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus.\\"}},\\"clients-title\\":\\"\\",\\"client-list\\":[]}","version":14,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"147","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(168, 26, 1, '', '2021-07-09 07:35:35', 42, 6936, '44059e6297d4f8ad32fc0fa9e2ba896bde6919d0', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 06:53:20","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 06:52:53","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Donec quam felis?\\",\\"faq_desc\\":\\"Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus.\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi.\\"}},\\"clients-title\\":\\"\\",\\"client-list\\":[]}","version":15,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"147","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(169, 26, 1, '', '2021-07-09 07:35:35', 42, 7135, '7e7da455d64db9bf4f08877e270b521b941ac075', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 07:13:48","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 06:53:20","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Donec quam felis?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus.\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi.\\"}},\\"clients-title\\":\\"\\",\\"client-list\\":[]}","version":16,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"160","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(170, 26, 1, '', '2021-07-09 07:35:35', 42, 7220, '55b28050a7d03bdcfd4cf9c97ad86b44c11b96e4', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 07:24:57","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 07:13:48","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Donec quam felis?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"\\",\\"client-list\\":[]}","version":17,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"167","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(171, 26, 1, '', '2021-07-09 07:35:35', 42, 7251, 'a658b549d86b817e92f623f08d95375b6ec325f0', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 07:25:16","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 07:24:57","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"\\",\\"client-list\\":[]}","version":18,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"168","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(172, 26, 1, '', '2021-07-09 07:35:35', 42, 8331, 'a7652e0ab792d9c868ea40b8ab7ba7f675f1dd0a', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 07:27:42","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 07:25:16","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":19,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"169","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(173, 26, 1, '', '2021-07-09 07:35:35', 42, 8354, '6d8b74299028d615b9a39a1067bbd75e3d5f4791', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 07:49:14","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 07:27:42","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":20,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"184","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(174, 26, 1, '', '2021-07-09 07:35:35', 42, 8354, 'be46c50f304a665dd06f27eeb80fd6efff8be640', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 07:53:11","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 07:49:14","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"3\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":21,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"188","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(175, 60, 1, '', '2021-07-09 07:35:35', 42, 8321, '9fcc01777106c090aa238c6c29fd9ff3748b4085', '{"id":60,"asset_id":182,"title":"Financial Services (2)","alias":"financial-services-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":0,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 09:11:24","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-23 08:42:54","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(176, 60, 1, '', '2021-07-09 07:35:35', 42, 8353, '8442123958c002c0e01d5d08b67dccd5922b1454', '{"id":60,"asset_id":"182","title":"Strategic planning","alias":"strategic-planning-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 09:12:38","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 09:11:24","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(177, 61, 1, '', '2021-07-09 07:35:35', 42, 8321, '474d9c5e11b26cca36ba423b1f0de971ff40bdce', '{"id":61,"asset_id":183,"title":"Strategic planning (2)","alias":"strategic-planning-3","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":0,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 09:13:38","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-23 08:42:54","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(178, 61, 1, '', '2021-07-09 07:35:35', 42, 8349, 'b900bc415ea45ddb098d0bb6bf4354bfa414c851', '{"id":61,"asset_id":"183","title":"Audit & Assurance","alias":"audit-assurance-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 09:14:25","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 09:13:38","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-7.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(179, 62, 1, '', '2021-07-09 07:35:35', 42, 8317, '9b6bb91861b6914cfef8ccbe1811bfeab2ef1dc7', '{"id":62,"asset_id":184,"title":"Audit & Assurance (2)","alias":"audit-assurance-3","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":0,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 09:14:37","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2020-09-23 08:42:54","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-7.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(180, 62, 1, '', '2021-07-09 07:35:35', 42, 8345, '95f3b3a6e3bce7aa8424118998330c8c8150ba07', '{"id":62,"asset_id":"184","title":"Trades & Stocks","alias":"trades-stocks-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2>\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 09:15:21","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 09:14:37","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(181, 26, 1, '', '2021-07-09 07:35:35', 42, 8369, '09f245f25533a9b5212b0b59d566e3a29621c94f', '{"id":26,"asset_id":"126","title":"Financial Services","alias":"financial-services","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2 class=\\"mb-3\\">\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 10:04:05","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 10:03:35","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-3.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":23,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"217","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(182, 60, 1, '', '2021-07-09 07:35:35', 42, 8368, 'ee49cb3c1c1e45de9f9797a249c619ae910dd5ef', '{"id":60,"asset_id":"182","title":"Strategic planning","alias":"strategic-planning-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2 class=\\"mb-3\\">\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 10:04:17","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 10:04:10","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-6.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"3","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0),
(183, 61, 1, '', '2021-07-09 07:35:35', 42, 8364, '9839a43a567a1c273932b938d0e613d7ea3011fb', '{"id":61,"asset_id":"183","title":"Audit & Assurance","alias":"audit-assurance-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2 class=\\"mb-3\\">\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 10:04:28","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 10:04:22","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-7.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(184, 62, 1, '', '2021-07-09 07:35:35', 42, 8360, '09e25e6e0b707a087dc242608ad181d79588e53b', '{"id":62,"asset_id":"184","title":"Trades & Stocks","alias":"trades-stocks-2","introtext":"<p>\\r\\n  Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, auris placerat eleifend leo. Quisque sit amet est et sapien\\r\\n<\\/p>\\r\\n","fulltext":"\\r\\n<h2 class=\\"mb-3\\">\\r\\n  We help local businesses fix their critical issues and grow faster\\r\\n<\\/h2>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p><img src=\\"images\\/joomlart\\/blog\\/demo-detail-1.jpg\\" alt=\\"\\"\\/><\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<blockquote class=\\"blockquote\\">\\r\\n  <p class=\\"mb-0\\">Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante.<\\/p>\\r\\n  <footer class=\\"blockquote-footer\\">Someone famous in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/footer>\\r\\n<\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<div class=\\"row my-5\\">\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<ul class=\\"features-list\\">\\r\\n\\t\\t\\t<li>Work fewer hours \\u2014 and make more money<\\/li>\\r\\n\\t\\t\\t<li>Vestibulum erat wisi, condimentum sed, commodo vitae<\\/li>\\r\\n\\t\\t\\t<li>Cut expenses without sacrificing quality.<\\/li>\\r\\n\\t\\t\\t<li>Automate your business, so you can leave.<\\/li>\\r\\n\\t\\t\\t<li>Hone sharp leadership skills to manage<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<div class=\\"col-md-6\\">\\r\\n\\t\\t<img src=\\"images\\/joomlart\\/others\\/chart.png\\" alt=\\"\\"\\/>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h4>Aenean ultricies mi vitae est.<\\/h4>\\r\\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis.<\\/p>","state":1,"catid":"20","created":"2020-09-23 08:42:54","created_by":"42","created_by_alias":"","modified":"2020-10-22 10:04:39","modified_by":"42","checked_out":"42","checked_out_time":"2020-10-22 10:04:33","publish_up":"2020-09-23 08:42:54","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/detail-2.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"article_layout\\":\\"\\",\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"info_block_show_title\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_associations\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_page_title\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\",\\"logo\\":\\"images\\\\\\/joomlart\\\\\\/logo\\\\\\/logo-mobile-light.png\\",\\"mask\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/intro-1.jpg\\",\\"act-title\\":\\"get a quote from our experts\\",\\"act-phone\\":\\"(907) 555-0101\\",\\"act-desc\\":\\"We provide free quote for our all services.\\",\\"act-link-title\\":\\"Request A Quote\\",\\"act-link\\":\\"index.php?Itemid=127\\",\\"faq-title\\":\\"Frequently Asked Questions\\",\\"faq-list\\":{\\"faq-list0\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur.\\"},\\"faq-list1\\":{\\"faq_title\\":\\"Nullam dictum felis eu pede mollis pretium?\\",\\"faq_desc\\":\\"Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,\\"},\\"faq-list2\\":{\\"faq_title\\":\\"Aenean leo ligula, porttitor eu?\\",\\"faq_desc\\":\\"Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus.\\"},\\"faq-list3\\":{\\"faq_title\\":\\"Phasellus viverra nulla ut metus varius laoreet?\\",\\"faq_desc\\":\\"Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\\"}},\\"clients-title\\":\\"The Customer Used Service\\",\\"clients-cols\\":\\"4\\",\\"client-list\\":{\\"client-list0\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 1\\",\\"client_link\\":\\"#\\"},\\"client-list1\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 2\\",\\"client_link\\":\\"#\\"},\\"client-list2\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-3.png\\",\\"client_alt\\":\\"Client 3\\",\\"client_link\\":\\"#\\"},\\"client-list3\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-4.png\\",\\"client_alt\\":\\"Client 4\\",\\"client_link\\":\\"#\\"},\\"client-list4\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-5.png\\",\\"client_alt\\":\\"Client 5\\",\\"client_link\\":\\"#\\"},\\"client-list5\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-6.png\\",\\"client_alt\\":\\"Client 6\\",\\"client_link\\":\\"#\\"},\\"client-list6\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-1.png\\",\\"client_alt\\":\\"Client 7\\",\\"client_link\\":\\"#\\"},\\"client-list7\\":{\\"client_img\\":\\"images\\\\\\/joomlart\\\\\\/clients\\\\\\/item-2.png\\",\\"client_alt\\":\\"Client 8\\",\\"client_link\\":\\"#\\"}}}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":"","note":""}', 0);

DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT 0,
  `last_check_timestamp` bigint(20) DEFAULT 0,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 COMMENT='Update Sites' DEFAULT CHARSET=utf8;

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla! Core', 'collection', 'https://update.joomla.org/core/list.xml', 1, 1625816138, ''),
(2, 'Accredited Joomla! Translations', 'collection', 'https://update.joomla.org/language/translationlist_3.xml', 1, 1625816139, ''),
(3, 'Joomla! Update Component Update Site', 'extension', 'https://update.joomla.org/core/extensions/com_joomlaupdate.xml', 1, 1625816162, ''),
(27, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/mod_jamasthead.xml', 1, 1625816163, ''),
(28, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/mod_ja_acm.xml', 1, 1625816164, ''),
(29, 'T4 System Plugin', 'extension', 'http://update.joomlart.com/service/tracking/j31/plg_system_t4.xml', 1, 1625816164, ''),
(30, 'JA Alpha', 'extension', 'http://update.joomlart.com/service/tracking/j31/ja_alpha.xml', 1, 1625816165, ''),
(31, 'JA Extension Manager', 'extension', 'http://update.joomlart.com/service/tracking/j16/com_jaextmanager.xml', 1, 1625816165, '');

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT 0,
  `extension_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB COMMENT='Links extensions to update sites' DEFAULT CHARSET=utf8;

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(2, 802),
(3, 28),
(3, 600),
(27, 10001),
(28, 10000),
(29, 10002),
(30, 10003),
(31, 10008);
INSERT IGNORE INTO `#__update_sites_extensions` VALUES
(1, 700),
(2, 700),
(3, 600);

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT 0,
  `extension_id` int(11) DEFAULT 0,
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT 0,
  `version` varchar(32) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB AUTO_INCREMENT=394 COMMENT='Available Updates' DEFAULT CHARSET=utf8;

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES
(317, 2, 0, 'Armenian', '', 'pkg_hy-AM', 'package', '', 0, '3.4.4.1', '', 'https://update.joomla.org/language/details3/hy-AM_details.xml', '', ''),
(318, 2, 0, 'Malay', '', 'pkg_ms-MY', 'package', '', 0, '3.4.1.2', '', 'https://update.joomla.org/language/details3/ms-MY_details.xml', '', ''),
(319, 2, 0, 'Romanian', '', 'pkg_ro-RO', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/ro-RO_details.xml', '', ''),
(320, 2, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/nl-BE_details.xml', '', ''),
(321, 2, 0, 'Chinese Traditional', '', 'pkg_zh-TW', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/zh-TW_details.xml', '', ''),
(322, 2, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/fr-FR_details.xml', '', ''),
(323, 2, 0, 'Galician', '', 'pkg_gl-ES', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/gl-ES_details.xml', '', ''),
(324, 2, 0, 'Georgian', '', 'pkg_ka-GE', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/ka-GE_details.xml', '', ''),
(325, 2, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(326, 2, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(327, 2, 0, 'Hebrew', '', 'pkg_he-IL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/he-IL_details.xml', '', ''),
(328, 2, 0, 'Bengali', '', 'pkg_bn-BD', 'package', '', 0, '3.8.10.1', '', 'https://update.joomla.org/language/details3/bn-BD_details.xml', '', ''),
(329, 2, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '3.9.19.1', '', 'https://update.joomla.org/language/details3/hu-HU_details.xml', '', ''),
(330, 2, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/af-ZA_details.xml', '', ''),
(331, 2, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(332, 2, 0, 'Belarusian', '', 'pkg_be-BY', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/be-BY_details.xml', '', ''),
(333, 2, 0, 'Bulgarian', '', 'pkg_bg-BG', 'package', '', 0, '3.6.5.2', '', 'https://update.joomla.org/language/details3/bg-BG_details.xml', '', ''),
(334, 2, 0, 'Catalan', '', 'pkg_ca-ES', 'package', '', 0, '3.9.23.1', '', 'https://update.joomla.org/language/details3/ca-ES_details.xml', '', ''),
(335, 2, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(336, 2, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.9.28.2', '', 'https://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(337, 2, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(338, 2, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(339, 2, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(340, 2, 0, 'Esperanto', '', 'pkg_eo-XX', 'package', '', 0, '3.8.11.1', '', 'https://update.joomla.org/language/details3/eo-XX_details.xml', '', ''),
(341, 2, 0, 'Estonian', '', 'pkg_et-EE', 'package', '', 0, '3.9.21.1', '', 'https://update.joomla.org/language/details3/et-EE_details.xml', '', ''),
(342, 2, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(343, 2, 0, 'Khmer', '', 'pkg_km-KH', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/km-KH_details.xml', '', ''),
(344, 2, 0, 'Korean', '', 'pkg_ko-KR', 'package', '', 0, '3.8.9.1', '', 'https://update.joomla.org/language/details3/ko-KR_details.xml', '', ''),
(345, 2, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '3.9.25.2', '', 'https://update.joomla.org/language/details3/lv-LV_details.xml', '', ''),
(346, 2, 0, 'Lithuanian', '', 'pkg_lt-LT', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/lt-LT_details.xml', '', ''),
(347, 2, 0, 'Macedonian', '', 'pkg_mk-MK', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/mk-MK_details.xml', '', ''),
(348, 2, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/nb-NO_details.xml', '', ''),
(349, 2, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '3.4.2.1', '', 'https://update.joomla.org/language/details3/nn-NO_details.xml', '', ''),
(350, 2, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(351, 2, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '3.9.25.2', '', 'https://update.joomla.org/language/details3/pl-PL_details.xml', '', ''),
(352, 2, 0, 'Portuguese', '', 'pkg_pt-PT', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/pt-PT_details.xml', '', ''),
(353, 2, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/ru-RU_details.xml', '', ''),
(354, 2, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/en-AU_details.xml', '', ''),
(355, 2, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(356, 2, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/en-US_details.xml', '', ''),
(357, 2, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(358, 2, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/sy-IQ_details.xml', '', ''),
(359, 2, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(360, 2, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(361, 2, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/tr-TR_details.xml', '', ''),
(362, 2, 0, 'Ukrainian', '', 'pkg_uk-UA', 'package', '', 0, '3.9.24.1', '', 'https://update.joomla.org/language/details3/uk-UA_details.xml', '', ''),
(363, 2, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '3.7.5.2', '', 'https://update.joomla.org/language/details3/ug-CN_details.xml', '', ''),
(364, 2, 0, 'Albanian', '', 'pkg_sq-AL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/sq-AL_details.xml', '', ''),
(365, 2, 0, 'Basque', '', 'pkg_eu-ES', 'package', '', 0, '3.9.24.1', '', 'https://update.joomla.org/language/details3/eu-ES_details.xml', '', ''),
(366, 2, 0, 'Hindi', '', 'pkg_hi-IN', 'package', '', 0, '3.3.6.2', '', 'https://update.joomla.org/language/details3/hi-IN_details.xml', '', ''),
(367, 2, 0, 'German DE', '', 'pkg_de-DE', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(368, 2, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.9.21.1', '', 'https://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(369, 2, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(370, 2, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.9.18.1', '', 'https://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(371, 2, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.9.24.1', '', 'https://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(372, 2, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(373, 2, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/vi-VN_details.xml', '', ''),
(374, 2, 0, 'Bahasa Indonesia', '', 'pkg_id-ID', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/id-ID_details.xml', '', ''),
(375, 2, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.9.16.1', '', 'https://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(376, 2, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(377, 2, 0, 'Montenegrin', '', 'pkg_srp-ME', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/srp-ME_details.xml', '', ''),
(378, 2, 0, 'English CA', '', 'pkg_en-CA', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/en-CA_details.xml', '', ''),
(379, 2, 0, 'French CA', '', 'pkg_fr-CA', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/fr-CA_details.xml', '', ''),
(380, 2, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/cy-GB_details.xml', '', ''),
(381, 2, 0, 'Sinhala', '', 'pkg_si-LK', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/si-LK_details.xml', '', ''),
(382, 2, 0, 'Dari Persian', '', 'pkg_prs-AF', 'package', '', 0, '3.4.4.3', '', 'https://update.joomla.org/language/details3/prs-AF_details.xml', '', ''),
(383, 2, 0, 'Turkmen', '', 'pkg_tk-TM', 'package', '', 0, '3.5.0.2', '', 'https://update.joomla.org/language/details3/tk-TM_details.xml', '', ''),
(384, 2, 0, 'Irish', '', 'pkg_ga-IE', 'package', '', 0, '3.8.13.1', '', 'https://update.joomla.org/language/details3/ga-IE_details.xml', '', ''),
(385, 2, 0, 'Dzongkha', '', 'pkg_dz-BT', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/dz-BT_details.xml', '', ''),
(386, 2, 0, 'Slovenian', '', 'pkg_sl-SI', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/sl-SI_details.xml', '', ''),
(387, 2, 0, 'Spanish CO', '', 'pkg_es-CO', 'package', '', 0, '3.9.15.1', '', 'https://update.joomla.org/language/details3/es-CO_details.xml', '', ''),
(388, 2, 0, 'German CH', '', 'pkg_de-CH', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/de-CH_details.xml', '', ''),
(389, 2, 0, 'German AT', '', 'pkg_de-AT', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/de-AT_details.xml', '', ''),
(390, 2, 0, 'German LI', '', 'pkg_de-LI', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/de-LI_details.xml', '', ''),
(391, 2, 0, 'German LU', '', 'pkg_de-LU', 'package', '', 0, '3.9.28.1', '', 'https://update.joomla.org/language/details3/de-LU_details.xml', '', ''),
(392, 2, 0, 'English NZ', '', 'pkg_en-NZ', 'package', '', 0, '3.9.27.1', '', 'https://update.joomla.org/language/details3/en-NZ_details.xml', '', ''),
(393, 2, 0, 'Kazakh', '', 'pkg_kk-KZ', 'package', '', 0, '3.9.23.1', '', 'https://update.joomla.org/language/details3/kk-KZ_details.xml', '', '');

DROP TABLE IF EXISTS `#__user_keys`;
CREATE TABLE `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(150) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(191) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB COMMENT='Simple user profile storage table' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_usergroup_map`;
CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__usergroups`;
CREATE TABLE `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 18, 'Public'),
(2, 1, 8, 15, 'Registered'),
(3, 2, 9, 14, 'Author'),
(4, 3, 10, 13, 'Editor'),
(5, 4, 11, 12, 'Publisher'),
(6, 1, 4, 7, 'Manager'),
(7, 6, 5, 6, 'Administrator'),
(8, 1, 16, 17, 'Super Users'),
(9, 1, 2, 3, 'Guest');

DROP TABLE IF EXISTS `#__users`;
CREATE TABLE `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(400) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT 0,
  `sendEmail` tinyint(4) DEFAULT 0,
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT 0 COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'Require user to reset password on next login',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_username` (`username`),
  KEY `idx_name` (`name`(100)),
  KEY `idx_block` (`block`),
  KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__utf8_conversion`;
CREATE TABLE `#__utf8_conversion` (
  `converted` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__utf8_conversion` (`converted`) VALUES
(5);

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 2, '[6,2,8]'),
(3, 'Special', 3, '[6,3,8]'),
(5, 'Guest', 1, '[9]'),
(6, 'Super Users', 4, '[8]');

